2003-12-30  Eli Zaretskii  <eliz@elta.co.il>

	* configure.in: Check for st_blocks member in struct stat and
	define HAVE_STRUCT_STAT_ST_BLOCKS accordingly.

	* acconfig.h (HAVE_STRUCT_STAT_ST_BLOCKS): New undef.

	* configure, config.in: Regenerated.

	* remote-fileio.c (remote_fileio_to_fio_stat)
	(remote_fileio_func_fstat) [HAVE_STRUCT_STAT_ST_BLOCKS]: Support
	systems that don't have `st_blocks' member in `struct stat'.

2003-12-29  Eli Zaretskii  <eliz@elta.co.il>

	* go32-nat.c (go32_sldt, go32_sgdt, go32_sidt, go32_pte): Fix
	mismatches between format string and arguments (avoids compiler
	warnings).

	* configure.in: Set ac_cv_search_tgetent to "none required" for
	"*djgpp*" targets as well (DJGPP doesn't have termcap and doesn't
	need one).

	* config/djgpp/config.sed: Tweak to adapt to the changes in
	configury.

	* config/djgpp/djconfig.sh: Fix the test of unpacked
	distribution, since there's no gdb.cxx directory anymore.

2003-12-28  Mark Kettenis  <kettenis@gnu.org>

	* i386-sol2-tdep.c (i386_sol2_mcontext_addr): New function.
	(i386_sol2_init_abi): Initialize TDEP->sigcontext_addr,
	TDEP->sc_reg_offset and TDEP->sc_num_regs.

	* i386-tdep.h (i386_regnum): Add I386_CS_REGNUM and
	I386_SS_REGNUM.

2003-12-27  Mark Kettenis  <kettenis@gnu.org>

	* dwarf2-frame.c (dwarf2_reg_rule): Add REG_RA and REG_CFA.
	(dwarf2_frame_cache): Initialize PC_REGNUM with REG_RA and
	SP_REGNUM with REG_CFA.  Don't overwrite the initialized register
	rule for registers left unspecified by the CFI.  Remove the
	special handling of PC_REGNUM.  Add code to eleminate any REG_RA
	rules.
	(dwarf2_frame_prev_register): Remove the special handling of
	SP_REGNUM.  Add support for the REG_CFA rule.

2003-12-26  Mark Kettenis  <kettenis@gnu.org>

	* i386obsd-tdep.c: Include "regset.h", "gdb_assert.h" and
	"gdb_string.h".
	(i386obsd_r_reg_offset): New variable.
	(i386obsd_aout_supply_regset)
	(i386obsd_aout_regset_from_core_section): New functions.
	(i386obsd_supply_reg, fetch_core_registers): Remove functions.
	(i286obsd_core_fns): Remove variable.
	(i386obsd_init_abi): Initialize TDEP->gregset_reg_offset,
	TDEP->gregset_num_regs and TDEP->sizeof_gregset.  Set
	regset_from_core_section.  Use ARRAY_SIZE to initialize
	TDEP->sc_num_regs.
	(_initialize_i386obsd_tdep): Don't call add_core_fns.

	* i386bsd-tdep.c (i386bsd_core_osabi_sniffer): New function.
	(_initialize_i386bsd_tdep): Register i386bsd_core_osabi_sniffer.

	* i386-linux-nat.c: Add comment.

2003-12-26  Christopher Faylor  <cgf@redhat.com>

	* win32-nat.c: Add some comments about below change.

2003-12-25  Christopher Faylor  <cgf@redhat.com>

	Fix for PR threads/1048
	* win32-nat.c (thread_info_struct): Add reload_context flag.
	(thread_rec): Don't reload thread context here.  Just set a flag.
	(do_child_fetch_inferior_registers): Reload thread context here if
	appropriate.  Avoid doing anything if current_thread is NULL thanks to
	strange Windows behavior.
	(child_fetch_inferior_registers): Avoid doing anything if
	current_thread is NULL.
	(do_child_store_inferior_registers): Ditto.
	(child_store_inferior_registers): Ditto.
	(child_kill_inferior): Ditto.
	(fake_create_process): Pretend to create a process for pathological
	windows attach situation.
	(get_child_debug_event): Call fake_create_process when the first event
	noticed is thread creation rather than process creation.
	(child_attach): Always set attach_flag when attaching.
	(child_create_inferior): Set attach_flag to zero since we're not
	attaching.

2003-12-25  Christopher Faylor  <cgf@redhat.com>

	* win32-nat.c (get_child_debug_event): Keep main thread id around even
	after thread exits since Windows insists on continuing to report events
	against it.

2003-12-22  Mark Kettenis  <kettenis@gnu.org>

	* dwarf2-frame.c (dwarf2_frame_cache): Don't skip the return
	address column.

2003-12-21  Jim Blandy  <jimb@redhat.com>

	* breakpoint.c (bpstat_do_actions): To ensure that
	clear_proceed_status doesn't free the command tree we're
	evaluating out from under us, zero the bpstat's pointer to it, and
	take care of freeing it ourselves.
	* cli/cli-script.c (make_cleanup_free_command_lines): Make this
	function externally visible.
	* cli/cli-script.h (make_cleanup_free_command_lines): New
	declaration.

2003-12-20  Mark Kettenis  <kettenis@gnu.org>

	* x86-64-tdep.c (x86_64_dwarf_regmap): Map the Return Address to
	RIP.

2003-12-18  Michael Chastain  <mec.gnu@mindspring.com>

	* hppa-tdep.c (hppa_gdbarch_init): Set long double floating
	point type to floatformat_ia64_quad_big.

2003-12-18  Kevin Buettner  <kevinb@redhat.com>

	* frv-tdep.c (skip_prologue_using_sal): New function.  Taken verbatim
	from mips-tdep.c.
	(frv_analyze_prologue): Rework to account for intermixed prologue /
	body instructions.

2003-12-18  Michael Chastain  <mec.gnu@mindspring.com>

	* hppa-tdep.c (hppa_gdbarch_init): Set sizeof(long_double) to 128.
	Document type sizes for hppa*-*-hpux* compilers available to me.

2003-12-18  Michael Chastain  <mec.gnu@mindspring.com>

	* hppam3-nat.c: Delete obsolete file.
	* hppab-nat.c: Delete obsolete file.
	* Makefile.in: Remove references.

2003-12-17  Jeff Johnston  <jjohnstn@redhat.com>

	* symtab.c (decode_line_spec): Change call to decode_line_1.

2003-12-17  Jeff Johnston  <jjohnstn@redhat.com>

	* linespec.h (decode_line_1): Add new not_found_ptr parameter.
	* linespec.c (decode_line_1): Add new parameter.  Pass on
	new parameter to decode_variable and symtab_from_filename
	functions.
	(decode_variable): Add new not_found_ptr parameter.  Throw exception
	rather than failing if the not_found_ptr is non-null and the
	function is not found.
	(symtab_from_filename): Add new not_found_ptr parametr.   Throw 
	exception rather than failing if the not_found_ptr is non-null and 
	the source file is not found.
	* breakpoint.c: Change all callers of decode_line_1 to add default
	extra parameter for decode_line_1 calls.
	* tracepoint.c: Ditto.
	* cli/cli-cmds.c: Ditto.

2003-12-16  J. Brobecker  <brobecker@gnat.com>

	* irix5-nat.c: Include mips-tdep.h.

2003-12-16  Mark Kettenis  <kettenis@gnu.org>

	* solib.h (SOLIB_CREATE_CATCH_LOAD_HOOK)
	(SOLIB_CREATE_CATCH_UNLOAD_HOOK, SOLIB_LOADED_LIBRARY_PATHNAME)
	(SOLIB_UNLOADED_LIBRARY_PATHNAME, SOLIB_HAVE_LOAD_EVENT)
	(SOLIB_HAVE_UNLOAD_EVENT): Remove defines.

	* blockframe.c (inside_main_func): Don't treat a zero PC specially.
	Needed to fix PR backtrace/1476.

2003-12-16  David Carlton  <carlton@kealia.com>

	* cp-support.c (class_name_from_physname): Add DMGL_PARAMS.
	(method_name_from_physname): Ditto.

2003-12-15  Mark Kettenis  <kettenis@gnu.org>

	* i386-sol2-tdep.c (i386_sol2_gregset_reg_offset): New variable.
	(i386_sol2_init_abi): Initialize TDEP->gregset_reg_offset,
	TDEP->gregset_num_regs, TDEP->sizeof_gregset and
	TDEP->sizeof_fpregset.
	* config/i386/i386sol2.mh (XM_FILE): Set to xm-i386.h.
	(XM_CLIBS): Remove.
	(NATDEPFILES): Remove core-regset.o and corelow.o.
	* config/i386/i386sol2.mt (TDEPFILES): Add corelow.o.

2003-12-14  Mark Kettenis  <kettenis@gnu.org>

	* proc-api.c (procfs_note): Add format string to fprintf call.

	* i386-tdep.c (i386_analyze_frame_setup): Add missing encodings
	for `subl' and `xorl' instructions.

2003-12-13  Jim Blandy  <jimb@redhat.com>

	* dwarf2read.c (dwarf2_add_member_fn, read_structure_scope):
	Replace uses of DEPRECATED_STREQ and DEPRECATED_STREQN with calls
	to strcmp and strncmp.

	* osabi.c (gdbarch_init_osabi): Reformat error message with better
	line breaks.

2003-12-13  Mark Kettenis  <kettenis@gnu.org>

	* blockframe.c (inside_main_func): Reformat.  Introduce new local
	variables to prevent long lines.  Update comments to reflect
	reality.

2003-12-12  Kevin Buettner  <kevinb@redhat.com>

	From David Mosberger  <davidm@hpl.hp.com>:
	* libunwind-frame.c (unw_find_dyn_list_p): Replace most arguments
	with a single unw_dyn_info_t pointer.
	(libunwind_find_dyn_list): Likewise.
	* libunwind-frame.h: Likewise.
	* ia64-tdep.c (ia64_find_unwind_table): Switch to using
	UNW_INFO_FORMAT_REMOTE_TABLE so we can avoid having to read in the
	entire unwind-table at once.  Support for this table format has
	been added to libunwind v0.95.
	(ia64_find_proc_info_x): Adjust for remote-unwind-table changes.
	(ia64_get_dyn_info_list): Adjust for interface change for
	libunwind_find_dyn_list().

2003-12-12  Jeff Johnston  <jjohnstn@redhat.com>

	* breakpoint.c (breakpoint_enabled): New function to test whether
	breakpoint is active and enabled.
	(insert_bp_location, insert_breakpoints): Call new function to test
	for enabled breakpoint.
	(remove_breakpoint, breakpoint_here_p, breakpoint_thread_match)
	(bpstat_should_step, bpstat_have_active_hw_watchpoints)
	(disable_breakpoints_in_shlibs, hw_watchpoint_used_count)
	(disable_watchpoints_before_interactive_call_start)
	(breakpoint_re_set_one): Ditto.
	(bpstat_stop_status): Use new function and simplify test.

2003-12-11  Mark Kettenis  <kettenis@gnu.org>

	* observer.c (observer_test_first_observer)
	(observer_test_second_observer, observer_test_third_observer):
	Don't define as `static'.
	(observer_test_first_notification_function)
	(observer_test_second_notification_function)
	(observer_test_third_notification_function): Likewise.

2003-12-10  Mark Kettenis  <kettenis@gnu.org>

	* solib.h (SOLIB_UNLOADED_LIBRARY_PATHNAME): Define as "" instead
	of (0).

2003-12-11  Dhananjay Deshpande  <dhananjayd@kpitcummins.com>

	* MAINTAINERS (write after approval): Add myself.

2003-12-11  Dhananjay Deshpande  <dhananjayd@kpitcummins.com>

        * config/h8300/tm-h8300.h (h8300hmode): Remove.
        (h8300hmode): Likewise.
        (h8300smode): Likewise.
        (h8300sxmode): Likewise.
        (h8300_normal_mode): Likewise.
        (GDB_TARGET_IS_H8300): Likewise.
        (NUM_REALREGS): Use TARGET_ARCHITECTURE->mach instead of global.
        * h8300-tdep.c (is_h8300hmode): New function.
        (is_h8300smode): New function.
        (is_h8300sxmode): New function.
        (is_h8300_normal_mode): New function.
        (BINWORD): Use new functions.
        (h8300_examine_prologue): Likewise.
        (h8300_print_register): Likewise.
        (h8300_print_registers_info): Likewise.
        (h8300_register_type): Likewise.
        (h8300_gdbarch_init): Remove use of globals like h8300hmode.
        * remote-e7000.c (e7000_open): Remove use of GDB_TARGET_IS_H8300.
        (e7000_fetch_registers): Use TARGET_ARCHITECTURE->mach instead.
        (e7000_wait): Use TARGET_ARCHITECTURE->mach instead of global.

2003-12-10  J. Brobecker  <brobecker@gnat.com>

	* frame.c (select_frame): Get the current frame PC using
	get_frame_address_in_block() instead of get_frame_pc().
	* stack.c (get_frame_language): Likewise.

2003-12-08  Kevin Buettner  <kevinb@redhat.com>

	* remote.c (remote_open_1, remote_cisco_open): Avoid closing
	remote_desc more than once.

2003-12-07  Andrew Cagney  <cagney@redhat.com>

	* defs.h (DEPRECATED_STREQN, DEPRECATED_STREQ): Simplify by
	directly calling strcmp equivalents.  Add disclaimer.

2003-12-06  Andrew Cagney  <cagney@redhat.com>

	* remote.c (remote_fetch_registers): For short packets, explicitly
	supply a zero value.  Use regcache_raw_supply.  Fix suggested by
	Jonathan Larmour.

2003-12-05  Jeff Johnston  <jjohnstn@redhat.com>

	* ia64-tdep.c (ia64_gdbarch_init): Set up the gdbarch long double
	format to be the i387 extended float format which is used for
	long doubles stored in memory. 

2003-12-05  Mark Kettenis  <kettenis@gnu.org>

	From Ulrich Weigand  <weigand@informatik.uni-erlangen.de>:
	* dwarf2-frame.c (dwarf2_frame_cache): Use the untranslated RA
	column instead of translating it.

2003-12-04  Michael Chastain  <mec.gnu@mindspring.com>

	Partial fix for PR c++/1465.
	Fix for PR c++/1377.
	* cp-support.h (cp_lookup_rtti_type): New function.
	* cp-support.c (cp_lookup_rtti_type): New function.
	* gnu-v2-abi.c: Update copyright years.
	(gnuv2_rtti_type): Call cp_lookup_rtti_type.
	* gnu-v3-abi.c: Update copyright years.
	(gnuv3_rtti_type): Call cp_lookup_rtti_type.

2003-12-04  J. Brobecker  <brobecker@gnat.com>

	* stabsread.c (read_type): Save a reference to types that are defined
	as cross references to other types.

2003-12-02  Roland McGrath  <roland@redhat.com>

	* thread-db.c (enable_thread_event): Change return type to
	td_err_e.  Return TD_OK or error code.
	(enable_thread_event_reporting): Update callers.

2003-12-03  Ian Lance Taylor  <ian@wasabisystems.com>

	* NEWS: Mention new C++ demangler code.

2003-12-03  Andrew Cagney  <cagney@redhat.com>

	* ppc-linux-nat.c (store_register, fetch_register): Convert
	between ptrace and regcache's wordsize.
	(ppc_register_u_addr): Use the ptrace wordsize.

2003-12-02  Kevin Buettner  <kevinb@redhat.com>

	* frv-tdep.c (frv_gdbarch_init): Add case for fr550.

2003-12-02  Daniel Jacobowitz  <drow@mvista.com>

	* dwarf2read.c (dwarf_info_offset, dwarf_abbrev_offset)
	(dwarf_line_offset, dwarf_pubnames_offset, dwarf_aranges_offset)
	(dwarf_loc_offset, dwarf_macinfo_offset, dwarf_str_offset)
	(dwarf_ranges_offset, dwarf_frame_offset, dwarf_eh_frame_offset):
	Delete.
	(dwarf2_read_section): Remove offset and size arguments.  Use
	bfd_get_section_size_before_reloc and sectp->filepos.
	(dwarf2_has_info): Clear section variables instead of offsets.
	(dwarf2_locate_sections): Don't initialize the deleted variables.
	(dwarf2_build_psymtabs): Update calls to dwarf2_read_section.
	(dwarf2_build_psymtabs_easy): Likewise.
	* dwarf2-frame.c (dwarf_frame_offset, dwarf_frame_size)
	(dwarf_eh_frame_offset, dwarf_eh_frame_size): Remove extern
	declarations.
	(dwarf2_read_section): Update prototype.
	(dwarf2_build_frame_info): Update calls to dwarf2_read_section.
	Use bfd_get_section_size_before_reloc instead of global size
	variables.

2003-12-01  Michael Chastain  <mec.gnu@mindspring.com>

	* dwarfread.c: Update documentation on the state of dwarf-1.

2003-12-01  Andrew Cagney  <cagney@redhat.com>

	Obsolete old MIPS SVr3 and SVr4 systems.
	* NEWS: Mention obsoleted systems.
	* configure.tgt: Mark mips*-*-sysv4* as obsolete.
	* configure.host: Mark mips-dec-*, mips-little-*, mips-sony-*,
	mips-*-sysv4*, mips-*-sysv*, mips-*-riscos* and mips-*-mach3* as
	obsolete.
	* config/mips/decstation.mh: Mark as obsolete.
	* config/mips/littlemips.mh: Mark as obsolete.
	* config/mips/nm-mips.h: Mark as obsolete.
	* config/mips/xm-mips.h: Mark as obsolete.
	* config/mips/news-mips.mh: Mark as obsolete.
	* config/mips/nm-news-mips.h: Mark as obsolete.
	* config/mips/riscos.mh: Mark as obsolete.
	* config/mips/nm-riscos.h: Mark as obsolete.
	* config/mips/xm-riscos.h: Mark as obsolete.
	* config/mips/mipsv4.mt: Mark as obsolete.
	* config/mips/tm-mipsv4.h: Mark as obsolete.
	* config/mips/xm-mipsv4.h: Mark as obsolete.

	Obsolete old m68k systems.
	* configure.host: Mark m68*-sun-*, m68*-sun-sunos4*,
	m68*-sun-sunos3*, m68*-motorola-*, m68*-*-sysv4*, m68*-*-lynxos*,
	m68*-bull*-sysv*, m68*-att-*, m680[01]0-sun-sunos4*, and
	m680[01]0-sun-sunos3* as obsolete.
	* configure.tgt: Mark m68*-*-lynxos*, m68*-*-sunos3*,
	m68*-*-sunos4*, m68*-*-sysv4*, m68000-*-sunos3*, m68000-*-sunos4*,
	m68*-bull-sysv*, m68*-att-*, and m68*-motorola-*, as obsolete.
	* config/m68k/sun3os4.mh: Mark file obsolete.
	* config/m68k/xm-sun3os4.h: Mark file obsolete.
	* config/m68k/sun3os3.mh: Mark file obsolete.
	* config/m68k/nm-sun3.h: Mark file obsolete.
	* config/m68k/xm-sun3.h: Mark file obsolete.
	* config/m68k/sun2os4.mh: Mark file obsolete.
	* config/m68k/sun2os3.mh: Mark file obsolete.
	* config/m68k/nm-sun2.h: Mark file obsolete.
	* config/m68k/xm-sun2.h: Mark file obsolete.
	* config/m68k/m68kv4.mh: Mark file obsolete.
	* config/m68k/nm-sysv4.h: Mark file obsolete.
	* config/m68k/xm-m68kv4.h: Mark file obsolete.
	* config/m68k/m68klynx.mh: Mark file obsolete.
	* config/m68k/nm-m68klynx.h: Mark file obsolete.
	* config/m68k/dpx2.mh: Mark file obsolete.
	* config/m68k/xm-dpx2.h: Mark file obsolete.
	* config/m68k/nm-dpx2.h: Mark file obsolete.
	* config/m68k/delta68.mh: Mark file obsolete.
	* config/m68k/xm-delta68.h: Mark file obsolete.
	* config/m68k/nm-delta68.h: Mark file obsolete.
	* config/m68k/3b1.mh: Mark file obsolete.
	* config/m68k/xm-3b1.h: Mark file obsolete.
	* config/m68k/sun3os4.mt: Mark file obsolete.
	* config/m68k/tm-sun3os4.h: Mark file obsolete.
	* config/m68k/sun3os3.mt: Mark file obsolete.
	* config/m68k/tm-sun3.h: Mark file obsolete.
	* config/m68k/sun2os4.mt: Mark file obsolete.
	* config/m68k/tm-sun2os4.h: Mark file obsolete.
	* config/m68k/sun2os3.mt: Mark file obsolete.
	* config/m68k/tm-sun2.h: Mark file obsolete.
	* config/m68k/m68kv4.mt: Mark file obsolete.
	* config/m68k/tm-m68kv4.h: Mark file obsolete.
	* config/m68k/m68klynx.mt: Mark file obsolete.
	* config/m68k/tm-m68klynx.h: Mark file obsolete.
	* config/m68k/dpx2.mt: Mark file obsolete.
	* config/m68k/tm-dpx2.h: Mark file obsolete.
	* config/m68k/delta68.mt: Mark file obsolete.
	* config/m68k/tm-delta68.h: Mark file obsolete.
	* config/m68k/3b1.mt: Mark file obsolete.
	* config/m68k/tm-3b1.h: Mark file obsolete.

2003-11-29  Mark Kettenis  <kettenis@gnu.org>

	* x86-64-tdep.c (MAX_CLASSES): Remove macro.
	(x86_64_reg_class): Remove enum.
	(merge_classes, classify_argument, examine_argument): Remove
	functions.
	(INT_REGS, SSE_REGS): Remove macros.
	(x86_64_push_arguments): Remove function.
	(amd64_push_arguments): New function.
	(x86_64_push_dummy_call): Call amd64_push_arguments instead of
	x86_64_push_arguments.

2003-11-28  Mark Kettenis  <kettenis@gnu.org>

	* x86-64-tdep.c (x86_64_frame_cache): Don't bail out if %rbp is
	zero.  Reorganize code a bit.

2003-11-27  Mark Kettenis  <kettenis@gnu.org>

	* dwarf2-frame.c: Fix another comment.

	* x86-64-tdep.c (RET_INT_REGS, RET_SSE_REGS): Remove defines.
	(x86_64_use_struct_convention, x86_64_extract_return_value,
	x86_64_store_return_value): Remove.
	(amd64_reg_class): New enum.
	(amd64_merge_classes, amd64_classify_aggregate, amd64_classify,
	amd64_return_value): New functions.
	(x86_64_init_abi): Don't set extract_return_value,
	store_return_value and use_struct_convention.  Set return_value to
	amd64_return_value.
	* i387-tdep.h (i387_return_value): New prototype.
	* i387-tdep.c (i387_return_value): New function.

	* dwarf2-frame.c: Fix some comments and whitespace problems.

	* i386nbsd-tdep.c: Don't include "gdbtypes.h".  Include
	"gdb_assert.h" and "gdb_string.h".
	(i386nbsd_r_reg_offset): Rename from regmap.
	(SIZEOF_STRUCT_REG): Remove.
	(i386nbsd_supply_reg, fetch_core_registers,
	fetch_elfcore_registers, i386nbsd_core_fns, i386nbsd_elfcore_fns):
	Remove.
	(i386nbsd_aout_supply_regset,
	i386nbsd_aout_regset_from_core_section): New functions.
	(i386nbsd_sc_reg_offset): Don't explicitly specify size of array.
	(i386nbsd_init_abi): Initialize TDEP->gregset_reg_offset,
	TDEP->gregset_num_regs amd sizeof_gregset.  Use ARRAY_SIZE to
	initialize TDEP->sc_num_regs.
	(i386nbsdaout_init_abi): New function.
	(i386nbsdelf_init_abi): Remove initialization of
	TDEP->num_xmm_regs.  Don't set num_regs here.
	(_initialize_i386nbsd_tdep): Don't call add_core_fns.  Use
	i386nbsd_aout_init to register NetBSD a.out OS/ABI.

	* osabi.c (generic_elf_osabi_sniff_abi_tag_sections): Use
	.note.netbsdcore.procinfo section to recognize NetBSD core files.

2003-11-26  Michael Chastain  <mec.gnu@mindspring.com>

	* cp-abi.c: Update copyright years.

2003-11-25  Andrew Cagney  <cagney@redhat.com>

	* thread-db.c (enable_thread_event): New function.  Ensure that BP
	is a code address.
	(enable_thread_event_reporting): Use enable_thread_event.

2003-11-25  Michael Snyder  <msnyder@redhat.com>

	* mips-tdep.c (mips_o64_extract_return_value): Correct for
	NUM_REGS (see changes 2003-06-21).
	(mips_eabi_extract_return_value): Ditto.

2003-11-25  Andrew Cagney  <cagney@redhat.com>

	* infrun.c: Don't include "exec.h".
	(handle_inferior_event): Pass current_target, instead of exec_ops,
	to SOLIB_ADD.  Add comments.
	* Makefile.in (infrun.o): Update dependencies.

2003-11-24  Daniel Jacobowitz  <drow@mvista.com>

	* NEWS: Mention improved location expression support.

2003-11-23  Andrew Cagney  <cagney@redhat.com>

	* Makefile.in (infrun.o): Update dependencies.
	* infrun.c: Include "exec.h".
	(handle_inferior_event): Pass exec_ops to SOLIB_ADD.

2003-11-23  Andrew Cagney  <cagney@redhat.com>

	* frame.c (frame_unwind_signed_register): Delete function.
	* frame.h (frame_unwind_register_signed): Delete declaration.
	* mips-tdep.c (mips_frame_saved_pc): Use frame_unwind_register_signed.

	* arch-utils.h (generic_cannot_extract_struct_value_address):
	Delete declaration.

	* defs.h (DEPRECATED_STREQN): Rename STREQN.
	(DEPRECATED_STREQ): Rename STREQ.
	* ada-exp.y, ada-lang.c, ada-lex.l, coffread.c: Update.
	* config/mips/tm-irix5.h, config/mips/tm-irix6.h: Update.
	* config/mips/tm-mipsv4.h, config/sparc/tm-sun4sol2.h: Update.
	* dbxread.c, dwarf2read.c, dwarfread.c, environ.c: Update.
	* eval.c, exec.c, f-lang.c, hppa-tdep.c, hpread.c: Update.
	* jv-exp.y, language.c, m2-exp.y, mcore-rom.c: Update.
	* mdebugread.c, mipsread.c, objc-exp.y, objfiles.c: Update.
	* p-exp.y, p-typeprint.c, p-valprint.c, rs6000-nat.c: Update.
	* source.c, sparc-tdep.c, stack.c, target.c: Update.

	* symfile.c (symbol_file_command): Replace STREQ with strcmp.
	* elfread.c (elf_symtab_read): Delete STREQ from comment.

2003-11-22  Andrew Cagney  <cagney@redhat.com>

	* frame.c (deprecated_frame_xmalloc): Delete function.
	(deprecated_set_frame_extra_info_hack): Delete function.
	(deprecated_set_frame_saved_regs_hack): Delete function.
	* frame.h (deprecated_frame_xmalloc): Delete declaration.
	(deprecated_set_frame_extra_info_hack): Delete declaration.
	(deprecated_set_frame_saved_regs_hack): Delete declaration.
	* mcore-tdep.c (analyze_dummy_frame): Instead of
	deprecated_frame_xmalloc, deprecated_set_frame_saved_regs_hack,
	and deprecated_set_frame_extra_info_hack use
	deprecated_frame_xmalloc_with_cleanup.
	* mn10300-tdep.c (analyze_dummy_frame): Ditto.
	* mips-tdep.c (mips_init_extra_frame_info): Delete call to
	deprecated_set_frame_saved_regs_hack.

	* mips-tdep.c (mips_frame_chain): Delete call to
	deprecated_inside_entry_file.

	* frame.h (deprecated_set_frame_next_hack): Delete declaration.
	(deprecated_set_frame_prev_hack): Delete declaration.
	* frame.c (deprecated_set_frame_next_hack): Delete function.
	(deprecated_set_frame_prev_hack): Delete function.
	* mcore-tdep.c (analyze_dummy_frame): Delete calls to
	"deprecated_set_frame_next_hack" and
	"deprecated_set_frame_prev_hack".
	* mn10300-tdep.c (analyze_dummy_frame): Ditto.

	* mips-tdep.c (mips_register_convertible): Delete function.
	(mips_register_convert_to_virtual): Delete function.
	(mips_register_convert_to_raw): Delete function.
	(mips_gdbarch_init): Do not set "deprecated_register_convertible",
	"deprecated_register_convert_to_virtual", or
	"deprecated_register_convert_to_raw".
	(mips_pseudo_register_write, mips_pseudo_register_read): Handle
	32/64 cooked to raw register conversions.

	* frame.c (deprecated_get_frame_context): Delete function.
	(deprecated_set_frame_context): Delete function.
	(struct frame_info): Delete member "context".
	* frame.h (deprecated_get_frame_context): Delete declaration.
	(deprecated_set_frame_context): Delete declaration.

	* procfs.c (procfs_wait): Delete FAULTED_USE_SIGINFO comment.
	* config/sparc/tm-sun4sol2.h (FAULTED_USE_SIGINFO): Delete macro.
	* config/i386/tm-i386sol2.h (FAULTED_USE_SIGINFO): Delete macro.
	* config/alpha/nm-osf2.h (FAULTED_USE_SIGINFO): Delete macro.

	* mips-tdep.c (SIGFRAME_REG_SIZE): Delete macro.
	(mips_find_saved_regs): Replace SIGFRAME_REG_SIZE with
	mips_regsize.
	(mips_dump_tdep): Do not print SIGFRAME_REG_SIZE.
	* config/mips/tm-irix6.h (SIGFRAME_REG_SIZE): Delete macro.
	* config/mips/tm-irix5.h: Update copyright.
	(SIGFRAME_REG_SIZE): Delete macro.

	* hppa-tdep.c (hppa_value_returned_from_stack): Delete function.
	* config/pa/tm-hppa.h (hppa_value_returned_from_stack): Delete
	declaration.
	(DEPRECATED_VALUE_RETURNED_FROM_STACK): Delete macro.
	* infcall.c (call_function_by_hand): Delete #ifdef
	DEPRECATED_VALUE_RETURNED_FROM_STACK code.
	* infcmd.c (print_return_value): Ditto.

	* mips-tdep.c (skip_prologue_using_sal): New function.
	(mips32_skip_prologue, mips16_skip_prologue): Use
	skip_prologue_using_sal to get an upper bound on the search.

	* config/powerpc/tm-linux.h (PROLOGUE_FIRSTLINE_OVERLAP): Delete
	#if 0'ed macro.
	* infrun.c (step_into_function): Delete #ifdef
	PROLOGUE_FIRSTLINE_OVERLAP code.
	* symtab.c (find_function_start_sal): Ditto.

	* remote-rdp.c: Update copyright.
	(rdp_init): #if 0 references to "target_byte_order".

	* mips-tdep.c (mips_o32_store_return_value): Delete function.
	(mips_o32_return_value): Replace mips_o32_xfer_return_value.
	(mips_o32_extract_return_value): Delete function.
	(mips_n32n64_return_value): Replace mips_n32n64_xfer_return_value.
	(mips_n32n64_extract_return_value): Delete function.
	(mips_n32n64_store_return_value): Delete function.
	(mips_gdbarch_init): For o32 and n32n64, set "return_value"
	instead of "store_return_value", "extract_return_value", and
	"use_struct_convention".
	(mips_n32n64_use_struct_convention): Delete function.

2003-11-21  Kevin Buettner  <kevinb@redhat.com>

	* frv-tdep.c (frv_frame_this_id): Eliminate call to
	inside_entry_func().

2003-11-20  Mark Kettenis  <kettenis@gnu.org>

	* i386-tdep.c (i386_extract_return_value,
	i386_store_return_value): Add gdbarch argument.  Use it instead of
	determining it from REGCACHE.  Remove recursive call for
	structures with a single member.
	(i386_use_struct_convention): Remove.
	(i386_reg_struct_return_p): New function.
	(i386_return_value): New function.
	(i386_gdbarch_init): Set return_value, don't set
	extract_return_value, store_return_value and
	use_struct_convention.
	* x86-64-tdep.c (x86_64_init_abi): Set return_value to NULL.

2003-11-20  Jim Blandy  <jimb@redhat.com>

	* osabi.c (_initialize_gdb_osabi): Don't return before registering
	the 'set osabi' and 'show osabi' commands.

2003-11-19  Mark Kettenis  <kettenis@gnu.org>

	* frame.c (get_prev_frame): Use result from
	get_frame_address_in_block instead of get_frame_pc as argument to
	inside_main_func.  Fixes PR backtrace/1435.

2003-11-19  Andrew Cagney  <cagney@redhat.com>

	* stack.c (return_command): Handle "void", "legacy" and "unknown
	location" return values separatly.
	* values.c (using_struct_return): Return 0 for a "void" return
	type.  Mention "register_value_being_returned".
	(register_value_being_returned): Mention "using_struct_return".

2003-11-19  Daniel Jacobowitz  <drow@mvista.com>

	* dwarf2read.c (offreg, basereg, isderef, frame_base_reg)
	(frame_base_offset): Delete.
	(read_func_scope): Delete call to decode_locdesc.
	(decode_locdesc): Update comments.  Don't set the removed variables.
	Complain for DW_OP_reg* not at the end.  Remove DW_OP_breg* and
	DW_OP_fbreg support.

2003-11-18  Daniel Jacobowitz  <drow@mvista.com>

	* dwarf2read.c (optimized_out, islocal): Remove.
	(decode_locdesc): Update comments.  Don't set optimized_out
	or islocal.

2003-11-17  Jeff Johnston  <jjohnstn@redhat.com>
            David Mosberger  <davidm@hpl.hp.com>

	* ia64-tdep.c: Include elf.h.
	[HAVE_LIBUNWIND_IA64_H]: Include libunwind-frame.h and
	libunwind-ia64.h.
	(ia64_rse_slot_num, ia64_rse_skip_regs): New for libunwind support.
	(ia64_gdb2uw_regnum, ia64_uw2gdb_regnum): Ditto.
	(ia64_is_fpreg, ia64_access_reg): Ditto.
	(ia64_access_fpreg, ia64_access_mem): Ditto.
	(get_kernel_table): Ditto.
	(ia64_find_unwind_table): Ditto.
	(ia64_find_proc_info_x, ia64_put_unwind_info): Ditto.
	(ia64_get_dyn_info_list, ia64_libunwind_frame_this_id): Ditto.
	(ia64_libunwind_frame_prev_register): Ditto.
	(ia64_libunwind_frame_sniffer): Ditto.
	(ia64_gdbarch_init)[HAVE_LIBUNWIND_IA64_H]: Add libunwind frame
	sniffer.  Register libunwind functions needed by generic
	libunwind frame code using libunwind_frame_set_descr().

2003-11-16  Daniel Jacobowitz  <drow@mvista.com>

	* breakpoint.c (re_enable_breakpoints_in_shlibs): Only re-enable a
	bp_shlib_disabled breakpoint if there is a shared library mapped
	at its expected address.

2003-11-16  Andrew Cagney  <cagney@redhat.com>

	* configure.tgt: Delete mips*tx39*-elf*.
	* config/mips/tm-tx39.h: Delete file.
	* config/mips/tx39.mt: Delete file.
	* config/mips/tx39.mt: Delete file.

	* mips-tdep.h (deprecated_mips_set_processor_regs_hack): Declare.
	* remote-mips.c (common_open): Instead of
	"mips_read_register_type" and "mips_set_processor_type_command"
	call "deprecated_mips_set_processor_regs_hack".
	* config/mips/tm-mips.h (mips_read_processor_type): Delete
	declaration.
	(mips_set_processor_type_command): Delete declaration.
	* mips-tdep.c (mips_gdbarch_init): Update comment.
	(mips_dump_tdep): Do not print MIPS_REGISTER_NAMES.
	(mips_set_processor_type): Delete function.
	(NUM_MIPS_PROCESSOR_REGS): Define.
	(mips_show_processor_type_command): Delete function.
	(mips_set_processor_type_command): Delete function.
	(tmp_mips_processor_type): Delete.
	(mips_processor_type): Delete.
	(mips_processor_type_table): Delete.
	(mips_r3051_reg_names): Delete.
	(mips_r3081_reg_names): Delete.
	(mips_lsi33k_reg_names): Delete.
	(mips_processor_reg_names): Delete.
	(mips_read_processor_type): Delete function.
	(deprecated_mips_set_processor_regs_hack): New function.
	(struct gdbarch_tdep): Add member "mips_processor_reg_names".
	(mips_register_name): Get the processor names from the tdep.
	(mips_tx39_reg_names): New array.
	(mips_generic_reg_names): Wire to a standard set of names.
	(mips_gdbarch_init): Set "mips_processor_reg_names".
	* config/mips/tm-irix5.h (MIPS_REGISTER_NAMES): Delete macro.
	* config/mips/tm-mips.h (MIPS_REGISTER_NAMES): Delete macro.
	* config/mips/tm-tx39.h (MIPS_REGISTER_NAMES): Delete macro.

2003-11-16  Andrew Cagney  <cagney@redhat.com>

	* mips-tdep.c (struct gdbarch_tdep): Add field "regnum".
	(mips_fpa0_regnum, mips_regnum): New function.
	(mips_gdbarch_init): Fill in the "regnum" fields.
	* mips-tdep.h (struct mips_regnum): Define.
	(mips_regnum): Declare.
	* config/mips/tm-mips.h (BADVADDR_REGNUM): Delete macro.
	(LO_REGNUM, HI_REGNUM, BADVADDR_REGNUM): Ditto.
	(CAUSE_REGNUM, PC_REGNUM, FP0_REGNUM): Ditto.
	(FCRCS_REGNUM, FCRIR_REGNUM, FPA0_REGNUM): Ditto.
	* config/mips/tm-irix6.h (FP0_REGNUM): Delete macro.
	(PC_REGNUM, CAUSE_REGNUM, BADVADDR_REGNUM): Ditto.
	(HI_REGNUM, LO_REGNUM, FCRCS_REGNUM, FCRIR_REGNUM): Ditto.
	* config/mips/tm-irix5.h (FP0_REGNUM): Delete macro.
	(PC_REGNUM, CAUSE_REGNUM, BADVADDR_REGNUM): Ditto.
	(HI_REGNUM, LO_REGNUM, FCRCS_REGNUM, FCRIR_REGNUM): Ditto.
	* remote-mips.c: Include "mips-tdep.h".  Update.
	* mipsnbsd-tdep.c: Update.
	* mipsv4-nat.c: Update.
	* mips-tdep.c: Update.
	* mips-nat.c: Update.
	* mips-linux-tdep.c: Update.
	* mips-linux-nat.c: Update.
	* irix5-nat.c: Update.
	* dve3900-rom.c: Include "mips-tdep.h".  Update.
	(ignore_packet): Supress GCC warning.
	* config/mips/nm-riscos.h: Update.

2003-11-16  Andrew Cagney  <cagney@redhat.com>

	* mips-tdep.c: Replace DEPRECATED_REGISTER_RAW_SIZE with
	register_size.
	(mips_register_raw_size): Delete function.
	(mips_register_type): Handle "mips64_transfers_32bit_regs_p".
	(mips_gdbarch_init): Do not set "deprecated_register_raw_size".
	Check and set "mips64_transfers_32bit_regs_p".
	(struct gdbarch_tdep): Add "mips64_transfers_32bit_regs_p".
	(mips_register_convertible): Check the architecture's
	"mips64_transfers_32bit_regs_p".
	(set_mips64_transfers_32bit_regs): New function.
	(_initialize_mips_tdep): Use "add_setshow_cmd" when adding the
	"set remote-mips64-transfers-32bit-regs" command.  Specify
	set_mips64_transfers_32bit_regs as the set function.
	* Makefile.in (dve3900-rom.o, remote-mips.o): Update dependencies.

2003-11-16  Mark Kettenis  <kettenis@gnu.org>

	* i386-tdep.h (i386_supply_gregset): Provide prototype.
	* i386-tdep.c (i386_supply_gregset): Make public.

2003-11-16  Andrew Cagney  <cagney@redhat.com>

	* mips-tdep.c (mips_register_byte): Delete function.
	(mips_gdbarch_init): Do not set "deprecated_register_byte".
	* config/mips/tm-mips.h (MIPS_REGISTER_BYTE): Delete macro.
	* config/mips/tm-irix6.h (MIPS_REGISTER_BYTE): Delete macro.
	* config/mips/tm-irix5.h (MIPS_REGISTER_BYTE): Delete macro.

2003-11-16  Mark Kettenis  <kettenis@gnu.org>

	* i386-tdep.c (i386_extract_return_value): Don't use bfd_byte.

2003-11-16  Andrew Cagney  <cagney@redhat.com>

	* config/mips/linux64.mt: Delete file.
	* config/mips/tm-linux64.h: Delete file.
	* config/mips/tm-mips64.h: Delete file.
	* config/mips/embed64.mt: Delete file.
	* config/djgpp/fnchange.lst: Update.
	* configure.tgt: Delete explicit patterns for mipsisa64*-*-linux*,
	mips64*-*-linux*, mips64*-*-*, and mipsisa64*-*-*.
	* config/mips/tm-irix6.h: Update copyright.  Include
	"mips/tm-mips.h" instead of "mips/tm-mips64.h".
	* mips-tdep.c (mips_dump_tdep): Do not print "OP_LDFPR" or
	"OP_LDGPR".

2003-11-15  Andrew Cagney  <cagney@redhat.com>

	* mips-tdep.c (mips_register_type): Simplify.  Eliminate reference
	to MIPS_REGISTER_TYPE.  Make integer registers signed.  Make IRIX
	n32 registers 64 bit.
	(mips_register_raw_size, mips_register_byte): For pseudo
	registers, use the register's pseudo size and not the
	corresponding raw register's size.
	* config/mips/tm-mips64.h (MIPS_REGISTER_TYPE): Delete macro.
	* config/mips/tm-mips.h (MIPS_REGISTER_TYPE): Delete macro.
	* config/mips/tm-irix6.h: Don't #undef MIPS_REGISTER_TYPE.
	* config/mips/tm-irix5.h (MIPS_REGISTER_TYPE): Delete macro.

2003-11-15  Andrew Cagney  <cagney@redhat.com>

	* mips-tdep.c (struct gdbarch_tdep): Delete member
	gdb_target_is_mips64.
	(GDB_TARGET_IS_MIPS64): Delete macro.
	(mips_gdbarch_init): Do not set tdep's gdb_target_is_mips64.
	(mips_dump_tdep): Do not print GDB_TARGET_IS_MIPS64.
	(mips_addr_bits_remove): Simplify.

	* mips-tdep.c: Replace DEPRECATED_REGISTER_VIRTUAL_SIZE with
	register_size.

	Replace MIPS_REGSIZE with mips_regsize.
	* mips-tdep.c (mips_regsize): New function.
	* mips-tdep.h (mips_regsize): Declare.
	* mipsnbsd-tdep.h (SIZEOF_STRUCT_FPREG): Update.
	(SIZEOF_STRUCT_REG): Update.
	* mipsnbsd-tdep.c (mipsnbsd_supply_reg): Update.
	(mipsnbsd_fill_reg): Update.
	(mipsnbsd_supply_fpreg): Update.
	(mipsnbsd_fill_fpreg): Update.
	(NBSD_MIPS_JB_ELEMENT_SIZE): Update.
	* mips-tdep.c (mips_register_raw_size): Update.
	(mips_register_type): Update.
	(SIGFRAME_BASE): Update.
	(SIGFRAME_PC_OFF): Update.
	(SIGFRAME_REGSAVE_OFF): Update.
	(SIGFRAME_FPREGSAVE_OFF): Update.
	(SIGFRAME_REG_SIZE): Update.
	(mips32_heuristic_proc_desc): Update.
	(print_gp_register_row): Update.
	(mips_dump_tdep): Do not print MIPS_REGSIZE.
	* irix5-nat.c (supply_gregset): Update.
	(fetch_core_registers): Update.
	* config/mips/tm-mips64.h (MIPS_REGSIZE): Delete macro.
	* config/mips/tm-irix6.h (MIPS_REGISTER_BYTE): Update.
	* config/mips/tm-mips.h (MIPS_REGSIZE): Delete macro.
	(MIPS_REGISTER_BYTE): Update.
	* config/mips/tm-irix5.h (MIPS_REGISTER_BYTE): Update.

2003-11-15  Andrew Cagney  <cagney@redhat.com>

	* config/sparc/tm-sparc.h (DEPRECATE_USE_REGISTER_NOT_ARG): Rename
	USE_REGISTER_NOT_ARG.
	* stabsread.c (define_symbol): Update.

2003-11-15  Andrew Cagney  <cagney@redhat.com>

	* bcache.h (deprecated_bcache): Declare.
	(bcache): Make returned buffer constant.
	* bcache.c (deprecated_bcache): New function.
	(bcache_data): New function.
	(bcache): Call bcache data.
	* symfile.c (add_psymbol_to_list): Use deprecated_bcache.
	(add_psymbol_with_dem_name_to_list): Ditto.

2003-11-15  Mark Kettenis  <kettenis@gnu.org>

	* glibc-tdep.h (struct gdbarch): Declare opaque.
	(glibc_skip_solib_resolver): Adjust prototype.
	* glibc-tdep.c (glibc_skip_solib_resolver): Adjust.
	* arm-linux-tdep.c (arm_linux_skip_solib_resolver): Remove.
	(arm_linux_init_abi): Set skip_solib_resolver.
	* i386-linux-tdep.c (i386_linux_skip_solib_resolver): Remove.
	(i386_linux_init_abi): Set skip_solib_resolver.
	* config/arm/tm-linux.h (SKIP_SOLIB_RESOLVER): Remove.
	(arm_linux_skip_solib_resolver): Remove prototype.
	* config/i386/tm-linux.h (SKIP_SOLIB_RESOLVER): Remove.
	(i386_linux_skip_solib_resolver): Remove prototype.

2003-11-14  Mark Kettenis  <kettenis@gnu.org>

	* gdbarch.sh (skip_solib_resolver): Change into a multi-arch
	function.
	* gdbarch.c, gdbarch.h: Regenerate.
	* infrun.c (handle_inferior_event): Call
	gdbarch_skip_solib_resolver instead of SKIP_SOLIB_RESOLVER.
	* arch-utils.c (generic_in_solib_call_trampoline): Adjust function
	definition.
	* arch-utils.h (generic_in_solib_call_trampoline): Adjust function
	prototype.

2003-11-14  Jeff Johnston  <jjohnstn@redhat.com>

	* libunwind-frame.c: New file.
	* libunwind-frame.h: New file.
	* acconfig.h (HAVE_LIBUNWIND): #undef reference added.
	* configure.in: Add --with-libunwind option support.  Define
	HAVE_LIBUNWIND if libunwind support selected / defaulted.
	Also check for libunwind.h and libunwind-ia64.h headers.
	* configure: Regenerated.
	* Makefile.in: Add support for libunwind-frame.o.
	* config.in: Regenerated.

2003-11-14  Jeff Johnston  <jjohnstn@redhat.com>

	* config/ia64/nm-linux.h (NATIVE_XFER_UNWIND_TABLE): New macro to
	set up the ia64 linux native target method for getting the kernel
	unwind table.
	* ia64-linux-nat.c (ia64_linux_xfer_unwind_table): New function.
	* inftarg.c (child_xfer_partial): Enable section of code to
	handle TARGET_OBJECT_UNWIND_TABLE.
 	* target.h (target_object): Add new TARGET_OBJECT_UNWIND_TABLE macro.

2003-11-14  Ian Lance Taylor  <ian@wasabisystems.com>

	* config/arm/nbsd.mt (TM_FILE): Define.
	* config/arm/tm-nbsd.h: New file.

2003-11-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.in (ppc-sysv-tdep.o): Update dependencies.
	* ppc-sysv-tdep.c: Include "objfiles.h".
	(ppc64_sysv_abi_push_dummy_call): Provide the
	the FN's objfile when looking for the descriptor.

	* ppc-linux-tdep.c (ppc_linux_init_abi): Set PPC64's
	"name_of_malloc" to ".malloc".

2003-11-13  Mark Kettenis  <kettenis@gnu.org>

	* config/i386/x86-64linux.mt (TDEPFILES): Add glibc-tdep.o.

2003-11-13  David Carlton  <carlton@kealia.com>

	* cp-namespace.c (lookup_namespace_scope): Fix typo in comment.

2003-11-13  Andrew Cagney  <cagney@redhat.com>

	* arch-utils.h (selected_architecture_name): Declare.
	(selected_byte_order): Declare.
	* arch-utils.c (selected_byte_order): New function.
	(selected_architecture_name): New function.
	(target_architecture_auto): Make static.
	(set_architecture_string): Make static.
	(target_byte_order): Make static.
	(target_byte_order_auto): Make static.
	* gdbarch.sh (TARGET_BYTE_ORDER, TARGET_ARCHITECTURE): Delete
	non-multi-arch definition.
	(TARGET_ARCHITECTURE_AUTO, TARGET_BYTE_ORDER_AUTO): Delete.
	(target_byte_order, target_architecture): Delete declaration.
	(target_byte_order_auto, target_architecture_auto): Ditto.
	* gdbarch.h: Re-generate.
	* remote-sim.c (gdbsim_open): Use "selected_architecture_name" and
	"selected_byte_order".

2003-11-13  Andrew Cagney  <cagney@redhat.com>

	* ppc-linux-tdep.c (ppc_linux_return_value): Fix parameter order.

2003-11-13  Jim Blandy  <jimb@redhat.com>

	* cp-namespace.c: Doc fix.

2003-11-12  Michael Snyder  <msnyder@redhat.com>

	* sh64_tdep.c: Regularize some names.
	(sh_sh64_register_name): Rename to sh64_register_name.
	(sh_sh64_breakpoint_from_pc): Rename to sh64_breakpoint_from_pc.
	(sh_sh64_register_byte): Rename to sh64_register_byte.
	(sh_sh64_build_float_register_type):
	Rename to sh64_build_float_register_type.
	(sh_sh64_register_convert_to_virtual):
	Rename to sh64_register_convert_to_virtual.
	(sh_sh64_register_convert_to_raw):
	Rename to sh64_register_convert_to_raw.

	* sh64-tdep.c (translate_insn_rn, is_media_pseudo,
	sh64_media_reg_base_num, sh64_compact_reg_base_num,
	sh64_nofp_frame_init_saved_regs, sh64_push_arguments,
	sh64_extract_return_value, sh64_show_media_regs,
	sh64_show_compact_regs, sh_sh64_register_byte, sh64_register_type,
	sh_sh64_register_convert_to_virtual, sh_sh64_register_convert_to_raw,
	sh64_pseudo_register_read, sh64_pseudo_register_write,
	sh64_do_pseudo_register, sh_compact_print_registers_info):
	Delete unused variable 'tdep'.

	* sh64-tdep.c: Coding standard and spelling comment fixes.
	(sh64_extract_return_value): Replace deprecated_store_floating
	with store_typed_floating.
	(sh_sh64_register_convert_to_raw): Replace
	deprecated_store_floating with store_typed_floating.
	(sh_sh64_register_virtual_type): Convert to sh64_register_type.
	(sh64_frame_chain, sh64_get_saved_pr, sh64_get_saved_register,
	sh64_nofp_frame_init_saved_regs, sh64_push_arguments,
	sh64_extract_struct_value_address, sh64_pop_frame,
	sh64_extract_return_value, sh64_store_return_value,
	sh_sh64_register_convert_to_virtual, sh64_pseudo_register_read,
	sh_sh64_register_convert_to_raw, sh_pseudo_register_write):
	Replace DEPRECATED_REGISTER_RAW_SIZE with register_size.
	Replace DEPRECATED_REGISTER_VIRTUAL_TYPE with register_type.
	(sh64_gdbarch_init): Don't set deprecated_register_bytes,
	deprecated_register_virtual_type, deprecated_register_raw_size,
	deprecated_max_register_raw_size, or
	deprecated_max_register_virtual_size.  Instead, just set
	gdbarch_register_type.
	(sh_sh64_register_raw_size): Delete.
	(sh_sh64_register_virtual_size): Delete.

2003-11-12  Daniel Jacobowitz <drow@mvista.com>

	* dwarf2read.c (struct dwarf2_cu): New type.

	(dwarf2_build_psymtabs_hard, psymtab_to_symtab_1): Create a
	dwarf2_cu structure to pass down.

	(scan_partial_symbols, add_partial_symbol, add_partial_namespace)
	(add_partial_enumeration, locate_pdi_sibling, process_die)
	(read_file_scope, read_func_scope)
	(read_lexical_block_scope, dwarf2_get_pc_bounds)
	(dwarf2_add_field, dwarf2_attach_fields_to_type)
	(dwarf2_add_member_fn, dwarf2_attach_fn_fields_to_type)
	(read_structure_scope, read_enumeration, read_array_type)
	(read_common_block, read_namespace, read_tag_pointer_type)
	(read_tag_ptr_to_member_type, read_tag_reference_type)
	(read_tag_const_type, read_tag_volatile_type, read_tag_string_type)
	(read_subroutine_type, read_typedef, read_base_type, read_comp_unit)
	(read_die_and_children, read_die_and_siblings, dwarf2_read_section)
	(dwarf2_read_abbrevs, dwarf2_lookup_abbrev, read_partial_die)
	(read_full_die. read_attribute_value, read_attribute)
	(read_address, dwarf_decode_line_header, dwarf_decode_lines)
	(var_decode_location, new_symbol, dwarf2_const_value, die_type)
	(die_containing_type, type_at_offset, tag_type_to_type)
	(read_type_die, dwarf_base_type, decode_locdesc, dwarf_decode_macros)
	(dwarf2_symbol_mark_computed): Accept and use a dwarf2_cu object.

2003-11-12  Daniel Jacobowitz  <drow@mvista.com>

	PR breakpoints/1450
	* breakpoint.c (insert_bp_location): Fix a logic error by returning
	0 after a catchpoint fails.

2003-11-11  Michael Chastain  <mec.gnu@mindspring.com>

	* mips-tdep.c (msymbol_size): Delete.

2003-11-07  Michael Chastain  <mec@shout.net>

	* symtab.h (struct minimal_symbol): Add size.
	* dbxread.c: Use it.
	* elfread.c: (record_minimal_symbol_and_info): Do not use info.
	Rename to record_minimal_symbol.
	(elf_symtab_read): Set MSYMBOL_SIZE explicitly.
	* minsyms.c (prim_record_minimal_symbol_and_info): Initialize MSYMBOL_SIZE.
	(install_minimal_symbols): Ditto.
	* objfiles.c (terminate_minimal_symbol_table): Ditto.
	* arm-tdep.c: Delete unused MSYMBOL_SIZE.
	* m68hc11-tdep.c: Ditto.
	* mips-tdep.c: Ditto.
	* sh64-tdep.c: Ditto.

2003-11-10  Michael Chastain  <mec.gnu@mindspring.com>

	* MAINTAINERS: Change my e-mail address.

2003-11-10  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh (return_value): Replace "inval" and "outval" with
	"readbuf" and "writebuf".
	* ppcnbsd-tdep.c (ppcnbsd_return_value): Ditto.
	* d10v-tdep.c (d10v_return_value): Ditto.
	* ppc-tdep.h (ppc_sysv_abi_return_value): Ditto.
	(ppc_sysv_abi_broken_return_value): Ditto.
	(ppc64_sysv_abi_return_value): Ditto.
	* ppc-sysv-tdep.c (do_ppc_sysv_return_value): Ditto.
	(ppc_sysv_abi_return_value): Ditto.
	(ppc_sysv_abi_broken_return_value): Ditto.
	(ppc64_sysv_abi_return_value): Ditto.
	* values.c (register_value_being_returned): Update call.
	* stack.c (return_command): Update call.
	* gdbarch.h, gdbarch.c: Re-generate.

	* target.h (struct target_ops): Order xfer buffer parameters "read
	write" not "write read".
	* bfd-target.c (target_bfd_xfer_partial): Update.
	* remote.c (remote_xfer_partial): Update.
	* inftarg.c (child_xfer_partial): Update.
	* target.c (default_xfer_partial): Update.
	(target_read_partial, target_write_partial): Update.
	(debug_to_xfer_partial): Update.

	* arch-utils.h, arch-utils.c: Fix typo in comment.

	* arch-utils.c (deprecated_select_gdbarch_hack): Delete function.
	(gdbarch_from_bfd): Call gdbarch_find_by_info.
	(set_gdbarch_from_file): Call
	"deprecated_current_gdbarch_select_hack".

2003-11-09  Andrew Cagney  <cagney@redhat.com>

	* arch-utils.c (gdbarch_update_p): New function.
	* gdbarch.sh (gdbarch_update_p): Delete function.
 	(find_arch_by_info, gdbarch_find_by_info): New functions.
	(deprecated_current_gdbarch_select_hack): New function.
	* gdbarch.c: Re-generate.

	* gdbarch.sh (clear_gdbarch_swap): Delete function.
	(swapout_gdbarch_swap): Delete function.
	(swapin_gdbarch_swap): Delete function.
	(init_gdbarch_swap): Delete function.
	(initialize_non_multiarch): Delete function.
	(current_gdbarch_swap_in_hack): New function.
	(current_gdbarch_swap_out_hack): New function.
	(current_gdbarch_swap_init_hack): New function.
	* gdbarch.c: Re-generate.

	* gdbarch.sh (verify_gdbarch, gdbarch_dump): Rename "gdbarch"
	parameter to "current_gdbarch".  Add comment explaining why.
	(TARGET_FLOAT_FORMAT: Pass "current_gdbarch" to default_double_format.
	(TARGET_DOUBLE_FORMAT,TARGET_LONG_DOUBLE_FORMAT): Ditto.
	* gdbarch.c: Re-generate.

	* config/s390/s390.mh (XM_FILE, XM_CLIBS): Delete macros.
	* config/s390/nm-linux.h (KERNEL_U_ADDR): Define.
	* config/s390/xm-linux.h: Delete file.
	* config/m88k/xm-delta88v4.h: Delete stray.

	* Makefile.in (arch-utils.o): Update dependencies.
	* arch-utils.c: Include "osabi.h".
	(gdbarch_info_fill): New function.
	* arch-utils.h (gdbarch_info_fill): Declare.
	* gdbarch.sh (gdbarch_update_p): Call "gdbarch_info_fill".
	* gdbarch.c: Re-generate.

2003-11-09  Mark Kettenis  <kettenis@gnu.org>
            David S. Miller  <davem@redhat.com>

	* glibc-tdep.c, glibc-tdep.h: New files.
	* config/arm/linux.mt (TDEPFILES): Add glibc-tdep.o
	* config/i386/linux.mt (TDEPFILES): Likewise.
	* i386-linux-tdep.c (glibc-tdep.h): Include.
	(find_minsym_and_objfile, skip_hurd_resolver): Delete.
	(i386_linux_skip_solib_resolver): Call glibc_skip_solib_resolver.
	* arm-linux-tdep.c (glibc-tdep.h): Include.
	(find_minsym_and_objfile, skip_hurd_resolver): Delete.
	(arm_linux_skip_solib_resolver): Call glibc_skip_solib_resolver.
	* Makefile.in (ALLDEPFILES): Add glibc-tdep.c
	(glibc_tdep_h): Define.
	(glibc-tdep.o): Add dependencies.
	(arm-linux-tdep.o): Update dependencies.
	(i386-linux-tdep.o): Likewise.

2003-11-09  Andrew Cagney  <cagney@redhat.com>

	* config/mips/irix6.mh (NAT_FILE): Set to "nm-irix5.h".
	* config/mips/nm-irix6.h: Delete file.
	* config/mips/nm-linux.h: Update copyright.
	(MIPS_GNULINUX_TARGET): Delete macro.
	* config/mips/irix6.mh (XM_FILE): Set to "xm-irix5.h".
	* config/mips/xm-irix6.h: Delete file.
	* config/mips/linux.mh (XM_FILE): Delete definition.
	* config/mips/xm-linux.h: Delete file.

2003-11-09  Andrew Cagney  <cagney@redhat.com>

	* d10v-tdep.c (d10v_return_value): New function.
	(d10v_use_struct_convention): Delete function.
	(d10v_store_return_value): Delete function.
	(d10v_extract_struct_value_address): Delete function.
	(d10v_gdbarch_init): Set "return_value" instead of
	"extract_return_value", "store_return_value",
	"extract_struct_value_address", and "use_struct_convention".
	(RET1_REGNUM): Delete const.

2003-11-09  Mark Kettenis  <kettenis@gnu.org>

	From David S. Miller  <davem@redhat.com>:
	* gdbarch.sh (SKIP_SOLIB_RESOLVER): New method.
	* gdbarch.c, gdbarch.h: Regenerated.
	* arch-utils.c (generic_skip_solib_resolver): New function.
	* arch-utils.h (generic_skip_solib_resolver): New prototype.
	* infrun.c (SKIP_SOLIB_RESOLVER): Don't define.

2003-11-07  Andrew Cagney  <cagney@redhat.com>

	* top.c (print_gdb_version): Replace STREQ with strcmp.
	* valops.c (value_struct_elt_for_reference): Ditto.
	(value_struct_elt_for_reference): Ditto.
	* symtab.c (gdb_mangle_name): Ditto.
	(find_line_symtab): Ditto.
	* symmisc.c (maintenance_print_symbols): Ditto.
	* symfile.c (symbol_file_command): Ditto.
	* stabsread.c (define_symbol, read_type): Ditto.
	(cleanup_undefined_types, scan_file_globals): Ditto.
	* solib.c (solib_map_sections): Ditto.
	* solib-svr4.c (bfd_lookup_symbol): Ditto.
	* rs6000-tdep.c (skip_prologue): Ditto.
	* p-valprint.c (pascal_value_print): Ditto.
	(pascal_object_is_vtbl_ptr_type): Ditto.
	* objfiles.c (in_plt_section): Ditto.
	* minsyms.c (lookup_minimal_symbol): Ditto.
	(compact_minimal_symbols): Ditto.
	(find_solib_trampoline_target): Ditto.
	* mdebugread.c (parse_type): Ditto.
	* language.c (set_language_command): Ditto.
	(set_type_command, set_range_command): Ditto.
	* f-lang.c (add_common_block): Ditto.
	(add_common_block): Ditto.
	(find_first_common_named): Ditto.
	(patch_all_commons_by_name): Ditto.
	* elfread.c (elf_locate_sections): Ditto.
	(elf_locate_sections): Ditto.
	(elfstab_offset_sections): Ditto.
	* dwarf2read.c (dwarf2_locate_sections): Ditto.
	* dbxread.c (add_old_header_file): Ditto.
	(find_corresponding_bincl_psymtab): Ditto.
	(read_dbx_symtab, process_one_symbol): Ditto.
	* coffread.c (patch_opaque_types): Ditto.
	* cli/cli-decode.c (delete_cmd): Ditto.
	* cli/cli-cmds.c (pwd_command, list_command): Ditto.
	* c-typeprint.c (c_type_print_base): Ditto.
	* breakpoint.c (bpstat_stop_status): Ditto.
	(clear_command, breakpoint_re_set_one): Ditto.

2003-11-07  Andrew Cagney  <cagney@redhat.com>

	* bcache.h: Update copyright.  Add comments on bcache VS hashtab.
	* bcache.c (struct bstring): Make "length" an unsigned short, add
	"half_hash".
	(struct bcache): Add "half_hash_error_count".
	(bcache): Compute and save the "half_hash".  Compare the
	"half_hash" before comparing the length.  Update
	half_hash_error_count.

2003-11-07  Andrew Cagney  <cagney@redhat.com>

	* inftarg.c (child_xfer_partial): New function
	(init_child_ops): Set "to_xfer_partial".

2003-11-07  Andrew Cagney  <cagney@redhat.com>

	* ppc-linux-tdep.c (ppc_linux_init_abi): When 32-bit GNU/Linux,
	set "return_value" instead of "use_struct_convention".
	(ppc_linux_use_struct_convention): Delete function.
	(ppc_linux_return_value): New function.
	* ppc-sysv-tdep.c (ppc_sysv_abi_return_value): New function.
	(ppc_sysv_abi_broken_return_value): New function.
	(do_ppc_sysv_return_value): Add "gdbarch" parameter.
	(ppc64_sysv_abi_push_dummy_call): Add "gdbarch" parameter, drop
	static.
	(ppc_sysv_abi_extract_return_value): Delete function.
	(ppc_sysv_abi_broken_extract_return_value): Delete function.
	(ppc_sysv_abi_store_return_value): Delete function.
	(ppc_sysv_abi_broken_store_return_value): Delete function.
	(ppc_sysv_abi_use_struct_convention): Delete function.
	(ppc64_sysv_abi_use_struct_convention): Delete function.
	(ppc64_sysv_abi_extract_return_value): Delete function.
	(ppc64_sysv_abi_store_return_value): Delete function.
	* ppcnbsd-tdep.c (ppcnbsd_return_value): New function.
	(ppcnbsd_init_abi): Set "return_value", instead of
	"use_struct_convention", "extract_return_value", and
	"store_return_value".
	(ppcnbsd_use_struct_convention): Delete function.
	* ppc-tdep.h (ppc64_sysv_abi_return_value): Declare.
	(ppc_sysv_abi_return_value): Declare.
	(ppc_sysv_abi_broken_return_value): Declare.
	(ppc_sysv_abi_use_struct_convention): Delete.
	(ppc_sysv_abi_store_return_value): Delete.
	(ppc_sysv_abi_extract_return_value): Delete.
	(ppc_sysv_abi_broken_store_return_value): Delete.
	(ppc_sysv_abi_broken_extract_return_value): Delete.
	(ppc64_sysv_abi_use_struct_convention): Delete.
	(ppc64_sysv_abi_extract_return_value): Delete.
	(ppc64_sysv_abi_store_return_value): Delete.
	* rs6000-tdep.c (rs6000_gdbarch_init): For 32-bit and 64-bit SYSV,
	set "return_value" instead of "extract_return_value",
	"store_return_value", and "use_struct_convention".

2003-11-07  Mark Kettenis  <kettenis@gnu.org>

	* dwarf2-frame.c (dwarf2_build_frame_info): Wrap comment.

	* fbsd-proc.c (read_mapping): Use sscanf and fgets instead of
	fscanf.

2003-11-07  Mark Kettenis  <kettenis@gnu.org>

	* fbsd-proc.c: Fix formatting.

2003-11-06  Kevin Buettner  <kevinb@redhat.com>

	* frv-tdep.c (first_pseudo_regnum, iacc0_regnum, frv_num_pseudo_regs):
	Define.
	(new_variant): Set name for iacc0_regnum.
	(frv_register_name): Accommodate pseudo-registers.
	(frv_register_type): Add case for iacc0_regnum.
	(frv_pseudo_register_read, frv_pseudo_register_write): New functions.
	(frv_gdbarch_init): Set number of pseudo registers.  Establish
	pseudo-register read/write methods.

2003-11-06  Andrew Cagney  <cagney@redhat.com>

	* valops.c (destructor_name_p): Replace STREQN with strncmp.
	* top.c (command_line_input): Ditto.
	* objc-exp.y (yylex): Ditto.
	* minsyms.c (prim_record_minimal_symbol_and_info): Ditto.
	* jv-exp.y (yylex): Ditto.
	* f-exp.y (yylex): Ditto.
	* event-top.c (command_line_handler): Ditto.
	* environ.c (get_in_environ): Ditto.
	(set_in_environ): Ditto.
	* dwarfread.c (handle_producer): Ditto.
	* dbxread.c (process_one_symbol): Ditto.
	* c-typeprint.c (c_type_print_base): Ditto.
	* c-exp.y (yylex): Ditto.

2003-11-06  Andrew Cagney  <cagney@redhat.com>
	    Jeff Johnston  <jjohnstn@redhat.com>

	* target.c (add_target): Only set "to_xfer_partial" when NULL.
	(init_dummy_target): Set "to_xfer_partial".

2003-11-06  Andrew Cagney  <cagney@redhat.com>

	* stack.c (return_command): Warn when STRUCT_CONVENTION, and not
	REGISTER_CONVENTION.

2003-11-06  Daniel Jacobowitz  <drow@mvista.com>

	* breakpoint.c (insert_bp_location, allocate_bp_location): Make
	static.

2003-11-06  Daniel Jacobowitz  <drow@mvista.com>

	* breakpoint.c (remove_breakpoint): Take an bp_location
	instead of a breakpoint argument.  Check the bp_location's type.
	Fix a reversed condition for hardware breakpoints.

	(insert_bp_location): Update call to remove_breakpoint.
	(remove_breakpoints): Likewise.  Use ALL_BP_LOCATIONS.
	(remove_hw_watchpoints): Likewise.
	(reattach_breakpoints): Likewise.
	(detach_breakpoints): Likewise.
	(delete_breakpoint): Likewise.

2003-11-06  Daniel Jacobowitz  <drow@mvista.com>

	* breakpoint.c (mark_breakpoints_out): Use ALL_BP_LOCATIONS.
	(beakpoint_init_inferior): Likewise.
	(breakpoint_here_p): Likewise.  Only check addresses for software
	or hardware breakpoints.
	(breakpoint_inserted_here_p): Likewise.
	(breakpoint_thread_match): Likewise.  Correct comment.
	(bpstat_have_active_hw_watchpoints): Likewise.
	(check_duplicates): Likewise.

2003-11-06  Daniel Jacobowitz  <drow@mvista.com>

	* breakpoints.c (insert_bp_location): New function, broken out
	from insert_breakpoints.  Work on an bp_location instead of a
	breakpoint.
	(insert_breakpoints): Use it.

2003-11-06  Daniel Jacobowitz  <drow@mvista.com>

	* breakpoint.h (struct bp_location): Add section.
	(struct breakpoint): Remove section.
	* breakpoint.c (insert_breakpoints, remove_breakpoint)
	(breakpoint_here_p, breakpoint_inserted_here_p)
	(breakpoint_thread_match, bpstat_stop_status, print_one_breakpoint)
	(describe_other_breakpoints, check_duplicates, set_raw_breakpoint)
	(clear_command, delete_breakpoint, breakpoint_re_set_one): Access
	section through loc.

2003-11-06  Daniel Jacobowitz  <drow@mvista.com>

	* breakpoint.c (read_memory_nobpt): Use ALL_BP_LOCATIONS
	instead of ALL_BREAKPOINTS.  Check for software breakpoints only.

2003-11-06  Daniel Jacobowitz  <drow@mvista.com>

	* breakpoint.c (allocate_bp_location): Take bpt and bp_type
	arguments.  Initialize owner and type for the new breakpoint
	location item.
	(set_raw_breakpoint): Update call to allocate_bp_location.

2003-11-06  Daniel Jacobowitz  <drow@mvista.com>

	* breakpoint.h (struct bp_location): Add a chain pointer.
	* breakpoint.c (ALL_BP_LOCATIONS, ALL_BP_LOCATIONS_SAFE): New
	macros.
	(bp_location_chain): New variable.
	(allocate_bp_location): New function.
	(set_raw_breakpoint): Use it.
	(delete_breakpoint): Remove ->loc from the bp_location_chain.

2003-11-06  Daniel Jacobowitz  <drow@mvista.com>

	* breakpoint.h (enum bp_loc_type, struct bp_location): New.
	(struct breakpoint): Remove address, shadow_contents, inserted,
	requested_address, and duplicate.  Add a struct bp_location.
	* breakpoint.c (condition_command, read_memory_nobpt)
	(insert_breakpoints, remove_breakpoints, remove_hw_watchpoints)
	(reattach_breakpoints, update_breakpoints_after_exec)
	(detach_breakpoints, remove_breakpoint, mark_breakpoints_out)
	(breakpoint_init_inferior, breakpoint_here_p)
	(breakpoint_inserted_here_p, deprecated_frame_in_dummy)
	(breakpoint_thread_match, bpstat_stop_status)
	(bpstat_have_active_hw_watchpoints, print_one_breakpoint)
	(describe_other_breakpoints, check_duplicates)
	(make_breakpoint_permanent, create_thread_event_breakpoint)
	(disable_breakpoints_in_shlibs, re_enable_berakpoints_in_shlibs)
	(set_longjmp_resume_breakpoint, mention, create_breakpoints)
	(watch_command_1, print_one_exception_catchpoint)
	(clear_command, breakpoint_re_set_one): Adjust member accesses to
	use the breakpoint's ->loc.
	(set_raw_breakpoint): Likewise.  Initialize ->loc.
	(delete_breakpoint): Likewise.  Free ->loc.

2003-11-05  Andrew Cagney  <cagney@redhat.com>

	* config/sparc/tm-sparc.h (FRAME_STRUCT_ARGS_ADDRESS): Delete
	macro.
	* config/m68k/tm-sun3.h (SIG_PC_FP_OFFSET): Delete macro.
	* config/i386/tm-cygwin.h
	(LINKER_SYMBOLS_HAVE_WIN32_STDCALL_ARG_SIZES): Delete macro.
	* config/powerpc/tm-linux.h
	(AT_SUBROUTINE_CALL_INSTRUCTION_TARGET): Delete macro.
	(at_subroutine_call_instruction_target): Delete declaration.
	* config/sparc/tm-sp64linux.h (GDB_PTRACE_REGS64): Delete macro.
	* config/m68k/tm-sun3.h (SIG_SP_FP_OFFSET): Delete macro.
	* config/ns32k/tm-ns32k.h (NUM_GENERAL_REGS): Delete macro.

	* xcoffread.c (find_linenos): Replace "sec_ptr" and "bfd" with
	"struct bfd_section" and "struct bfd".
	* target.h (struct section_table): Ditto.
	* rs6000-nat.c (xcoff_relocate_core): Ditto.
	* solib-svr4.c (elf_locate_base): Ditto.
	* pa64solib.c (dld_cache_t): Ditto.
	* objfiles.h (struct obj_section): Ditto.
	* objfiles.c (add_to_objfile_sections): Ditto.
	* exec.c (bfdsec_to_vmap): Ditto.
	(add_to_section_table): Ditto.
	(build_section_table): Ditto.
	* corelow.c (get_core_register_section): Ditto.
	* coffread.c (find_linenos): Ditto.
	* elfread.c (elf_interpreter): Delete #if0'd function.

	* mips-tdep.c (mips_dump_tdep): Delete code prinint VX_NUM_REGS.
	* config/sparc/tm-vxsparc.h (VX_NUM_REGS): Delete macro.
	* config/mips/tm-vxmips.h (VX_NUM_REGS): Delete macro.
	* config/m68k/tm-vx68.h (VX_NUM_REGS): Delete macro.

	* arch-utils.h (generic_cannot_extract_struct_value_address):
	Delete declaration.
	* wince.c (_initialize_wince): Fix multi-line string.
	* ia64-tdep.c (floatformat_valid): Convert to ISO C.

2003-11-05  Elena Zannoni  <ezannoni@redhat.com>

	* top.c (execute_command): Fix broken logic for command execution
	while inferior is running in async mode.

2003-11-06  Mark Kettenis  <kettenis@gnu.org>

	* dwarf2-frame.c (execute_cfa_program): Mark register as
	REG_SAVED_REG for DW_CFA_register opcode.

2003-11-05  Mark Kettenis  <kettenis@gnu.org>

	* amd64fbsd-tdep.c (amd64fbsd_sc_reg_offset): Adjust offset of
	%rsp, %rip and %eflags to match ABI-change.

2003-11-05  Jeff Johnston  <jjohnstn@redhat.com>

	* ia64-tdep.c (struct gdbarch_tdep): Remove os_ident field.
	(ia64_gdbarch_init): Don't bother calculating the os.
	Instead use the gdbarch_info struct and look at the osabi field.
	Also use gdbarch_list_lookup_by_info() to look for a
	candidate gdbarch.

2003-11-05  Kevin Buettner  <kevinb@redhat.com>

	* frv-tdep.c (frv_register_byte): Delete.
	(frv_extract_return_value, frv_store_return_value)
	(frv_extract_struct_value_address): Don't call frv_register_byte().
	Convert to non-deprecated form.
	(frv_gdbarch_init): Don't call set_gdbarch_deprecated_register_byte().
	Convert calls to set_gdbarch_deprecated_extract_return_value(),
	set_gdbarch_deprecated_store_return_value(), and
	set_gdbarch_deprecated_extract_struct_value_address() into
	non-deprecated forms.

2003-11-05  Andrew Cagney  <cagney@redhat.com>

	* mips-tdep.c (mips_dump_tdep): Do not print
	PRINT_EXTRA_FRAME_INFO.
	* config/sparc/tm-sparc.h (DEPRECATED_PRINT_EXTRA_FRAME_INFO):
	Rename PRINT_EXTRA_FRAME_INFO.
	* mips-tdep.c (mips_print_extra_frame_info): Delete function.
	* config/mips/tm-mips.h (PRINT_EXTRA_FRAME_INFO): Delete macro.
	(mips_print_extra_frame_info): Delete declaration.
	* stack.c (frame_info): Use DEPRECATED_PRINT_EXTRA_FRAME_INFO.

2003-11-05 Elena Zannoni  <ezannoni@redhat.com>

	* coffread.c (coff_symtab_read): Remove passing of info parameter
	to prim_record_minimal_symbol_and_info.

2003-11-05  Elena Zannoni  <ezannoni@redhat.com>

	* coffread.c (process_coff_symbol): Delete CXUX_TARGET macro use.
	(decode_base_type): Delete ifdeffed out code.

2003-11-04  Andrew Cagney  <cagney@redhat.com>

	* symtab.c (find_active_alias): Delete function.
	(lookup_block_symbol): Delete alias code.
	* stabsread.c (resolve_live_range): Delete function.
	(add_live_range): Delete function.
	(resolve_symbol_reference): Delete function.
	(define_symbol): Delete live range and alias code.
	(scan_file_globals): Delete alias code.
	* symtab.h (SYMBOL_RANGES): Delete macro.
	(struct range_list): Delete structure.
	(struct symbol): Delete field "ranges".
	(SYMBOL_ALIASES): Delete macro.
	(struct alias_list): Delete structure.
	(struct symbol): Delete field "aliases".

2003-11-04  Michael Snyder  <msnyder@redhat.com>

	* MAINTAINERS: Remove myself as owner of breakpoints and
	of sparc/solaris.

2003-11-03  Corinna Vinschen  <vinschen@redhat.com>

	* sh-tdep.c (sh_sh4_nofpu_register_name): New function.
	(sh_sh4al_dsp_register_name): Ditto.
	(sh4_nofpu_show_regs): Ditto.
	(sh_gdbarch_init): Add cases for bfd_mach_sh4al_dsp, bfd_mach_sh4a,
	bfd_mach_sh4_nofpu and bfd_mach_sh4a_nofpu.

2003-11-03  Andrew Cagney  <cagney@redhat.com>

	* bcache.c: Include "gdb_assert.h".
	(struct bcache): Add fields "expand_count" and
	"expand_hash_count".
	(expand_hash_table): Update the expand counts.
	(print_bcache_statistics): Use XCALLOC, not alloca.  Print stats
	on object sizes and hashes.
	* Makefile.in (bcache.o): Update dependencies.

2003-11-03  Andrew Cagney  <cagney@redhat.com>

	* exec.c (xfer_memory): Eliminate xfer_fn.

2003-10-31  Kevin Buettner  <kevinb@redhat.com>

	* frv-tdep.c (gdb_assert.h, sim-regno.h, gdb/sim-frv.h)
	(opcodes/frv-desc.h): Include.
	(iacc0h_regnum, iacc0l_regnum): Define.
	(last_spr_regnum, frv_num_regs): Update.
	(new_variant): Don't supply default names for holes in the SPRs.
	Supply names for iacc0h_regnum and iacc0l_regnum.
	(frv_register_type): Use symbolic constants first_fpr_regnum and
	last_fpr_regnum instead of hardcoded constants 64 and 127.  Use
	builtin_type_int instead of builtin_type_int32.
	(frv_register_sim_regno): New function.
	(frv_gdbarch_init): Call set_gdbarch_register_sim_regno().
	* Makefile.in (gdb_sim_frv_h): Define.
	(frv-tdep.o): Update dependencies.

2003-10-31  Andrew Cagney  <cagney@redhat.com>

	* avr-tdep.c (avr_frame_this_id): Do not call
	deprecated_inside_entry_file.
	* m68hc11-tdep.c (m68hc11_frame_this_id): Ditto.
	* m32r-tdep.c (m32r_frame_this_id): Ditto.
	* d10v-tdep.c (d10v_frame_this_id): Ditto.
	* arm-tdep.c (arm_prologue_this_id): Ditto.
	* alpha-tdep.c (alpha_heuristic_frame_this_id): Ditto.

2003-10-31  Jim Blandy  <jimb@redhat.com>

	* elfread.c (elf_symtab_read): Allocate correct number of tail
	elements to sectinfo structure.  (Fix from Woody LaRue.)

2003-10-31  Andrew Cagney  <cagney@redhat.com>

	* stack.c (return_command): Use get_frame_type, instead of
	CALL_DUMMY_HAS_COMPLETED.
	* inferior.h (CALL_DUMMY_HAS_COMPLETED): Delete definition.
	* config/pa/tm-hppa.h (CALL_DUMMY_HAS_COMPLETED): Delete macro.

2003-10-31  Mark Kettenis  <kettenis@gnu.org>

	* x86-64-linux-tdep.c (x86_64_linux_sc_reg_offset): Don't
	explicitly specify size of array.
	(x86_64_linux_init_abi): Use ARRAY_SIZE to initialize
	TDEP->sc_num_regs.

2003-10-31  Andrew Cagney  <cagney@redhat.com>

	* s390-tdep.c (s390_cannot_extract_struct_value_address): New
	function.
	(s390_gdbarch_init): Set extract_struct_value_address.
	* arch-utils.c (generic_cannot_extract_struct_value_address):
	Delete function.
	* arch-utils.h (generic_cannot_extract_struct_value_address):
	Delete definition.

2003-10-31  Mark Kettenis  <kettenis@gnu.org>

	* i386-linux-nat.c (fetch_core_registers): Remove.
	(linux_elf_core_fns): Remove.
	(_initialize_i386_linux_nat): Remove.

2003-10-31  Andrew Cagney  <cagney@redhat.com>

	* solib-svr4.c: Update copyright.  Include "bfd-target.h" and
	"exec.h".
	(exec_entry_point): New function.
	(enable_break): Create a "tmp_bfd_target", use that and
	entry_point_address when computing the relocation offset.
	(svr4_relocate_main_executable): Ditto with exec_bfd and exec_ops.
	* Makefile.in (solib-svr4.o): Update dependencies.

2003-10-31  Andrew Cagney  <cagney@redhat.com>

	* defs.h (XZALLOC): Define.
	* target.h (struct target_ops): Add "to_data";
	* bfd-target.h, bfd-target.c: New files.
	* Makefile.in (SFILES): Add "bfd-target.c".
	(COMMON_OBS): Add "bfd-target.o".
	(bfd-target.o): Specify dependencies.
	(bfd_target_h): Define.
	* defs.h (XZALLOC): Define.

2003-10-31  Andrew Cagney  <cagney@redhat.com>

	* rs6000-tdep.c (rs6000_gdbarch_init): For 64-bit ABI, set
	adjust_breakpoint_address.
	* Makefile.in (ppc-sysv-tdep.o): Add $(target_h).
	* ppc-tdep.h (ppc64_sysv_abi_adjust_breakpoint_address): Declare.
	* ppc-sysv-tdep.c: Include "target.h".  Update copyright.
	(ppc64_sysv_abi_adjust_breakpoint_address): New function.

2003-10-31  Andrew Cagney  <cagney@redhat.com>

	* target.h (struct target_ops): Replace "to_read_partial" and
	"to_write_partial" with "to_xfer_partial".  Update comments.
	* target.c (debug_to_write_partial): Delete function.
	(debug_to_xfer_partial): Replace debug_to_read_partial.
	(add_target, update_current_target, setup_target_debug): Set
	"to_xfer_partial" instead of "to_read_partial" and
	"to_write_partial".
	(default_xfer_partial): Replace "default_write_partial".
	(default_read_partial): Delete.
	(target_read_partial, target_write_partial): Call
	"to_xfer_partial".
	* remote.c (init_remote_ops): Set "to_xfer_partial".
	(init_remote_async_ops): Ditto.
	(remote_xfer_partial): Replace "remote_read_partial".

2003-10-31  Mark Kettenis  <kettenis@gnu.org>

	* i386-tdep.c (i386_supply_fpregset): Support floating-point
	registers in `fxsave' format.
	(i386_regset_from_core_section): Deal with ".reg-xfp" sections.

2003-10-30  Mark Kettenis  <kettenis@gnu.org>

	* i386-linux-tdep.c (i386_linux_gregset_reg_offset): New variable.
	(i386_linux_init_abi): Initialize TDEP->gregset_reg_offset,
	TDEP->gregset_num_regs and tdep->sizeof_gregset.

	* i386-linux-tdep.c (i386_linux_sc_reg_offset): Don't explicitly
	specify size of array.
	(i386_linux_init_abi): Remove initialization of
	TDEP->num_xmm_regs.  Use I386_LINUX_NUM_REGS for number of
	registers.  Use ARRAY_SIZE to initialize TDEP->sc_num_regs.

	* config/i386/fbsd64.mt (TDEPFILES): Add corelow.o.
	* config/i386/fbsd64.mh (NATDEPFILES): Remove corelow.o and
	core-regset.o.

	* fbsd-proc.c (fbsd_make_corefile_notes): Put a "FreeBSD" label in
	the ELF header.

2003-10-29  Mark Kettenis  <kettenis@gnu.org>

	* config/i386/fbsd.mt (TDEPFILES): Add corelow.o.
	* config/i386/fbsd.mh (NATDEPFILES): Remove corelow.o and
	core-regset.o.

	* fbsd-proc.c (fbsd_make_corefile_notes): Remove unecessary casts.

	* corelow.c: Include "arch-utils.h", "regset.h" and
	"gdb_assert.h".
	(core_gdbarch): New variable.
	(sniff_core_bfd): Don't sniff if we have support for register sets
	in CORE_GDBARCH.
	(core_close): Reset CORE_GDBARCH.
	(core_open): Initialize CORE_GDBARCH.
	(get_core_register_section): Use register sets if they are
	supported by CORE_GDBARCH.
	(get_core_registers): Don't print error message if we have support
	for register sets in CORE_GDBARCH.

2003-10-29  Andrew Cagney  <cagney@redhat.com>

	* ppc-linux-tdep.c (_initialize_ppc_linux_tdep): Instead of the
	default PPC machine, register 32-bit and 64-bit PPC, and rs6k.

2003-10-29  Mark Kettenis  <kettenis@gnu.org>

	* objfiles.h (clear_objfile_data): New prototype.
	* objfiles.c (clear_objfile_data): New function.
	* symfile.c (reread_symbols): Clear per-objfile data.

2003-10-28  Jeff Johnston  <jjohnstn@redhat.com>

	* symfile.c (symbol_file_add_with_addrs_or_offsets): Switch to use
	printf_unfiltered instead of printf_filtered for output messages.
	(add_symbol_file_command): Ditto.
	(reread_symbols): Ditto.
	(overlay_auto_command): Ditto.
	(overlay_manual_command): Ditto.
	(overlay_off_command): Ditto.

2003-10-27  Mark Kettenis  <kettenis@gnu.org>

	* arch-utils.c (deprecated_select_gdbarch_hack): New function.
	(gdbarch_from_bfd): New function.
	(set_gdbarch_from_file): Re-implement using gdbarch_from_bfd and
	deprecated_select_gdbarch_hack.
	* arch-utils.h (gdbarch_from_bfd): New prototype.

2003-10-27  Andrew Cagney  <cagney@redhat.com>

	* osabi.c (gdbarch_init_osabi): Use info.bfd_arch_info instead of
	arch_info.  Use warning instead of fprintf_filtered.  Do not use
	deprecated bfd_printable_arch_mach.

2003-10-26  Kevin Buettner  <kevinb@redhat.com>

	* frv-tdep.c (frv_register_raw_size, frv_register_virtual_size):
	Delete.
	(frv_register_type): Rename from frv_register_virtual_type.  Add
	``struct gdbarch *'' parameter.
	(frv_gdbarch_init): Delete calls to the following functions:
	set_gdbarch_deprecated_size(),
	set_gdbarch_deprecated_register_bytes(),
	set_gdbarch_deprecated_register_raw_size(),
	set_gdbarch_deprecated_max_register_raw_size(),
	set_gdbarch_deprecated_register_virtual_size(),
	set_gdbarch_deprecated_max_register_virtual_size(),
	set_gdbarch_deprecated_register_virtual_size(),
	set_gdbarch_deprecated_register_virtual_type().
	Add call to function set_gdbarch_register_type().

2003-10-26  Mark Kettenis  <kettenis@gnu.org>

	* i386-tdep.h (FCS_REGNUM, FCOFF_REGNUM, FDS_REGNUM,
	FDOFF_REGNUM): Remove defines.
	* win32-nat.c (do_child_fetch_inferior_registers): Include
	"i387-tdep.h".
	(do_child_fetch_inferior_registers): Use I387_FISEG_REGNUM and
	I387_FOP_REGNUM instead of FCS_REGNUM and FOP_REGNUM.  Define and
	undefine I387_ST0_REGNUM.

	* i386-tdep.h (FPU_REG_RAW_SIZE): Remove define.
	* x86-64-tdep.c (x86_64_store_return_value): Use
	I386_MAX_REGISTER_SIZE instead of FPU_REG_RAW_SIZE.

	Change register numbers to enumartion values.
	* i386-tdep.h (enum i386_regnum): New.
	(I386_EAX_REGNUM, I386_EDX_REGNUM, I386_ESP_REGNUM,
	I386_EBP_REGNUM, I386_IP_REGNUM, I386_EFLAGS_REGNUM,
	I386_ST0_REGNUM): Remove defines.
	* i386-tdep.c (I386_EBX_REGNUM, I386_ECX_REGNUM, I386_ESI_REGNUM,
	I386_EDI_REGNUM): Remove defines.

2003-10-24  Andrew Cagney  <cagney@redhat.com>

	* target.c: Include "gdbcore.h".
	(get_target_memory, get_target_memory_unsigned): New functions.
	* target.h (get_target_memory, get_target_memory_unsigned): Declare.
	* ppc-linux-tdep.c (ppc64_linux_convert_from_func_ptr_addr):
	Use get_target_memory_unsigned.
	* Makefile.in (target.o): Update dependencies.

2003-10-24  Andrew Cagney  <cagney@redhat.com>

	* osabi.c (gdbarch_init_osabi): Fix typos, and "fortunatly"[sic].
	* PROBLEMS, arch-utils.c, cli-out.c, command.h: Ditto.
	* complaints.c, cris-tdep.c, disasm.c, dwarf2-frame.c: Ditto.
	* frame.c, frame.h, infcall.c, infcmd.c, infrun.c: Ditto.
	* kod.c, mips-tdep.c, regcache.c, regcache.h, remote.c: Ditto.

	* osabi.c (gdbarch_init_osabi): Add comment on 32-bit vs 64-bit.
	(can_run_code_for): Use the OO term "singleton".

2003-10-23  Andrew Cagney  <cagney@redhat.com>

	* Makefile.in (stack.o): Add $(regcache_h).
	* stack.c: Include "regcache.h"
	(return_command): Rewrite.  Use get_frame_id and
	get_selected_frame.  Eliminate "deprecated_selected_frame".  Warn
	about unhandled return-values.
	* value.h (set_return_value): Delete declaration.
	* values.c (set_return_value): Delete function.

2003-10-23  Jeff Johnston  <jjohnstn@redhat.com>

	* ia64-tdep.c: (ia64_frame_cache): Add new prev_cfm field.
	(pseudo_regs): Add comment regarding register stack registers.
	(ia64_alloc_frame_cache):  Initialize new prev_cfm field to 0.
	(floatformat_valid): New static routine.
	(floatformat_ia64_ext): Add name field and set up is_valid routine
	to floatformat_valid().
	(examine_prologue):  For the previous cfm, use
	frame_unwind_register()
	if the cfm is not stored in a register-stack register.  Save the
	previous cfm value in the prev_cfm field.  Add debug output.
	(ia64_frame_this_id): Use frame_id_build_special() to also register
	the bsp.  Add debug output.
	(ia64_sigtramp_frame_this_id): Ditto.
	(ia64_frame_prev_register):  Look at cache saved_regs for a few more
	registers and also add some checks for framelessness before accepting
	current register values for fields such as return address.  For cfm,
	use the cached prev_cfm field if available.  Add comment to explain
	PSR logic.  Add debug output.
	(ia64_sigtramp_frame_init_saved_regs): Save the bsp and sp addresses
	as part of initialization.
	(ia64_sigtramp_frame_cache): Hard-code stack size as it can't be
	calculated.  Cache the bsp and cfm values.
	(ia64_sigtramp_frame_prev_register): Add logic to this routine out
	instead of using ia64_frame_prev_register() which doesn't expect most
	registers to be saved.  The saved values for bsp and sp
	can be taken from the cache.  Add debug output.
	(ia64_push_dummy_call): Use frame_id_build_special() to also register
	the bsp.

2003-10-23  Jim Blandy  <jimb@redhat.com>

	* osabi.c (gdbarch_init_osabi): A handler is okay if it's for an
	architecture the current arch can run code for --- but not if it's
	a superset.
	(can_run_code_for): New function.

2003-10-22  James E Wilson  <wilson@specifixinc.com>

	* MAINTAINERS: Move myself from paper trail section back to write
	after approval section.

2003-10-22  Andrew Cagney  <cagney@redhat.com>

	* exec.h: New file.
	* win32-nat.c: Include "exec.h".
	* solib.c: Include "exec.h".
	* target.h (build_section_table): Delete declaration.
	* somsolib.c: Include "exec.h".
	(exec_ops): Delete extern declaration.
	* rs6000-nat.c: Update copyright.  Include "exec.h".
	(exec_ops): Delete extern declaration.
	* pa64solib.c: Update copyright.  Include "exec.h".
	(exec_ops): Delete extern declaration.
	* exec.c: Update copyright.  Include "exec.h".
	* corelow.c: Update dependencies.  Include "exec.h".
	* Makefile.in (exec_h): Define.
	(exec.o, somsolib.o): Update dependencies.
	(pa64solib.o, corelow.o): Update dependencies.

2003-10-22  Andrew Cagney  <cagney@redhat.com>

	* target.c: Include "gdb_assert.h" (target_read): Call
	"target_read_partial", not "target_write_partial".
	(default_read_partial, default_write_partial): New function.
	(target_read_partial, target_write_partial): Simplify, assume that
	there is always a read/write method.
	(update_current_target, add_target): Always set "to_read_partial"
	and "to_write_partial".
	(target_write, target_read): Fail on a zero byte transfer.
	* Makefile.in (target.o): Update dependencies.
	* target.h: Update copyright date.
	(target_object): Fix typo.

2003-10-22  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh (convert_from_func_ptr_addr): Convert to a pure
	multi-arch method, add "targ" parameter.
	(struct target_ops): Declare.
	* gdbarch.h, gdbarch.c: Re-generate.
	* Makefile.in (c-valprint.o): Update dependencies.
	* arch-utils.h: Update copyright.
	(convert_from_func_ptr_addr_identity): Declare.
	* arch-utils.c (convert_from_func_ptr_addr_identity): New function.
	* ia64-tdep.c (ia64_convert_from_func_ptr_addr): Update.
	* rs6000-tdep.c (rs6000_convert_from_func_ptr_addr): Upate.
	* ppc-linux-tdep.c (ppc64_linux_convert_from_func_ptr_addr): Update.
	* infcall.c (find_function_addr, call_function_by_hand): Update.
	* c-valprint.c: Include "target.h".
	(print_function_pointer_address): Update.

2003-10-22  Andrew Cagney  <cagney@redhat.com>

	* target.c (target_close): New function.
	(debug_to_close): Use "target_close".
	(push_target): Use "target_close".
	(unpush_target): Use "target_close".
	(pop_target): Use "target_close".
	* target.h (struct target_ops): Add "to_xclose".
	(target_open): Delete macro.  Move comment to "to_open".
	(target_close): Replace macro with function that takes a target.
	* top.c (quit_target): Pass "current_target" to "target_close".

2003-10-21  Elena Zannoni  <ezannoni@redhat.com>

	* minsyms.c (lookup_minimal_symbol_text): Remove unused parameter.
	Remove SOFUN_ADDRESS_MAYBE_MISSING ifdeffed code.
	* symtab.h (lookup_minimal_symbol_text): Update.
 	* breakpoint.c (create_overlay_event_breakpoint,
 	create_longjmp_breakpoint): Update callers.
	* ppc-linux-tdep.c (ppc_linux_skip_trampoline_code): Update caller.
	* symtab.c (find_pc_sect_line): Ditto.

2003-10-21  Andrew Cagney  <cagney@redhat.com>

	* target.c (errno): Delete extern declaration.

2003-10-20  Jeff Johnston  <jjohnstn@redhat.com>

	* ia64-tdep.c: Change all occurrences of
	DEPRECATED_REGISTER_RAW_SIZE to use register_size() instead.
	(ia64_frame_prev_register): Minor whitespace change.

2003-10-20  Michael Chastain  <mec@shout.net>

	* config/djgpp/fnchange.lst: Add lines for:
	sim/testsuite/sim/frv/interrupts/Ipipe-fr400.cgs,
	sim/testsuite/sim/frv/interrupts/Ipipe-fr500.cgs,
	sim/testsuite/sim/frv/interrupts/badalign-fr550.cgs,
	sim/testsuite/sim/frv/interrupts/compound-fr550.cgs,
	sim/testsuite/sim/frv/interrupts/data_store_error-fr550.cgs,
	sim/testsuite/sim/frv/interrupts/fp_exception-fr550.cgs,
	sim/testsuite/sim/frv/interrupts/insn_access_error-fr550.cgs.

2003-10-20  Andrew Cagney  <cagney@redhat.com>

	* values.c (register_value_being_returned): Update comments.  Use
	"gdbarch_return_value" when available.
	(using_struct_return): Ditto.
	(set_return_value): Ditto.  Use "gdbarch_return_value" when
	available..  Print a warning, and not an error, when an unhandled
	return type is encountered.
	* infcmd.c: Include "gdb_assert.h".
	(print_return_value): When gdbarch_return_value_p, and using
	struct return, assume that the value is not available.
	* defs.h (return_value_convention): Define.
	* gdbarch.sh (gdbarch_return_value): New predicate method.
	* gdbarch.h, gdbarch.c: Re-generate
	* ppc-sysv-tdep.c (return_value_convention): Delete definition.

2003-10-20  Andrew Cagney  <cagney@redhat.com>

	* symtab.c: Replace "struct sec" with "struct bfd_section".
	* objfiles.c, linespec.c, blockframe.c, block.c: Ditto.

2003-10-19  Michael Chastain  <mec@shout.net>

	* config/djgpp/fnchange.lst: Add lines for:
	gdb/amd64nbsd-nat.c, gdb/amd64nbsd-tdep.c,
	gdb/i386fbsd-nat.c, gdb/i386fbsd-tdep.c,
	gdb/sparc64fbsd-nat.c, gdb/sparc64bsd-tdep.c.

2003-10-19  Mark Kettenis  <kettenis@gnu.org>

	* amd64fbsd-nat.c (fetch_inferior_registers,
	store_inferior_registers): Remove functions.
	* config/i386/fbsd64.mh (NATDEPFILES): Add amd64bsd-nat.o.

2003-10-18  Mark Kettenis  <kettenis@gnu.org>

	Add NetBSD/amd64 native configuration:
	* x86-64-tdep.h (amd64nbsd_r_reg_offset): Add extern declarations.
	* amd64nbsd-tdep.c: New file.
	* amd64nbsd-nat.c: New file.
	* amd64bsd-nat.c: New file.
	* config/i386/nbsd64.mh: New file.
	* config/i386/nbsd64.mt: New file.
	* configure.host: Add x86_64-*-netbsd*.
	* configure.tgt: Add x86_64-*-netbsd*.
	* Makefile.in (amd64bsd-nat.o, amd64nbsd-nat.o, amd64nbsd-tdep.o):
	New targets.
	* NEWS (New native configurations): Mention NetBSD/amd64.

2003-10-17  Michael Chastain  <mec@shout.net>

	* config/djgpp/fnchange.lst: Remove dead lines for:
	bfd/elf32-i386qnx.c, bfd/elf32-ppcqnx.c, bfd/elf32-shqnx.c,
	bfd/elf32-sh-lin.c, bfd/elf32-sh-nbsd.c, bfd/elf32-sh64-nbsd.c,
	bfd/elf64-alpha-fbsd.c, bfd/elf64-sh64-nbsd.c,
	gdb/alphanbsd-nat.c, gdb/config/i386/tm-i386mk.h,
	gdb/config/i386/tm-i386v42mp.h, gdb/config/i386/xm-i386mach.h,
	gdb/config/i386/xm-i386mk.h, gdb/config/i386/xm-i386v32.h,
	gdb/config/m68k/apollo68v.mh, gdb/config/m68k/nm-apollo68v.h,
	gdb/config/m68k/xm-apollo68v.h, gdb/config/m88k/tm-delta88v4.h,
	gdb/config/mips/tm-bigmips64.h, gdb/config/mips/tm-embed64.h,
	gdb/config/mips/tm-embedl.h, gdb/config/mips/tm-embedl64.h,
	gdb/config/mips/tm-vr4300el.h, gdb/config/mips/tm-vr4xxxel.h,
	gdb/config/mips/tm-vr5000el.h, gdb/config/sparc/tm-sparclet.h,
	gdb/config/sparc/tm-sparclite.h,
	gdb/gdbtk/generic/ChangeLog-2001,
	gdb/gdbtk/library/ChangeLog-2001, gdb/remote-adapt.c,
	gdb/remote-eb.c, gdb/remote-mm.c, gdb/remote-nrom.c,
	gdb/remote-udi.c, gdb/remote-vx29k.c, gdb/remote-vx960.c,
	gdb/sparclet-rom.c, gdb/sparclet-stub.c,
	gdb/testsuite/gdb.mi/mi0-var-block.exp,
	gdb/testsuite/gdb.mi/mi0-var-child.exp,
	gdb/testsuite/gdb.mi/mi0-var-cmd.exp,
	gdb/testsuite/gdb.mi/mi0-var-display.exp,
	itcl/iwidgets3.0.0/demos/extfileselectionbox,
	itcl/iwidgets3.0.0/demos/extfileselectiondialog,
	itcl/iwidgets3.0.0/demos/fileselectionbox,
	itcl/iwidgets3.0.0/demos/fileselectiondialog,
	itcl/iwidgets3.0.0/demos/html/buttonbox.n.html,
	itcl/iwidgets3.0.0/demos/html/canvasprintbox.n.html,
	itcl/iwidgets3.0.0/demos/html/canvasprintdialog.n.html,
	itcl/iwidgets3.0.0/demos/html/combobox.n.html,
	itcl/iwidgets3.0.0/demos/html/dialog.n.html,
	itcl/iwidgets3.0.0/demos/html/dialogshell.n.html,
	itcl/iwidgets3.0.0/demos/html/entryfield.n.html,
	itcl/iwidgets3.0.0/demos/html/feedback.n.html,
	itcl/iwidgets3.0.0/demos/html/fileselectionbox.n.html,
	itcl/iwidgets3.0.0/demos/html/fileselectiondialog.n.html,
	itcl/iwidgets3.0.0/demos/html/hyperhelp.n.html,
	itcl/iwidgets3.0.0/demos/html/iwidgets2.2.0UserCmds.html,
	itcl/iwidgets3.0.0/demos/html/labeledwidget.n.html,
	itcl/iwidgets3.0.0/demos/html/menubar.n.html,
	itcl/iwidgets3.0.0/demos/html/messagedialog.n.html,
	itcl/iwidgets3.0.0/demos/html/notebook.n.html,
	itcl/iwidgets3.0.0/demos/html/optionmenu.n.html,
	itcl/iwidgets3.0.0/demos/html/panedwindow.n.html,
	itcl/iwidgets3.0.0/demos/html/promptdialog.n.html,
	itcl/iwidgets3.0.0/demos/html/pushbutton.n.html,
	itcl/iwidgets3.0.0/demos/html/radiobox.n.html,
	itcl/iwidgets3.0.0/demos/html/scrolledcanvas.n.html,
	itcl/iwidgets3.0.0/demos/html/scrolledframe.n.html,
	itcl/iwidgets3.0.0/demos/html/scrolledhtml.n.html,
	itcl/iwidgets3.0.0/demos/html/scrolledlistbox.n.html,
	itcl/iwidgets3.0.0/demos/html/scrolledtext.n.html,
	itcl/iwidgets3.0.0/demos/html/selectionbox.n.html,
	itcl/iwidgets3.0.0/demos/html/selectiondialog.n.html,
	itcl/iwidgets3.0.0/demos/html/shell.n.html,
	itcl/iwidgets3.0.0/demos/html/spindate.n.html,
	itcl/iwidgets3.0.0/demos/html/spinint.n.html,
	itcl/iwidgets3.0.0/demos/html/spinner.n.html,
	itcl/iwidgets3.0.0/demos/html/spintime.n.html,
	itcl/iwidgets3.0.0/demos/html/tabnotebook.n.html,
	itcl/iwidgets3.0.0/demos/html/tabset.n.html,
	itcl/iwidgets3.0.0/demos/html/toolbar.n.html,
	itcl/iwidgets3.0.0/demos/scrolledcanvas,
	itcl/iwidgets3.0.0/demos/scrolledframe,
	itcl/iwidgets3.0.0/demos/scrolledhtml,
	itcl/iwidgets3.0.0/demos/scrolledlistbox,
	itcl/iwidgets3.0.0/demos/scrolledtext,
	itcl/iwidgets3.0.0/demos/selectionbox,
	itcl/iwidgets3.0.0/demos/selectiondialog,
	itcl/iwidgets3.0.0/doc/canvasprintbox.n,
	itcl/iwidgets3.0.0/doc/canvasprintdialog.n,
	itcl/iwidgets3.0.0/doc/extfileselectionbox.n,
	itcl/iwidgets3.0.0/doc/extfileselectiondialog.n,
	itcl/iwidgets3.0.0/doc/fileselectionbox.n,
	itcl/iwidgets3.0.0/doc/fileselectiondialog.n,
	itcl/iwidgets3.0.0/doc/scopedobject.n.backup,
	itcl/iwidgets3.0.0/doc/scrolledcanvas.n,
	itcl/iwidgets3.0.0/doc/scrolledframe.n,
	itcl/iwidgets3.0.0/doc/scrolledhtml.n,
	itcl/iwidgets3.0.0/doc/scrolledlistbox.n,
	itcl/iwidgets3.0.0/doc/scrolledtext.n,
	itcl/iwidgets3.0.0/doc/selectionbox.n,
	itcl/iwidgets3.0.0/doc/selectiondialog.n,
	itcl/iwidgets3.0.0/generic/canvasprintbox.itk,
	itcl/iwidgets3.0.0/generic/canvasprintdialog.itk,
	itcl/iwidgets3.0.0/generic/extfileselectionbox.itk,
	itcl/iwidgets3.0.0/generic/extfileselectiondialog.itk,
	itcl/iwidgets3.0.0/generic/fileselectionbox.itk,
	itcl/iwidgets3.0.0/generic/fileselectiondialog.itk,
	itcl/iwidgets3.0.0/generic/scrolledcanvas.itk,
	itcl/iwidgets3.0.0/generic/scrolledframe.itk,
	itcl/iwidgets3.0.0/generic/scrolledhtml.itk,
	itcl/iwidgets3.0.0/generic/scrolledlistbox.itk,
	itcl/iwidgets3.0.0/generic/scrolledtext.itk,
	itcl/iwidgets3.0.0/generic/scrolledwidget.itk,
	itcl/iwidgets3.0.0/generic/selectionbox.itk,
	itcl/iwidgets3.0.0/generic/selectiondialog.itk,
	itcl/iwidgets3.0.0/tests/canvasprintbox.test,
	itcl/iwidgets3.0.0/tests/canvasprintdialog.test,
	itcl/iwidgets3.0.0/tests/extfileselectionbox.test,
	itcl/iwidgets3.0.0/tests/extfileselectiondialog.test,
	itcl/iwidgets3.0.0/tests/fileselectionbox.test,
	itcl/iwidgets3.0.0/tests/fileselectiondialog.test,
	itcl/iwidgets3.0.0/tests/scrolledcanvas.test,
	itcl/iwidgets3.0.0/tests/scrolledframe.test,
	itcl/iwidgets3.0.0/tests/scrolledhtml.test,
	itcl/iwidgets3.0.0/tests/scrolledlistbox.test,
	itcl/iwidgets3.0.0/tests/scrolledtext.test,
	itcl/iwidgets3.0.0/tests/selectionbox.test,
	itcl/iwidgets3.0.0/tests/selectiondialog.test,
	itcl/iwidgets3.0.0/unix/iwidgets.tcl.in,
	itcl/iwidgets3.0.0/unix/pkgIndex.tcl.in,
	tix/docs/Release-4.1.0.html, tix/docs/Release-4.1.0.txt,
	tix/docs/Release-4.1a2.html, tix/docs/Release-4.1a2.txt,
	tix/docs/Release-4.1a3.html, tix/docs/Release-4.1a3.txt,
	tix/docs/Release-4.1b1.html, tix/docs/Release-4.1b1.txt,
	tix/docs/Release-4.1b2.html, tix/docs/Release-4.1b2.txt,
	tix/tixConfig.sh.in, tix/unix/tk4.2/pkgIndex.tcl.in,
	tix/unix/tk8.0/pkgIndex.tcl.in, tix/unix/tk8.0/pkgIndex.tcl.in,
	tix/unix/tk8.1/pkgIndex.tcl.in, tix/win/tkConsole41.c,
	tix/win/tkConsole42.c, tix/win/tkConsole80a1.c,
	tix/win/tkConsole80b1.c, tix/win/tkConsole81.c, tk/doc/tk4.0.ps,
	tk/mac/tkMacProjects.sit.hqx.

2003-10-17  Andrew Cagney  <cagney@redhat.com>

	* target.c (target_section_by_addr): New function.
	(do_xfer_memory): Use "target_section_by_addr".
	* target.h (target_section_by_addr): Declare.

	* target.h (struct target_ops): Add "to_read_partial" and
	"to_write_partial", delete "to_query".
	(target_read_partial, target_write_partial): Declare.
	(target_read, target_write): Declare.
	(target_query): Delete macro.
	* target.c (target_read_partial): New function.
	(target_write_partial, target_read, target_write): New function.
	(update_current_target): Delete inheritance of "to_query".  Add
	comments about "to_read_partial" and "to_write_partial".
	(debug_to_partial_read, debug_to_partial_write): New functions.
	(debug_to_query): Delete function.
	(setup_target_debug): Set "to_read_partial" and "to_write_partial"
	instead of "to_query".
	* remote.c (remote_read_partial): Replace "remote_query".
	(init_remote_ops): Set "to_read_partial" instead of "to_query".
	(init_remote_async_ops): Ditto.
	* kod.c (gdb_kod_query): Make "bufsize" a LONGEST.  Use
	"target_read_partial" instead of "target_query".
	* avr-tdep.c (avr_io_reg_read_command): Make "bufsize" a LONGEST.
	Use "target_read_partial" instead of "target_query".

2003-10-17  Jeff Johnston  <jjohnstn@redhat.com>

	* frame.h (struct frame_id): Add new field: special_addr.
	(frame_id_build_special): New prototype.
	* frame.c (frame_id_build_special): New function.
	(frame_id_build): Change to call frame_id_build_special().
	(frame_id_eq): Change to also test special_addr field.
	(frame_id_inner): Update comment.

2003-10-17  Andrew Cagney  <cagney@redhat.com>

	* target.c (update_current_target): Perform the target cleanup.
	Put the target stack beneath the squashed "current_target".
	(add_target): Delete disabled call to "cleanup_target".
	(cleanup_target): Delete function.
	(push_target, unpush_target): Do not call "cleanup_target".

2003-10-17  Andrew Cagney  <cagney@redhat.com>

	* target.c (target_stack): Change to a static target_ops.
	(update_current_target): Walk the "struct target_ops" stack.
	(pop_target, do_xfer_memory, target_info): Ditto.
	(find_target_beneath): Ditto.
	(push_target): Rewrite to use the "struct target_ops" stack.
	(unpush_target): Ditto.
	* target.h (struct target_stack_item): Delete definition.
	(target_stack): Delete declaration.
	(struct target_ops): Add field "beneath".

2003-10-17  Shrinivas Atre  <shrinivasa@KPITCummins.com>

	* gdb/config/h8300/tm-h8300.h (h8300_normal_mode): Add external
	declaration.
	* gdb/h8300-tdep.c (BINWORD): Update BINWORD for h8300_normal_mode
        (h8300_examine_prologue): Use h8300_normal_mode flag
        (h8300_gdbarch_init): Set architecture info for normal mode

2003-10-16  Daniel Jacobowitz  <drow@mvista.com>

	* remote.c (remote_protocol_vcont): New variable.
	(set_remote_protocol_vcont_packet_cmd): New function.
	(show_remote_protocol_vcont_packet_cmd): New function.
	(init_all_packet_configs): Handle remote_protocol_vcont.
	(remote_vcont_probe): New function.
	(remote_vcont_resume): New function.
	(remote_resume): Use it.
	(remote_async_resume): Call remote_resume.
	(_initialize_remote): Add verbose-resume packet commands.

2003-10-16  Andrew Cagney  <cagney@redhat.com>

	* infrun.c (handle_inferior_event): Add comment about
	"frame_id_inner" being too weak.

2003-10-16  Elena Zannoni  <ezannoni@redhat.com>

	* minsyms.c (lookup_minimal_symbol_solib_trampoline): Remove
	second parameter, which is always null. Remove
	SOFUN_ADDRESS_MAYBE_MISSING ifdeffed code.
	* symtab.h (lookup_minimal_symbol_solib_trampoline): Update
	accordingly.
	* somsolib.c (som_solib_create_inferior_hook,
	som_solib_desire_dynamic_linker_symbols): Update callers.
	* hppa-tdep.c (hppa_fix_call_dummy): Ditto.

2003-10-16  Kei Sakamoto  <sakamoto.kei@renesas.com>

	* remote-m32r-sdi.c : New file, interface to m32r on-chip
	debug interface, SDI (Scalable Debug Interface).
	* NEWS: Mention m32r SDI protocol was supported.
	* Makefile.in (remote-m32r-sdi.o): Add build rule.
	* config/m32r/m32r.mt (TDEPFILES) : Add remote-m32r-sdi.o.

2003-10-15  Jeff Johnston  <jjohnstn@redhat.com>

	* ia64-linux-tdep.c: Include gdbcore.h.
	(IA64_LINUX_SIGCONTEXT_OFFSET): Magic constant removed.
	(ia64_linux_sigcontext_register_addr): Find the address of the
	sigcontext area stored in the sigframe instead of using
	a magic offset constant.

2003-10-15  Andrew Cagney  <cagney@redhat.com>

	* remote.c (remote_search): Delete function.
	* target.h (target_search): Delete disabled macro.
	(struct target_ops): Delete disabled field "to_search".

2003-10-14  Kevin Buettner  <kevinb@redhat.com>

	* frv-tdep.c (frv_frame_this_id): Call inside_entry_func()
	instead of deprecated_inside_entry_file().

2003-10-14  Corinna Vinschen  <vinschen@redhat.com>

	* sh-tdep.c: Fix copy/paste hangover in comment.
	(sh_push_dummy_call_fpu): Accomodate double passing in little endian
	mode.
	(sh3e_sh4_extract_return_value): Ditto.

2003-10-13  Richard Henderson  <rth@redhat.com>

	* f-typeprint.c (f_type_print_base): Handle TYPE_CODE_REF.
	* f-valprint.c (f_val_print): Likewise.  Tweak TYPE_CODE_PTR to
	match c_val_print a bit closer.

2003-10-13  Kevin Buettner  <kevinb@redhat.com>

	* frv-tdep.c (max_instrs_per_bundle, frv_instr_size): New constants.
	(frv_gdbarch_adjust_breakpoint_address): New function.
	(frv_gdbarch_init): Initialize ``gdbarch_adjust_breakpoint_address''
	method.

2003-10-13  Kevin Buettner  <kevinb@redhat.com>

	* breakpoint.h (struct breakpoint): Add new member
	``requested_address''.
	* breakpoint.c (breakpoint_adjustment_warning)
	(adjust_breakpoint_address): New static functions.
	(print_it_typical): Issue warning if breakpoint's address is different
	from its requested address.
	(set_raw_breakpoint, set_longjmp_resume_breakpoint, watch_command_1)
	(breakpoint_re_set_one):  Set breakpoint's
	``requested_address'' field.  Set ``address'' field to the
	result of calling adjust_breakpoint_address() on the requested
	address.

2003-10-13  Kevin Buettner  <kevinb@redhat.com>

 	* gdbarch.sh (ADJUST_BREAKPOINT_ADDRESS): New method.
 	* gdbarch.h, gdbarch.c: Regenerate.

2003-10-11  Mark Kettenis  <kettenis@gnu.org>

	* i386bsd-tdep.c (i386bsd_init_abi): Use ARRAY_SIZE to initialize
	TDEP->sc_num_regs.

	* i386fbsd-tdep.c: New file.
	(i386fbsd_sigtramp_start, i386fbsd_sigtramp_end,
	i386fbsd_sc_reg_offset, i386fbsdaout_init_abi, i386fbsd_init_abi,
	i386fbsd4_sc_reg_offset, i386fbsd4_init_abi): Move here from
	i386bsd-tdep.c.
	(_initialize_i386fbsd_tdep): New function.
	(i386fbsd_r_reg_offset, i386fbsd4_r_reg_offset): New varibles.
	(i386fbsdaout_init_abi): Initialize TDEP->gregset_reg_offset,
	TDEP->gregset_num_regs, TDEP->sizeof_gregset and
	TDEP->sizeof_fpregset.  Use ARRAY_SIZE to initialize
	TDEP->sc_num_regs.
	(i386fbsd4_init_abi): Initialize TDEP->gregset_reg_offset,
	TDEP->gregset_num_regs and TDEP->sizeof_gregset.  Use ARRAY_SIZE
	to initialize TDEP->sc_num_regs.
	* i386bsd-tdep.c (i386fbsd_sigtramp_start, i386fbsd_sigtramp_end,
	i386fbsd_sc_reg_offset, i386fbsdaout_init_abi, i386fbsd_init_abi,
	i386fbsd4_sc_reg_offset, i386fbsd4_init_abi): Remove.
	(_initialize_i386bsd_tdep): Don't register FreeBSD a.out and
	FreeBSD ELF OS/ABI's here.
	* Makefile.in (ALLDEPFILES): Add i386fbsd-tdep.c.
	(i386fbsd-tdep.o): New target.
	* config/i386/fbsd.mt (TDEPFILES): Add i386fbsd-tdep.o.
	* config/i386/fbsd64.mt (TDEPFILES):  Add i386fbsd-tdep.o.

	* amd64fbsd-tdep.c (amd64fbsd_r_reg_offset): New variable.
	(amd64fbsd_init_abi): Set TDEP->gregset_reg_offset,
	TDEP->gregset_num_regs and TDEP->sizeof_gregset.  Use ARRAY_SIZE
	in initialization of TDEP->sc_num_regs.

	* x86-64-tdep.c (x86_64_regset_from_core_section): New function.
	(x86_64_init_abi): Initialize regset_from_core_section if
	appropriate.

	* i386-tdep.c (i386_regset_from_core_section): New function.
	(i386_gdbarch_init): Initialize regset_from_core_section if
	appropriate.
	* i386-tdep.h (i386_regset_from_core_section): New declaration.

	* i386-tdep.h (struct regset): Declare opaque.

	* gdbarch.sh (regset_from_core_section): New method.
	(struct regset): Declare opaque.
	* gdbarch.c, gdbarch.h: Regenerated.

2003-10-11  Alan Modra  <amodra@bigpond.net.au>

	* hppa-tdep.c (hppa_in_solib_call_trampoline): Don't refer directly to
	_cooked_size and vma;  Use bfd_section_size and bfd_get_section_vma.
	Correct test for pc within section.

2003-10-11  Mark Kettenis  <kettenis@gnu.org>

	* gdbarch.sh: Remove trailing whitepsace from comments.

2003-10-08  Roland McGrath  <roland@redhat.com>

	* gcore.c (make_mem_sec): Function removed, folded into ...
	(gcore_create_callback): ... here.  To omit a section, clear its
	SEC_LOAD bit rather than zeroing its size.
	Omit read-only sections only if they correspond to a known disk file.
	(gcore_copy_callback): Ignore sections without SEC_LOAD flag set.

2003-10-10  Michael Snyder  <msnyder@redhat.com>

	* d10v-tdep.c: Fix typo in comment.

2003-10-10  Andrew Cagney  <cagney@redhat.com>

	* rs6000-tdep.c (e500_store_return_value): Delete function.
	(e500_extract_return_value): Delete function.
	(rs6000_gdbarch_init): When SYSV, set "extract_return_value" and
	"restore_return_value" to "ppc_sysv_abi_extract_return_value" and
	"ppc_sysv_abi_restore_return_value" where applicable.
	* ppc-tdep.h: (ppc_sysv_abi_store_return_value): Declare.
	(ppc_sysv_abi_extract_return_value): Declare.
	(ppc_sysv_abi_broken_store_return_value): Declare.
	(ppc_sysv_abi_broken_extract_return_value): Declare.
	(ppc_sysv_abi_broken_use_struct_convention:) Delete declaration.
	* ppc-sysv-tdep.c (return_value_convention): Move definition to
	start of file.
	(do_ppc_sysv_return_value): New function.
	(ppc_sysv_abi_extract_return_value): New function.
	(ppc_sysv_abi_store_return_value): New function.
	(ppc_sysv_abi_broken_extract_return_value): New function.
	(ppc_sysv_abi_broken_store_return_value): New function.
	(ppc_sysv_abi_use_struct_convention): Call
	do_ppc_sysv_return_value.

2003-10-10  J. Brobecker  <brobecker@gnat.com>

	* blockframe.c (inside_main_func): No longer use symbol_lookup()
	to lookup the main function symbol.

2003-10-10  Corinna Vinschen  <vinschen@redhat.com>

	* sh-tdep.c (sh_treat_as_flt_p): New function to recognize float
	types correctly.
	(sh_push_dummy_call_fpu): Fix argument passing rules.
	(sh3e_sh4_extract_return_value): Call sh_treat_as_flt_p to recognize
	float types.
	(sh3e_sh4_store_return_value): Ditto.

2003-10-10  Elena Zannoni  <ezannoni@redhat.com>

	* sh-tdep.c (sh_use_struct_convention): Clarify one case in
	comment.

2003-10-10  Corinna Vinschen  <vinschen@redhat.com>

	* sh-tdep.c (sh_use_struct_convention): Clean up to have a
	more readable code.  Accomodate passing of bitfields.

2003-10-10  Andrew Cagney  <cagney@redhat.com>

	* Makefile.in (ppc-sysv-tdep.o): Add $(gdb_assert_h).
	* rs6000-tdep.c (rs6000_gdbarch_init): When 64 bit SysV ABI, set
	push_dummy_call to ppc64_sysv_abi_push_dummy_call.
	* ppc-sysv-tdep.c: Include "gdb_assert.h".
	(ppc64_sysv_abi_push_dummy_call): New function.
	(ppc64_sysv_abi_broken_push_dummy_call): New function.
	* ppc-tdep.h (ppc64_sysv_abi_push_dummy_call): Declare.
	(ppc64_sysv_abi_broken_push_dummy_call): Declare.

2003-10-10  Kei Sakamoto  <sakamoto.kei@renesas.com>

	* NEWS: Replace "Hitachi" and "Mitsubishi" with "Renesas".
	* README: Ditto.
	* d10v-tdep.c: Ditto.
	* h8300-tdep.c: Ditto.
	* remote-e7000.c: Ditto.
	* remote-hms.c: Ditto.
	* ser-e7kpc.c: Ditto.
	* sh-stub.c: Ditto.
	* sh-tdep.c: Ditto.
	* sh-tdep.h: Ditto.
	* sh3-rom.c: Ditto.
	* sh64-tdep.c: Ditto.
	* top.c: Ditto.
	* wince.c: Ditto.
	* config/d10v/d10v.mt: Ditto.
	* config/sh/embed.mt: Ditto.
	* config/sh/linux.mt: Ditto.
	* config/sh/tm-linux.h: Ditto.
	* config/sh/tm-sh.h: Ditto.
	* config/sh/wince.mt: Ditto.

2003-10-09  Andrew Cagney  <cagney@redhat.com>

	* ppc-tdep.h (struct type): Declare opaque.
	* x86-64-tdep.h (struct regcache): Declare opaque.
	* sh-tdep.c (sh_do_fp_register): Delete "register" attribute, fix
	coding style.

2003-10-09  Andrew Cagney  <cagney@redhat.com>

	Changes from 2003-09-09 Jimi Xenidis <jimix@watson.ibm.com>:
	* config/rs6000/tm-rs6000.h (SOFTWARE_SINGLE_STEP): Delete macro.
	(SOFTWARE_SINGLE_STEP_P): Ditto.
	* config/powerpc/tm-ppc-eabi.h (SOFTWARE_SINGLE_STEP_P): Ditto.
	* config/powerpc/tm-linux.h (SOFTWARE_SINGLE_STEP): Ditto.
	(SOFTWARE_SINGLE_STEP_P): Ditto.
	* rs6000-tdep.c (rs6000_gdbarch_init): When AIX, set
	software_single_step to rs6000_software_single_step.

2003-10-09  Andrew Cagney  <cagney@redhat.com>

	* MAINTAINERS: Mark m32r-elf as buildable with -Werror.

2003-10-09  Michael Snyder  <msnyder@redhat.com>

	* frame.h: Fix typo in comment.
	* dummy-frame.c: Fix typo in comment.
	* d10v-tdep.c: Random whitespace/comment tweaks.

2003-10-09  Elena Zannoni  <ezannoni@redhat.com>

	* sh-tdep.c (sh_gdbarch_init): Delete setting of push_dummy_code.
	(sh_push_dummy_code): Delete function, it's only used for dummy calls
	on stack.

	Based on input by Stephen Clarke (stephen.clarke@superh.com):
	* sh-tdep.c (sh_use_struct_convention): Add comment explaining ABI
	in detail.

2003-10-09  Daniel Jacobowitz  <drow@mvista.com>

	* remote-mips.c (mips_initialize): Remove unneeded call to
	get_selected_frame.  Suggested by Atsushi Nemoto <anemo@mba.ocn.ne.jp>.

2003-10-09  Daniel Jacobowitz  <drow@mvista.com>

	* dwarf2expr.c (execute_stack_op): Don't treat the frame base as
	a memory pointer.

2003-10-08  Jeff Johnston  <jjohnstn@redhat.com>

	* lin-lwp.c (stop_and_resume_callback): Set the resumed flag
	for any lwp we resume.
	(running_callback): Add lwps that have pending status events
	against them to be considered running.

2003-10-08  Kei Sakamoto  <sakamoto.kei@renesas.com>

	* m32r-tdep.c : Include "dis-asm.h".
	* Makefile.in (m32r-tdep.o): Update dependencies.

2003-10-06  J. Brobecker  <brobecker@gnat.com>

	* completer.h (get_gdb_completer_word_break_characters): Delete.
	* completer.c: include language.h.
	(gdb_completer_word_break_characters): Delete.
	(get_gdb_completer_word_break_characters): Delete.
	(location_completer): Use the word break characters of the current
	language.
	(complete_line): Likewise.
	(line_completion_function): Likewise.
	(skip_quoted_chars): Likewise.
	* Makefile.in (completer.o): Add dependency on language.h.
	* top.c (init_main): Set the readline word break characters
	to GDB's default word break characters.

2003-10-06  J. Brobecker  <brobecker@gnat.com>

	* language.h (language_defn): new field, la_word_break_characters.
	* language.c (unknown_language_defn): Set new field to
	default_word_break_characters.
	(auto_language_defn): Likewise.
	(local_language_defn): Likewise.
	* ada-lang.c (ada_language_defn): Likewise.
	* c-lang.c (c_language_defn): Likewise.
	(cplus_language_defn): Likewise.
	(asm_language_defn): Likewise.
	(minimal_language_defn): Likewise.
	* f-lang.c (f_language_defn): Likewise.
	* jv-lang.c (java_language_defn): Likewise.
	* m2-lang.c (m2_language_defn): Likewise.
	* objc-lang.c (objc_language_defn): Likewise.
	* p-lang.c (pascal_language_defn): Likewise.
	* scm-lang.c (scm_language_defn): Likewise.

2003-10-06  Andrew Cagney  <cagney@redhat.com>

	* ppc-sysv-tdep.c: Re-indent.

2003-10-06  J. Brobecker  <brobecker@gnat.com>

	* language.h (default_word_break_characters): Add prototype.
	* language.c (default_word_break_characters): New function.

2003-10-06  Andreas Schwab  <schwab@suse.de>

	* i386-tdep.c (i386_analyze_frame_setup): Also handle xorl/subl
	with %eax.

2003-10-06  Andrew Cagney  <cagney@redhat.com>

	* Makefile.in (ALLDEPFILES): Remove "z8k-tdep.c" and
	"h8500-tdep.c".
	(z8k-tdep.o): Delete custom build rule.

2003-10-06  Andrew Cagney  <cagney@redhat.com>

	* Makefile.in: Update all dependencies.

	* MAINTAINERS: Mention that h8500, mn10200, and z8k were deleted.
	No longer list PA as as obsolete candidate.  List m32r as
	broken instead of obsolete.

	* config/nm-m3.h, config/h8500/h8500.mt: Delete obsolete files.
	* config/h8500/tm-h8500.h, config/i386/nm-ptx4.h: Ditto.
	* config/i386/nm-symmetry.h, config/i386/ptx.mh: Ditto.
	* config/i386/ptx.mt, config/i386/ptx4.mh: Ditto.
	* config/i386/ptx4.mt, config/i386/symmetry.mh: Ditto.
	* config/i386/symmetry.mt, config/i386/tm-ptx.h: Ditto.
	* config/i386/tm-ptx4.h, config/i386/tm-symmetry.h: Ditto.
	* config/i386/xm-ptx.h, config/i386/xm-ptx4.h: Ditto.
	* config/i386/xm-symmetry.h, config/mips/mipsm3.mh: Ditto.
	* config/mips/mipsm3.mt, config/mips/tm-mipsm3.h: Ditto.
	* config/mips/xm-mipsm3.h, config/mn10200/mn10200.mt: Ditto.
	* config/mn10200/tm-mn10200.h, config/pa/hppabsd.mh: Ditto.
	* config/pa/hppabsd.mt, config/pa/hppaosf.mh: Ditto.
	* config/pa/hppaosf.mt, config/pa/hppapro.mt: Ditto.
	* config/pa/nm-hppab.h, config/pa/nm-hppao.h: Ditto.
	* config/pa/tm-hppab.h, config/pa/tm-hppao.h: Ditto.
	* config/pa/tm-pro.h, config/pa/xm-hppab.h: Ditto.
	* config/pa/xm-pa.h, config/sparc/sparclet.mt: Ditto.
	* config/sparc/sparclite.mt, config/sparc/tm-sparclet.h: Ditto.
	* config/sparc/tm-sparclite.h, config/z8k/tm-z8k.h: Ditto.
	* config/z8k/z8k.mt: Ditto.

	* NEWS: Mention that z8k-zilog-none, z8ksim, mn10200-*-*,
	h8500hms, hppa*-*-bsd*, hppa*-*-osf*, hppa*-*-pro*,
	mips*-*-mach3*, i[3456]86-sequent-sysv4*, i[3456]86-sequent-sysv*,
	i[3456]86-sequent-bsd*, sparclet-*-*, sparclite-fujitsu-none, and
	sparclite were removed.
	* configure.host, configure.tgt: Remove corresponding tuples.

	* breakpoint.c, breakpoint.h: Remove obsolete code.
	* buildsym.c, dbxread.c, gdbtypes.c, mdebugread.c: Ditto.
	* monitor.c, sparc-tdep.c, stabsread.c: Ditto.
	* stabsread.h, xcoffread.c: Ditto.

	* z8k-tdep.c, symm-tdep.c, symm-nat.c: Delete obsolete file.
	* sparclet-stub.c, sparclet-rom.c: Delete obsolete file.
	* sparcl-tdep.c, sparcl-stub.c, h8500-tdep.c: Delete obsolete file.
	* m3-nat.c, mipsm3-nat.c, mn10200-tdep.c: Delete obsolete file.

2003-10-06  David Lecomber  <dsl@sources.redhat.com>

	* f-valprint.c: Reformatting

2003-10-06  Mark Kettenis  <kettenis@gnu.org>

	* x86-64-tdep.c: Remove duplicate comment.

	* x86-64-tdep.c (x86_64_store_return_value): Don't use
	DEPRECATED_REGISTER_RAW_SIZE.  Use symbolic names for register
	names for return values.  This fixes a bug since we looked at %rbx
	instead of %rdx.

2003-10-05  Mark Kettenis  <kettenis@gnu.org>

	* x86-64-tdep.c: Include "regset.h".

	* i386-tdep.h (struct gdbarch_tdep): Add members gregset,
	gregset_reg_offset, gregset_num_regs, sizeof_gregset, fpregset,
	sizeof_fpregset.
	* i386-tdep.c: Include "regset.h".
	(i386_supply_gregset): New function.
	(i386_supply_fpregset): New function.
	(i386_gdbarch_init): Initialze register set-related members of
	TDEP.
	* x86-64-tdep.c (x86_64_supply_fpregset): New function.
	(x86_64_init_abi): Initialize TDEP->sizeof_fpregset.

2003-10-03  Andrew Cagney  <cagney@redhat.com>

	* rs6000-tdep.c (rs6000_gdbarch_init): When the 64 bit SysV ABI,
	set extract_return_value, store_return_value and
	use_struct_convention to ppc64_sysv_abi_extract_return_value,
	ppc64_sysv_abi_store_return_value and
	ppc64_sysv_abi_use_struct_convention.
	* ppc-tdep.h (ppc64_sysv_abi_extract_return_value): Declare.
	(ppc64_sysv_abi_store_return_value): Declare.
	(ppc64_sysv_abi_use_struct_convention): Declare.
	* ppc-sysv-tdep.c (enum return_value_convention): Define.
	(ppc64_sysv_abi_extract_return_value): New function.
	(ppc64_sysv_abi_store_return_value): New function.
	(ppc64_sysv_abi_use_struct_convention): New function.
	(ppc64_sysv_abi_return_value): New function.

2003-10-03  Andrew Cagney  <cagney@redhat.com>

	* ppc-linux-tdep.c (ppc64_linux_convert_from_func_ptr_addr): Only
	convert a descriptor to a function when it's in the ".opd"
	section.

2003-10-03  Corinna Vinschen  <vinschen@redhat.com>

	* sh-tdep.c (sh_push_dummy_call_fpu): Initialize flt_argreg and
	reg_size to keep GCC silent.

2003-10-03  Corinna Vinschen  <vinschen@redhat.com>

	* dwarf2-frame.c (struct comp_unit): Add tbase member to store
	base for DW_EH_PE_textrel encodings.
	(read_encoded_value): Add a DW_EH_PE_textrel case.
	(dwarf2_build_frame_info): Set unit.tbase to beginning of text
	section.

2003-10-03  Mark Kettenis  <kettenis@gnu.org>

	* dwarf2-frame.c (dwarf2_build_frame_info): Fix comment.

2003-10-02  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh (DEPRECATED_REGISTER_RAW_SIZE): Rename
	REGISTER_RAW_SIZE.
	* gdbarch.h, gdbarch.c: Re-generate.
	* aix-thread.c, alpha-tdep.h, arm-tdep.c, core-sol2.c: Update.
	* cris-tdep.c, dve3900-rom.c, findvar.c, frame.c: Update.
	* hppa-tdep.c, hppab-nat.c, hppah-nat.c, hppam3-nat.c: Update.
	* hpux-thread.c, i386gnu-nat.c, ia64-aix-nat.c: Update.
	* ia64-linux-nat.c, ia64-tdep.c, infcmd.c, infptrace.c: Update.
	* infrun.c, irix5-nat.c, lynx-nat.c, mips-linux-tdep.c: Update.
	* mips-nat.c, mips-tdep.c, mipsv4-nat.c, mn10300-tdep.c: Update.
	* monitor.c, ns32k-tdep.c, ppc-linux-nat.c, regcache.c: Update.
	* remote-e7000.c, remote-mips.c, remote-sim.c: Update.
	* remote-vxmips.c, remote-vxsparc.c, remote.c: Update.
	* rom68k-rom.c, rs6000-nat.c, rs6000-tdep.c, s390-tdep.c: Update.
	* sh64-tdep.c, sparc-nat.c, sparc-tdep.c, stack.c: Update.
	* target.c, tracepoint.c, v850-tdep.c, v850ice.c, valops.c: Update.
	* vax-tdep.c, vax-tdep.h, x86-64-tdep.c, xstormy16-tdep.c: Update.
	* config/m68k/tm-delta68.h, config/m68k/tm-vx68.h: Update.
	* config/sparc/tm-sparc.h, config/sparc/tm-sparclynx.h: Update.

2003-10-02  Jim Blandy  <jimb@redhat.com>

	* dwarf2read.c (struct die_info): Doc fix.

2003-10-02  Corinna Vinschen  <vinschen@redhat.com>

	* sh-tdep.c: Running thru gdb_indent.sh.

2003-10-02  Corinna Vinschen  <vinschen@redhat.com>

	* sh-tdep.c (sh_justify_value_in_reg): New function.
	(sh_stack_allocsize): Ditto.
	(flt_argreg_array): New array used for floating point argument
	passing.
	(sh_init_flt_argreg): New function.
	(sh_next_flt_argreg): Ditto.
	(sh_push_dummy_call_fpu): Simplify. Rename "odd_sized_struct" to
	"pass_on_stack". Use new helper functions.  Accomodate Renesas ABI.
	Fix argument passing strategy.
	(sh_push_dummy_call_nofpu): Ditto.

2003-10-01  Andrew Cagney  <cagney@redhat.com>

	* value.h (register_value_being_returned): Declare.  Replace
	"value_being_returned".
	* infcall.c (call_function_by_hand): Use
	register_value_being_returned.
	* infcmd.c (print_return_value): Call
	"register_value_being_returned", handle struct return locally.
	* values.c (register_value_being_returned): New function.  Replace
	"value_being_returned".

2003-09-30  Elena Zannoni  <ezannoni@redhat.com>

	* linux-proc.c (linux_do_registers): New function.
	(linux_make_note_section): Use linux_do_registers in case of
	single threaded inferior programs.

2003-10-01  Andrew Cagney  <cagney@redhat.com>

	* infcall.c (call_function_by_hand): When STRUCT_RETURN, always
	use STRUCT_ADDR.  When not using "struct return convention", pass
	"0" to "value_being_returned".  Add FIXMEs.
	* infcmd.c (print_return_value): Pass an explicit 0/1 to
	value_being_returned.  Add comments.
	* values.c (value_being_returned): Add fixme.
	* hppa-tdep.c (hppa_extract_struct_value_address): Add FIXME.
	(hppa_value_returned_from_stack): Add FIXME.

2003-09-30  David Carlton  <carlton@kealia.com>

	* dwarf2read.c (struct die_info): Add 'parent' field; replace
	'has_children' and 'next' by 'child' and 'sibling'.
	(read_comp_unit): Rework algorithm, breaking body into
	read_die_and_children and read_die_and_siblings.
	(read_die_and_children, read_die_and_siblings): New.
	(read_full_die): Add 'has_children' argument; set it instead of
	the die's 'has_children' field.  Minor formatting cleanup.
	(free_die_list): Use die->child and die->sibling instead of
	die->next.
	(dump_die_list): Ditto.
	(sibling_die): Use die->sibling.
	(psymtab_to_symtab_1): Use die's 'child' field in place of its
	'has_children' and 'next' fields.
	(process_die, read_file_scope, read_func_scope)
	(read_lexical_block_scope, read_structure_scope)
	(read_enumeration, read_array_type, read_common_block)
	(read_namespace, read_subroutine_type, dump_die): Ditto.

2003-09-30  Andrew Cagney  <cagney@redhat.com>

	* rs6000-tdep.c (rs6000_gdbarch_init): Set the PowerOpen red zone
	to 224, not 220.

2003-09-30  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh (DEPRECATED_REGISTER_VIRTUAL_SIZE): Rename
	REGISTER_VIRTUAL_SIZE.
	* gdbarch.h, gdbarch.c: Regenerate.
	* vax-tdep.h, sparc-tdep.c, regcache.h: Update.
	* regcache.c, mn10300-tdep.c, mips-tdep.c: Update.
	* infcmd.c, frame.c, findvar.c, cris-tdep.c: Update.

2003-09-29  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh (DEPRECATED_REGISTER_VIRTUAL_TYPE): Rename
	REGISTER_VIRTUAL_TYPE.
	* gdbarch.h, gdbarch.c: Regenerate.
	* arch-utils.c,	hppa-tdep.c, regcache.c, regcache.h: Update.
	* sh64-tdep.c, sparc-tdep.c: Update.

	* remote-vxsparc.c (vx_read_register): Replace bzero with memset.
	* remote-vxmips.c (vx_read_register): Ditto.
	* remote-vx68.c (vx_read_register): Ditto.
	* gnu-nat.c (inf_validate_procs): Ditto.

2003-09-29  J. Brobecker  <brobecker@gnat.com>

	* infcall.c (call_function_by_hand): Fix build failure
	introduced in the previous change to this file.

2003-09-29  Andrew Cagney  <cagney@redhat.com>

	* NEWS: Mention Objective-C.

2003-09-29  Jerome Guitton  <guitton@act-europe.fr>

	* arm-tdep.c (arm_make_prologue_cache): Use trad_frame_addr_p to
	test if the register has been saved on the stack.
	(arm_scan_prologue_cache): When analysing the instruction
	"str lr, [sp, #-4]", save the address where lr has been stored.

2003-09-28  Andrew Cagney  <cagney@redhat.com>

	* frame.c (frame_read_unsigned_register): Delete function.
	* frame.h (frame_read_unsigned_register): Delete declaration.
	* sparc-tdep.c (sparc_init_extra_frame_info): Use
	get_frame_register_unsigned.
	(sparc_frame_saved_pc, sparc_pop_frame): Ditto.
	* m68hc11-tdep.c (m68hc11_print_register): Ditto.
	* d10v-tdep.c (d10v_print_registers_info): Ditto.

	* frame.h (frame_read_register): Delete declaration.
	* frame.c (frame_read_register): Delete function.
	* arch-utils.c (legacy_register_to_value): Use get_frame_register.
	* sparc-tdep.c (sparc_fetch_pointer_argument): Ditto.
	* rs6000-tdep.c (rs6000_fetch_pointer_argument): Ditto.
	* mips-tdep.c (mips_register_to_value): Ditto.
	* hppa-tdep.c (hppa_fetch_pointer_argument): Ditto.
	* d10v-tdep.c (d10v_print_registers_info): Ditto.

	* frame.c (frame_read_signed_register): Delete function.
	(frame_read_unsigned_register): Update comments.
	* frame.h (frame_read_signed_register): Delete declaration.
	* h8300-tdep.c (h8300_print_register): Use
	get_frame_register_signed.
	* m68hc11-tdep.c (m68hc11_print_register): Ditto.

	* config/pa/tm-hppa.h (DEPRECATED_VALUE_RETURNED_FROM_STACK):
	Rename VALUE_RETURNED_FROM_STACK.
	* infcmd.c (print_return_value): Update.
	* infcall.c (call_function_by_hand): Update.

2003-09-28  Mark Kettenis  <kettenis@gnu.org>

	* i387-tdep.c (i387_supply_fsave, i387_supply_fxsave): Add
	regcache argument and reverse the order of the other two
	arguments.  Remove local regcache variable.  Determine
	architecture from REGCACHE.  Update comments.
	* x86-64-tdep.c (x86_64_supply_fxsave): Add regcache argument and
	reverse the order of the other two arguments.  Remove local
	regcache variable.  Determine architecture from REGCACHE.  Update
	comments.
	* i387-tdep.h (i387_supply_fsave, i387_supply_fxsave): Adjust
	prototypes.  Update comments.
	* x86-64-tdep.c (x86_64_supply_fxsave): Adjust prototype.  Adjust
	comment.
	* amd64fbsd-nat.c (supply_fpregset, fetch_inferior_registers):
	Update.
	* go32-nat.c (fetch_register, go32_fetch_registers): Update.
	* i386-interix-nat.c (supply_fpregset): Update.
	* i386-linux-nat.c (supply_fpregset, supply_fpxregset): Update.
	* i386-nto-tdep.c (i386nto_supply_fpregset): Update.
	* i386gnu-nat.c (fetch_fpregs, supply_fpregset): Update.
	* i386bsd-nat.c (supply_fpregset, fetch_inferior_registers): Update.
	* i386nbsd-tdep.c (fetch_core_registers, fetch_elfcore_registers):
	Update.
	* i386obsd-tdep.c (fetch_core_registers): Update.
	* i386v4-nat.c (supply_fpregset): Update.
	* x86-64-linux-nat.c (supply_fpregset): Update.
	* x86-64-linux-tdep.c (fetch_core_registers): Update.

2003-09-27  Mark Kettenis  <kettenis@gnu.org>

	* i386-tdep.h: Put opaque declarations in alphabetical
	order.  Remove spurious whitespace.
	(struct gdbarch_tdep): add st0_regnum and mm0_regnum members.
	(i386_sse_regnum_p, i386_mxcsr_regnum_p): Remove prototypes.
	* i386-tdep.c (MM0_REGNUM): Remove define.
	(i386_mmx_regnum_p): Add gdbarch argument.
	(i386_sse_regnum_p, i386_mxcsr_regnum_p): Add gdbarch argument.
	Rewrite using new macro definitions for FPU/SSE registers.
	(i386_fp_regnum_p, i386_fpc_regnum_p): Rewrite using new macro
	definitions from i387-tdep.h.
	(i386_register_name): Update.
	(i386_stab_reg_to_regnum, i386_dwarf_reg_to_regnum): Update to use
	new macro definitions for FPU/SSE registers.
	(i386_extract_return_value): Determine whether floating-point
	registers are present by examining REGCACHE's architecture.
	(i386_store_return_value): Likewise.  Use I386_MAX_REGISTER_SIZE
	instead of FPU_REG_RAW_SIZE.  Use new macro definitions for
	FPU/SSE registers.
	(i386_register_type): Update.
	(i386_mmx_regnum_to_fp_regnum): Rewrite using new macro
	definitions for FPU registers.  Use REGCACHE's architecture to
	determine the appropriate register numbers.
	(i386_pseudo_register_read, i386_pseudo_register_write,
	i386_register_reggroup_p): Update.
	(i386_gdbarch_init): Initialize TDEP->st0_regnum and
	TDEP->mm0_regnum.
	* i387-tdep.h (I387_FCTRL_REGNUM, I387_FSTAT_REGNUM,
	I387_FTAG_REGNUM, I387_FISEG_REGNUM, I387_FIOFF_REGNUM,
	I387_FOSEG_REGNUM, I387_FOOFF_REGNUM, I387_FOP_REGNUM,
	I387_XMM0_REGNUM, I387_MXCSR_REGNUM): New defines.
	(i387_supply_fsave, i387_fill_fsave, i387_supply_fxsave,
	i387_fill_fxsave): Change type of fsave/fxsave argument from `char
	*' to `void *'.
	* i387-tdep.c (i387_print_float_info, fsave_offset, FSAVE_ADDR,
	i387_supply_fsave, i387_fill_fsave, fxsave_offset, FXSAVE_ADDR,
	i387_supply_fxsave, i387_fill_fxsave): Update to use new macro
	definitions for FPU/SSE registers.
	(FXSAVE_MXCSR_ADDR): New define.
	* x86-64-tdep.c (x86_64_init_abi): Override TDEP->st0_regnum and
	TDEP->mm0_regnum.
	(I387_FISEG_REGNUM, I387_FOSEG_REGNUM): Remove defines.
	(I387_ST0_REGNUM): Define.

	* regcache.h (get_regcache_arch): New prototype.
	* regcache.c (get_regcache_arch): New function.

	* x86-64-tdep.c (x86_64_store_return_value): Remove spurious
	whitespace.

	* i386-tdep.c (i386_num_register_names, i386_num_mmx_regs):
	Initialize using ARRAY_SIZE.

2003-09-27  Andrew Cagney  <cagney@redhat.com>

	* arch-utils.c (deprecated_init_frame_pc_default): Rename
	"init_frame_pc_default".
	* arch-utils.h (deprecated_init_frame_pc_default): Update.
	* xstormy16-tdep.c (xstormy16_gdbarch_init): Update.
	* vax-tdep.c (vax_gdbarch_init): Update.
	* v850-tdep.c (v850_gdbarch_init): Update.
	* sh64-tdep.c (sh64_gdbarch_init): Update.
	* s390-tdep.c (s390_gdbarch_init): Update.
	* ns32k-tdep.c (ns32k_gdbarch_init): Update.
	* mcore-tdep.c (mcore_gdbarch_init): Update.
	* h8300-tdep.c (h8300_gdbarch_init): Update.
	* cris-tdep.c (cris_gdbarch_init): Update.
	* config/pa/tm-hppa.h (DEPRECATED_INIT_FRAME_PC): Update.

2003-09-26  Mark Kettenis  <kettenis@gnu.org>

	* regset.h: New file.
	* Makefile.in (regset_h): Add.

2003-09-25  Andrew Cagney  <cagney@redhat.com>

	* frame.h (deprecated_frame_saved_regs): Rename
	get_frame_saved_regs.
	* cris-tdep.c, frame.c, h8300-tdep.c, hppa-tdep.c: Update.
	* mcore-tdep.c, mips-tdep.c, mn10300-tdep.c: Update.
	* ns32k-tdep.c, ppc-linux-tdep.c, rs6000-tdep.c: Update.
	* s390-tdep.c, sh64-tdep.c, stack.c: Update.
	* v850-tdep.c, vax-tdep.c, xstormy16-tdep.c: Update.

2003-09-25  Andrew Cagney  <cagney@redhat.com>

	* NEWS: Mention the new backtrace mechanism, DWARF 2 CFI, hosted
	file I/O, multi-arch, TLS and NPTL, DWARF 2 Location Expressions,
	and Java.
	* PROBLEMS: Mention that mips*-*-*, powerpc*-*-*, sparc*-*-* and
	arm*-*-* do not use the new frame code.

2003-09-25  David Carlton  <carlton@kealia.com>

	* c-exp.y: Remove 'register' declarations.
	* f-exp.y, jv-exp.y, m2-exp.y, objc-exp.y, p-exp.y: Ditto.

2003-09-25  David Carlton  <carlton@kealia.com>

	* c-exp.y: Include cp-support.h.  Add qualified_type.
	(yylex): Delete nested type hack; add comments.
	* cp-namespace.c (cp_lookup_nested_type): New function.
	* cp-support.h: Declare cp_lookup_nested_type.
	* eval.c (evaluate_subexp_standard): Call value_aggregate_elt
	instead of value_struct_elt_for_reference.
	* valops.c: Include cp-support.h.
	(value_aggregate_elt): New function.
	(value_namespace_elt): Ditto.
	(value_struct_elt_for_reference): Make static.
	* value.h: Delete declaration of value_struct_elt_for_reference;
	add declaration for value_aggregate_elt.
	* Makefile.in (c-exp.tab.o): Depend on $(cp_support_h).
	(valops.o): Ditto.

2003-09-25  Daniel Jacobowitz  <drow@mvista.com>

	* stack.c: Include "reggroups.h".
	(frame_info): Only display registers in all_reggroup.
	* Makefile.in (stack.o): Update dependencies.

2003-09-25  Jerome Guitton  <guitton@act-europe.fr>

	* arm-tdep.c (arm_skip_prologue): Handle "sub ip, sp #n" and
	"add ip, sp #n" in the prologue.
	(arm_scan_prologue): Ditto.

2003-09-25  Jerome Guitton  <guitton@act-europe.fr>

	* MAINTAINERS (write after approval): Add myself.

2003-09-25  Andreas Schwab  <schwab@suse.de>

	* m68k-tdep.c: Include "dwarf2-frame.h".
	(m68k_gdbarch_init): Add the DWARF CFI frame unwinder.
	* Makefile.in (m68k-tdep.o): Update dependencies.

2003-09-25  Corinna Vinschen  <vinschen@redhat.com>

	* sh-tdep.c (struct frame_extra_info): Remove.
	(struct sh_frame_cache): New structure.
	(GET_SOURCE_REG): New macro extracting source register of an opcode.
	(GET_TARGET_REG): Ditto but target register.
	(GET_PUSHED_REG): Remove.
	(IS_MOV_ARG_TO_REG): New macro.
	(IS_MOV_ARG_TO_IND_R14): New macro.
	(IS_MOV_ARG_TO_IND_R14_WITH_DISP): New macro.
	(IS_MOVW_PCREL_TO_REG): New macro.
	(IS_MOVL_PCREL_TO_REG): New macro.
	(IS_SUB_REG_FROM_SP): New macro.
	(IS_ARG_MOV): Remove.
	(IS_MOV_TO_R14): Remove.
	(IS_RESTORE_FP): New macro.
	(IS_RTS): New macro.
	(IS_LDS): New macro.
	(IS_MOV_FP_SP): New macro.
	(IS_ADD_REG_TO_FP): New macro.
	(IS_ADD_IMM_FP): New macro.
	(sh_skip_prologue_hard_way): Remove.
	(sh_saved_pc_after_call): Remove.
	(sh_frame_chain): Remove.
	(sh_find_callers_reg): Remove.
	(sh_nofp_frame_init_saved_regs): Remove.
	(sh_fp_frame_init_saved_regs): Remove.
	(sh_init_extra_frame_info): Remove.
	(sh_analyze_prologue): New function.
	(sh_skip_prologue): Remove deprecated code.  Rely on new function
	sh_analyze_prologue when after_prologue fails.
	(sh_frame_saved_pc): Remove.
	(sh_alloc_frame_cache): New function.
	(sh_frame_cache): Ditto.
	(sh_frame_prev_register): Ditto.
	(sh_frame_this_id): Ditto.
	(sh_frame_unwind): New structure defining the heuristic frame
	sniffer interface.
	(sh_frame_sniffer): New function.
	(sh_unwind_sp): Ditto.
	(sh_unwind_pc): Ditto.
	(sh_unwind_dummy_id): Ditto.
	(sh_frame_base_address): Ditto.
	(sh_frame_base): New structure defining new frame base code.
	(sh_in_function_epilogue_p): New function.
	(sh_gdbarch_init): Restructure and simplify to eliminate deprecated
	code and to call all new code instead.  Initialize dwarf2 and
	heuristic frame sniffer.

2003-09-24  Paul N. Hilfinger  <hilfingr@nile.gnat.com>

	* parser-defs.h (struct exp_descriptor): New definition, containing
	language-specific info for printing, prefixifying, dumping, and
	evaluating expressions.
	(exp_descriptor_standard): Declare new variable.
	(print_subexp): Make global and declare here (from expprint.c).
	(dump_subexp): Ditto.
	(dump_subexp_body_standard): Declare.
	(operator_length_standard): Declare.
	(op_name_standard): Declare.
	(print_subexp): Declare.
	(print_subexp_standard): Declare.

	* language.h (struct language_defn): Add la_exp_desc field to hold
	pointer to table for language-specific operators.
	Remove evaluate_exp field, which is now in struct exp_descriptor.

	* parse.c (operator_length): Move most code to new
	operator_length_standard function.  Use language-specific information.
	(operator_length_standard): New function taking most code from
	operator_length.
	(exp_descriptor_standard): New constant.

	* expression.h (enum exp_opcode): Add definitions of OP_EXTENDED0
	and OP_EXTENDED_LAST.

	* expprint.c (print_subexp): Use language-specific print_subexp.
	Make global; remove static declaration.
	Move most code to print_subexp_standard.
	(print_subexp_standard): New function, containing code formerly in
	print_subexp.
	(op_name): Add expression to argument signature.
	Use langauge-specific op_name.
	Move most code to op_name_standard.
	(op_name_standard): New function, containing code formerly in op_name.
	(dump_subexp): 	Use new version of op_name function.
	Use language-specific dump_subexp_body, and move most existing code to
	dump_subexp_body_standard.
	(dump_raw_expression): Use new op_name interface.
	(dump_subexp_body): Move most code to dump_subexp_body_standard.
	(dump_subexp_body_standard): New function, containing code formerly
	in dump_subexp_body.

	* language.c (unknown_language): Add default la_exp_desc field and
	remove evaluate_exp field.
	(auto_language): Ditto.
	(local_language): Ditto.
	* f-lang.c (f_language_defn): Ditto.
	* c-lang.c (c_language_defn): Ditto.
	(cplus_language_defn): Ditto.
	(asm_language_defn): Ditto.
	(minimal_language_defn): Ditto.
	* p-lang.c (pascal_language_defn): Ditto.
	* m2-lang.c (m2_language_defn): Ditto.
	* objc-lang.c (objc_language_defn): Ditto.

	* jv-lang.c (exp_descriptor_java): New variable, containing
	Java-specific expression evaluator.
	(java_language_defn): Add la_exp_desc field and remove evaluate_exp
	field.
	* scm-lang.c (exp_descriptor_scm): New variable, containing
	Scheme-specific expression evaluator.
	(scm_language_defn): Add la_exp_desc field and remove evaluate_exp
	field.
	* objc-lang.c (print_object_command): Take evaluate_exp from the
	la_exp_desc field.

	* Makefile.in (eval.o): Add dependency on parser-defs.h.

	* eval.c: Include parser-defs.h for the full declaration of
	la_exp_desc's type.
	(evaluate_subexp): Get evaluate_exp out of la_exp_desc field.

2003-09-23  Paul N. Hilfinger  <hilfingr@nile.gnat.com>

	* parser-defs.h (operator_length): Declare.

	* parse.c (length_of_subexp): Use operator_length to get operator
	lengths and arities for operators.
	Move most code to new operator_length function.
	(operator_length): New function absorbing most code from
	length_of_subexp.
	(prefixify_subexp): Remove large case and use operator_length instead.
	(parse_exp_1): Use renamings:
	dump_prefix_expression => dump_raw_expression and
	dump_postfix_expression => dump_prefix_expression.

	* expression.h (dump_prefix_expression): Rename to ...
	(dump_raw_expression): New name.
	(dump_postfix_expression): Rename to ...
	(dump_prefix_expression): New name.

	* expprint.c (dump_subexp): Make global.  Add comment.
	Move most existing code to dump_subexp_body.
	(dump_subexp_body): New function.
	(dump_prefix_expression): Rename to dump_raw_expression.
	Remove attempt to print the expression via print_expression: it can't
	work before the expression is prefixified.
	(dump_raw_expression): Renamed from dump_prefix_expression.
	(dump_postfix_expression): Rename to dump_prefix_expression, since
	that's what it does.
	Remove 'note' parameter, since this routine must be used on
	prefixified expression.
	(dump_prefix_expression): Renamed from dump_postfix_expression.

2003-09-22  Jim Blandy  <jimb@redhat.com>

	* dwarf2read.c (read_array_type): When building the type for an
	array of unspecified length, make sure to choose the upper bound
	so that the array's total length comes out to be zero --- that's
	how we represent such arrays.

2003-09-22  Michael Chastain  <mec@shout.net>

	* MAINTAINERS: Rename gdb.c++ to gdb.cp.

2003-09-22  Jeff Johnston  <jjohnstn@redhat.com>

	* top.c (quit_force): Fix indirect call to quit_target so
	a struct qt_args pointer is passed.

2003-09-22  Andrew Cagney  <cagney@redhat.com>

	* arch-utils.h (init_frame_pc_noop): Delete declaration.
	* arch-utils.c (init_frame_pc_noop): Delete function.
	* mn10300-tdep.c (mn10300_gdbarch_init): Do not set
	"init_frame_pc".
	* mips-tdep.c (mips_gdbarch_init): Ditto.
	* i386-interix-tdep.c (i386_interix_init_abi): Ditto.
	* config/sparc/tm-sparc.h (init_frame_pc_noop): Delete
	declaration.
	(DEPRECATED_INIT_FRAME_PC): Delete macro.
	* config/rs6000/tm-rs6000.h (init_frame_pc_noop): Delete
	declaration.
	(DEPRECATED_INIT_FRAME_PC): Delete macro.

2003-09-22  Anthony Green  <green@redhat.com>

	* monitor.c (monitor_expect): Delete unused conflicting targ_ops
	declaration.

2003-09-20  Andrew Cagney  <cagney@redhat.com>

	* breakpoint.c: Eliminate ARGSUSED.
	* buildsym.c, cli/cli-cmds.c, cli/cli-script.c: Ditto.
	* coffread.c, corelow.c, dwarf2read.c, event-top.c: Ditto.
	* exec.c, gcore.c, hpux-thread.c, infcmd.c, inflow.c: Ditto.
	* infrun.c, inftarg.c, maint.c, ocd.c, printcmd.c: Ditto.
	* procfs.c, regcache.c, remote-rdi.c, remote-sds.c: Ditto.
	* remote.c, sol-thread.c, source.c, stabsread.c: Ditto.
	* stack.c, symfile.c, target.c, top.c, typeprint.c: Ditto.
	* utils.c, v850ice.c, valprint.c, values.c, win32-nat.c: Ditto.
	* wince.c, remote-vx.c: Ditto.

	* cli/cli-script.c: Remove "register" attributes.
	* config/pa/tm-hppa.h: Ditto.
	* cli/cli-decode.c: Ditto.
	* cli/cli-cmds.c: Ditto.

2003-09-19  Andrew Cagney  <cagney@redhat.com>

	* sparcnbsd-nat.c (getregs_supplies): Rename NPC_REGNUM to
	DEPRECATED_NPC_REGNUM.
	* sparc64nbsd-nat.c (getregs_supplies): Ditto.

2003-09-19  Christopher Faylor  <cgf@redhat.com>

	* win32-nat.c (mappings): Remove HAVE_SSE conditional.

2003-09-19  Jim Blandy  <jimb@redhat.com>

	* macrotab.c (macro_include): Use the correct comparison to find
	the appropriate place for this inclusion in the list.

2003-09-19  Andrew Cagney  <cagney@redhat.com>

	* config/pa/nm-hppah.h (NEED_TEXT_START_END): Delete.
	(DEPRECATED_HPUX_TEXT_END): Define.
	(deprecated_hpux_text_end): Declare.
	(struct target_ops): Declare opaque.
	* hppah-nat.c (text_end): Make static.
	(deprecated_hpux_text_end): New function.
	* exec.c (text_end): Delete global variable.
	(NEED_TEXT_START_END): Do not define.
	(exec_file_attach): Replace code computing "text_end" code with
	call to DEPRECATED_HPUX_TEXT_END.

2003-09-19  Andrew Cagney  <cagney@redhat.com>

	* utils.c (align_up, align_down): New functions.
	* defs.h (align_up, align_down): Declare.
	* ppc-sysv-tdep.c (align_up, align_down): Delete functions.
	* s390-tdep.c: Replace "round_up" and "round_down" with "align_up"
	and "align_down".
	(round_up, round_down): Delete functions.
	* mips-tdep.c: Replace ROUND_UP and ROUND_DOWN with "align_up" and
	"align_down".
	(ROUND_DOWN, ROUND_UP): Delete macros.
	(mips_dump_tdep): Do not print "ROUND_UP" or "ROUND_DOWN".
	* h8300-tdep.c: Replace "round_up" and "round_down" with
	"align_up" and "align_down".
	(round_up, round_down): Delete macros.
	* frv-tdep.c: Replace ROUND_UP and ROUND_DOWN with "align_up" and
	"align_down".
	(ROUND_UP, ROUND_DOWN): Delete macros.

2003-09-18  J. Brobecker  <brobecker@gnat.com>

	* hppa-hpux-tdep.c (_initialize_hppa_hpux_tdep): Remove a
	hard-coded constant. Use the proper machine name instead.

2003-09-17  Andrew Cagney  <cagney@redhat.com>

	* sparc-tdep.c (legacy_register_name): Delete function.
	* mips-tdep.c (mips_dump_tdep): Do not print REGISTER_NAME.
	(mips_gdbarch_init): Refer to MIPS_REGISTER_NAME in comments.
	* infcmd.c (gdb_register_name): Delete variable.
	* gdbarch.sh (SDB_REG_TO_REGNUM): Delete reference to
	REGISTER_NAME and "tm.h".
	* gdbarch.h, gdbarch.c: Regenerate.
	* dpx2-nat.c (regmap): Refer to REGISTER_NAME and not
	REGISTER_NAMES in comments.
	* remote-st.c (get_reg_name), i386b-nat.c (tregmap): Ditto.
	* m68klinux-nat.c (regmap): Ditto.

2003-09-17  Jim Blandy  <jimb@redhat.com>

	* Makefile.in (dis_asm_h): Note that this #includes "bfd.h".

2003-09-17  Andrew Cagney  <cagney@redhat.com>

	* ppcnbsd-tdep.c (ppcnbsd_use_struct_convention): New function.
	(ppcnbsd_init_abi): Set "use_struct_convention" to
	"ppcnbsd_use_struct_convention".

2003-09-17  Mark Kettenis  <kettenis@gnu.org>

	* gdbarch.sh (DEPRECATED_REG_STRUCT_HAS_ADDR): Add comment.
	* gdbarch.h, gdbarch.c: Regenerate.
	(stabs_argument_has_addr): New architecture method.
	* arch-utils.h (default_stabs_argument_has_addr): New prototype.
	* arch-utils.c: Include "buildsym.h".
	(default_stabs_argument_has_addr): New function.
	* stabsread.c (define_symbol): Use stabs_argument_has_addr
	instead of DEPRECATED_REG_STRUCT_HAS_ADDR.

2003-09-17  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh (DEPRECATED_NPC_REGNUM): Deprecate NPC_REGNUM.
	* gdbarch.h, gdbarch.c: Regenerate.
	* core-sol2.c, hppa-tdep.c, lynx-nat.c, procfs.c: Update.
	* regcache.c, remote-vxsparc.c, sparc-linux-nat.c: Update.
	* sparc-nat.c, sparc-tdep.c, sparc64-tdep.c: Update.
	* sparcnbsd-tdep.c: Update.

2003-09-17  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh (DEPRECATED_REGISTER_BYTE): Rename REGISTER_BYTE.
	* gdbarch.h, gdbarch.c: Regenerate.
	* arm-linux-tdep.c, core-sol2.c, cris-tdep.c: Update.
	* d10v-tdep.c, frame.c: Update.
	* hppa-tdep.c, hppab-nat.c, hppah-nat.c, hppam3-nat.c: Update.
	* hpux-thread.c, i386gnu-nat.c, ia64-aix-nat.c: Update.
	* ia64-linux-nat.c, irix5-nat.c, lynx-nat.c, m68knbsd-nat.c: Update.
	* mcore-tdep.c, mips-linux-tdep.c, mips-tdep.c: Update.
	* mipsv4-nat.c, mn10300-tdep.c, ns32k-tdep.c: Update.
	* ns32knbsd-nat.c, ppc-bdm.c, regcache.c, remote-sds.c: Update.
	* remote-vx68.c, remote-vxmips.c, remote-vxsparc.c: Update.
	* remote.c, rs6000-tdep.c, s390-tdep.c, sh64-tdep.c: Update.
	* sparc-nat.c, sparc-tdep.c, sun3-nat.c, v850-tdep.c: Update.
	* v850ice.c, vax-tdep.c, xstormy16-tdep.c: Update.
	* config/m68k/tm-cisco.h, config/m68k/tm-delta68.h: Update.
	* config/pa/nm-hppah.h: Update.

2003-09-16  Andrew Cagney  <cagney@redhat.com>

	* ppc-linux-tdep.c (ppc_linux_init_abi): Set the 32 bit
	"use_struct_convention" to "ppc_linux_use_struct_convention".
	(ppc_linux_use_struct_convention): New function.
	* rs6000-tdep.c (rs6000_use_struct_convention): New function.
	(rs6000_gdbarch_init): For AIX, set "use_struct_convention" to
	"rs6000_use_struct_convention".
	* ppc-tdep.h (ppc_sysv_abi_broken_use_struct_convention): Delete
	declaration.
	* ppc-sysv-tdep.c (ppc_sysv_abi_broken_use_struct_convention):
	Delete function.

2003-09-16  Andrew Cagney  <cagney@redhat.com>

	* buildsym.c: Remove more occurances of "register".
	* coffread.c, dbxread.c, dcache.c, dwarf2read.c: Ditto.
	* environ.c, eval.c, f-valprint.c, findvar.c: Ditto.
	* gdbtypes.c, gnu-v2-abi.c, h8300-tdep.c, hppa-tdep.c: Ditto.
	* infcmd.c, mdebugread.c, minsyms.c, mips-tdep.c: Ditto.
	* printcmd.c, remote-vx.c, sh-stub.c, sh-tdep.c: Ditto.
	* sh64-tdep.c, source.c, stabsread.c, stack.c: Ditto.
	* standalone.c, symfile.c, symmisc.c, symtab.c: Ditto.
	* utils.c, valops.c, values.c, xcoffread.c: Ditto.

2003-09-16  Corinna Vinschen  <vinschen@redhat.com>

	* sh-tdep.h (struct gdbarch_tdep): Remove.  Change all register
	numbers to enumeration values.
	* sh-tdep.c: Accomodate above change.
	(SH_NUM_REGS): Rename from SH_DEFAULT_NUM_REGS.
	(NUM_PSEUDO_REGS_SH_MEDIA): Remove (sh5 only).
	(NUM_PSEUDO_REGS_SH_COMPACT): Remove (sh5 only).
	(IS_ADD_IMM_SP): Rename from IS_ADD_SP.
	(IS_FPUSH): Rename from IS_FMOV.
	(sh_extract_struct_value_address): Remove useless comment.
	(sh_dsp_register_sim_regno): Use register values from sh-tdep.h
	instead of own local values.
	(sh_dump_tdep): Remove.
	(_initialize_sh_tdep): Accomodate removing sh_dump_tdep.
	* sh3-rom.c (sh3_supply_register): Accomodate sh-tdep.h changes.

2003-09-15  Andrew Cagney  <cagney@redhat.com>

	* doublest.c (convert_floatformat_to_doublest): No longer need to
	cast "exp_bias" to an int.  Reverts 2002-12-04 change.

2003-09-15  Daniel Jacobowitz  <drow@mvista.com>

	* values.c (unpack_double): Call floatformat_is_valid.

2003-09-15  Mark Kettenis  <kettenis@gnu.org>

	* amd64fbsd-nat.c (_initialize_amd64fbsd_nat): Change type of
	ps_strings into a long.

	* amd64fbsd-nat.c (_initialize_amd64fbsd_nat): Rename from
	_initialize_am64fbsd_nat.

2003-09-15  Kevin Buettner  <kevinb@redhat.com>

	* dwarf2read.c (dwarf2_get_pc_bounds): Complain if offset
	associated with DW_AT_ranges attribute is out of bounds.

2003-09-15  David Lecomber  <dsl@sources.redhat.com>

	* f-valprint.c: Apply array element printing limits to multi-dimensional arrays

2003-09-14  Michael Chastain  <mec@shout.net>

	* config/m68k/nm-apollo68v.h: Delete.
	* config/m68k/xm-apollo68v.h: Delete.

2003-09-14  Andrew Cagney  <cagney@redhat.com>

	* rs6000-tdep.c (rs6000_push_dummy_call): Fix typos.
	* dcache.c: Update copyrights and descriptions.
	* scm-exp.c, ia64-aix-nat.c, hppam3-nat.c: environ.c: Ditto.

2003-09-14  Andrew Cagney  <cagney@redhat.com>

	* config/djgpp/fnchange.lst: Rename "amd64fbsd-tdep.c" and
	"amd64fbsd-nat.c" to "a64fb-tdep.c" and "a64fb-nat.c".

2003-09-14  Andrew Cagney  <cagney@redhat.com>

	* alpha-nat.c: Remove some occurances of "register".
	* alpha-tdep.c, arm-tdep.c, blockframe.c, breakpoint.c: Ditto.
	* buildsym.c, c-typeprint.c, c-valprint.c, coffread.c: Ditto.
	* corefile.c, cp-support.c, cp-valprint.c, cris-tdep.c: Ditto.
	* dbxread.c, dcache.c, dwarf2read.c, elfread.c: Ditto.
	* environ.c, eval.c, event-top.c, f-typeprint.c: Ditto.
	* f-valprint.c, findvar.c, frame.c, gdbtypes.c: Ditto.
	* h8300-tdep.c, hppa-tdep.c, hppab-nat.c, hppah-nat.c: Ditto.
	* hppam3-nat.c, hpread.c, ia64-aix-nat.c, ia64-linux-nat.c: Ditto.
	* infcall.c, infcmd.c, inflow.c, infptrace.c, infrun.c: Ditto.
	* infttrace.c, irix5-nat.c, jv-typeprint.c: Ditto.
	* jv-valprint.c, m68k-tdep.c, m68klinux-nat.c, main.c: Ditto.
	* mdebugread.c, minsyms.c, mips-linux-tdep.c: Ditto.
	* mips-nat.c, mips-tdep.c, mipsread.c, mipsv4-nat.c: Ditto.
	* ns32k-tdep.c, objfiles.c, p-typeprint.c: Ditto.
	* p-valprint.c, ppc-linux-nat.c, printcmd.c: Ditto.
	* remote-mips.c, remote-vx.c, rs6000-nat.c: Ditto.
	* rs6000-tdep.c, scm-exp.c, sh-tdep.c, sh64-tdep.c: Ditto.
	* solib.c, somread.c, source.c, sparc-tdep.c: Ditto.
	* stabsread.c, stack.c, standalone.c, symfile.c: Ditto.
	* symmisc.c, symtab.c, top.c, tracepoint.c: Ditto.
	* typeprint.c, utils.c, valarith.c, valops.c: Ditto.
	* values.c, vax-tdep.c, xcoffread.c: Ditto.

2003-09-13  Andrew Cagney  <cagney@redhat.com>

	* config/pa/tm-hppa64.h (struct frame_info): Declare opaque.
	* ppc-tdep.h (struct regcache): Declare opaque.
	* objfiles.h (struct objfile_data): Declare opaque.
	* cp-support.h (struct objfile): Declare opaque.
	* linux-nat.h (target_waitstatus): Declare opaque.

2003-09-14  Mark Kettenis  <kettenis@gnu.org>

	* gdbarch.sh (DEPRECATED_REG_STRUCT_HAS_ADDR): Add comment.
	(stabs_argument_has_addr): New architecture method.
	* arch-utils.h (default_stabs_argument_has_addr): New prototype.
	* arch-utils.c: Include "buildsym.h".
	(default_stabs_argument_has_addr): New function.
	* stabsread.c (define_symbol): Use stabs_argument_has_addr
	instead of DEPRECATED_REG_STRUCT_HAS_ADDR.

	* cris-tdep.c (cris_gdbarch_init): Set
	deprecated_reg_struct_has_addr instead of reg_struct_has_addr.
	* hppa-tdep.c (hppa_gdbarch_init): Likewise.
	* mcore-tdep.c (mcore_gdbarch_init): Likewise.
	* mips-tdep.c (mips_gdbarch_init): Likewise.
	* mn10300-tdep.c (mn10300_gdbarch_init): Likewise.
	* sparc-tdep.c (sparc_gdbarch_init): Likewise.

2003-09-13  Andrew Cagney  <cagney@redhat.com>

	* values.c (using_struct_return): Delete "function" and "funcaddr"
	parameters.
	* value.h (using_struct_return): Update declaration.
	* infcmd.c (finish_command_continuation): Update.
	(finish_command): Update.
	* infcall.c (call_function_by_hand): Update.
	* eval.c (evaluate_subexp_standard): Update.

2003-09-13  Christopher Faylor  <cgf@redhat.com>

	* win32-nat.c: Just rely on CONTEXT_EXTENDED_REGISTER being defined for
	SSE registers since gdb will not operate correctly without this.
	Restore include file ordering munged in previous change.
	* config/i386/tm-cygwin.h: Remove HAVE_SSE_REGS define.

2003-09-13  Mark Kettenis  <kettenis@gnu.org>

	* gdbarch.sh (DEPRECATED_REG_STRUCT_HAS_ADDR): Renamed from
	REG_STRUCT_HAS_ADDR.
	* gdbarch.c, gdbarch.h: Updated.
	* infcall.c (call_function_by_hand): Update.
	* stabsread.c (define_symbol): Updated.

	* Makefile.in (xm-i386-sv32.h, tm-i386gas.h): Remove.

2003-09-12  Christopher Faylor  <cgf@redhat.com>

	* win32-nat.c: Reorganize so that defines used by target headers are
	actually defined by the system headers.
	* config/i386/tm-cygwin.h: Check for CONTEXT_EXTENDED_REGISTERS rather
	than HAVE_CONTEXT_EXTENDED_REGISTERS, since the latter actually exists.

2003-09-12  Jim Blandy  <jimb@redhat.com>

	* dbxread.c (read_dbx_symtab): Don't report an internal error if
	the file has no .data, .bss, or .rodata sections.  Instead wait
	until we see a variable alleged to live in one of those sections.

	* dbxread.c (read_dbx_symtab): If we have no .data section and no
	.bss section, presume that any variables we find live in the
	.rodata section.

	* dbxread.c (read_dbx_symtab): Add FIXME about finding section
	offsets for global and static variables.

	* dbxread.c (read_dbx_symtab): The N_DATA and N_DATA | N_EXT
	symbol types are, by definition, in the .data section, so it is
	correct to use SECT_OFF_DATA (objfile) here, not data_sect_index.
	If there is no .data section, there should be no N_DATA or N_DATA
	| N_EXT symbols.

2003-09-12  Mark Kettenis  <kettenis@gnu.org>

	* amd64fbsd-tdep.c: Fix sigtramp recognition.
	(amd64fbsd_sigcontext_addr): Rewrite.
	(amd64fbsd_sigtramp_start, amd64fbsd_sigtramp_end): Initialize
	with correct values.
	(amd64fbsd_sc_reg_offset): Initialize with correct values.
	(amd64fbsd_init_abi): Fix typo.

2003-09-12  Andrew Cagney  <cagney@redhat.com>

	* ppc-sysv-tdep.c (align_up, align_down): Replace "round2" macro.
	(ppc_sysv_abi_push_dummy_call): Rewrite, use a two pass loop.

2003-09-12  Andrew Cagney  <cagney@redhat.com>

	* objfiles.h (struct entry_info): Deprecate "entry_file_lowpc" and
	"entry_file_highpc".  Update comments.
	* defs.h (deprecated_inside_entry_file): Rename
	"inside_entry_file".
	* blockframe.c (deprecated_inside_entry_file): Rename
	"inside_entry_file".
	* frame.c (get_prev_frame): Update.  Use if 0 instead of #if 0.
	* vax-tdep.c (vax_frame_chain): Update.
	* sh64-tdep.c (sh64_frame_chain): Update.
	* sh-tdep.c (sh_frame_chain): Update.
	* rs6000-tdep.c (rs6000_frame_chain): Update.
	* ns32k-tdep.c (ns32k_frame_chain): Update.
	* mips-tdep.c (mips_frame_chain): Update.
	* m68hc11-tdep.c (m68hc11_frame_this_id): Update.
	* m32r-tdep.c (m32r_frame_this_id): Update.
	* i386-interix-tdep.c (i386_interix_frame_chain_valid): Update.
	* frv-tdep.c (frv_frame_this_id): Update.
	* d10v-tdep.c (d10v_frame_this_id): Update.
	* cris-tdep.c (cris_frame_chain): Update.
	* blockframe.c (legacy_frame_chain_valid): Update.
	* avr-tdep.c (avr_frame_this_id): Update.
	* arm-tdep.c (arm_prologue_this_id): Update.
	* alpha-tdep.c (alpha_heuristic_frame_this_id): Update.
	* objfiles.c (objfile_relocate): Update.
	* mipsread.c (mipscoff_symfile_read): Update.
	(mipscoff_symfile_read): Update.
	* mdebugread.c (parse_partial_symbols): Update.
	* dwarfread.c (read_file_scope): Update.
	* dwarf2read.c (read_file_scope): Update.
	* dbxread.c (read_dbx_symtab): Update.
	(read_dbx_symtab): Update.
	* coffread.c (complete_symtab): Update.

2003-09-12  Jeff Johnston  <jjohnstn@redhat.com>

	* top.c (quit_target): New static helper function.
	(quit_force): Moved code to quit_target().  Call quit_target()
	via catch_errors() to catch errors during quit.

2003-09-11  David Carlton  <carlton@kealia.com>

	* buildsym.c (finish_block): Use allocate_block to allocate the
	block.
	* mdebugread.c (new_block): Add FIXME.

2003-09-11  David Carlton  <carlton@kealia.com>

	* gdbtypes.h: Add TYPE_CODE_NAMESPACE.
	* gdbtypes.c (init_type): Handle TYPE_CODE_NAMESPACE.
	(recursive_dump_type): Ditto.
	* printcmd.c (print_formatted): Ditto.
	* typeprint.c (print_type_scalar): Ditto.
	* c-typeprint.c (c_type_print_varspec_prefix): Ditto.
	(c_type_print_varspec_suffix, c_type_print_base): Ditto.
	* cp-support.h: Declare cp_check_possible_namespace_symbols,
	maint_cplus_cmd_list.
	* cp-support.c: Make maint_cplus_cmd_list extern.
	* cp-namespace.c: Include objfiles.h, gdbtypes.h, dictionary.h,
	command.h.
	(lookup_symbol_file): Look in possible namespace blocks when
	appropriate.
	(initialize_namespace_symtab): New.
	(get_possible_namespace_block, free_namespace_block)
	(check_possible_namespace_symbols)
	(check_possible_namespace_symbols_loop)
	(check_one_possible_namespace_symbol)
	(lookup_possible_namespace_symbol, maintenance_cplus_namespace)
	(_initialize_cp_namespace): Ditto.
	* block.h: Declare allocate_block.
	* block.c (allocate_block): New.
	* jv-lang.c (get_java_class_symtab): Allocate blocks via
	allocate_block.
	* symfile.h: Update declaration of add_psymbol_to_list.
	* symfile.c (add_psymbol_to_list): Return the partial symbol in
	question.
	* dwarf2read.c (dwarf2_build_psymtabs_hard): Add argument to
	scan_partial_symbols_call.
	(scan_partial_symbols): Add NAMESPACE argument; update calls to
	helper functions.
	(add_partial_symbol): If necessary, scan mangled names for names
	of namespaces.
	(add_partial_namespace): Add NAMESPACE argument; generate partial
	symbols associated  to namespaces.
	(add_partial_enumeration): Add NAMESPACE argument.
	(new_symbol): Allow namespace syms.
	(read_namespace): Generate namespace syms.
	* objfiles.h: Add opaque declaration of struct symtab.
	(struct objfile): Add cp_namespace_symtab member.
	* objfiles.c (allocate_objfile): Set
	objfile->cp_namespace_symtab.
	* Makefile.in (cp-namespace.o): Depend on objfiles_h, gdbtypes_h,
	dictionary_h, command_h.

2003-09-11  Andrew Cagney  <cagney@redhat.com>

	* rs6000-tdep.c (rs6000_push_dummy_call): Use
	regcache_raw_write_signed to set SP_REGNUM, move the operation to
	near the function's end.
	(rs6000_gdbarch_init): Do not set "deprecated_dummy_write_sp".
	* ppc-sysv-tdep.c (ppc_sysv_abi_push_dummy_call): Use
	regcache_raw_write_signed to set SP_REGNUM.

2003-09-11  Elena Zannoni  <ezannoni@redhat.com>

	* symfile.c (symbol_file_add_with_addrs_or_offsets): Make sure
	orig_addrs is set up properly.

2003-09-11  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh (DEPRECATED_STACK_ALIGN): Rename STACK_ALIGN.
	* gdbarch.h, gdbarch.c: Re-generate.
	* infcall.c (call_function_by_hand): Update.
	* hppa-tdep.c (hppa_push_arguments): Update.
	* ada-lang.c (place_on_stack): Update.
	* xstormy16-tdep.c (xstormy16_gdbarch_init): Update.
	* sparc-tdep.c (sparc_gdbarch_init): Update.
	* m68hc11-tdep.c (m68hc11_gdbarch_init): Update.
	* hppa-tdep.c (hppa_gdbarch_init): Update.
	* h8300-tdep.c (h8300_gdbarch_init): Delete comment refering to
	stack_align.

2003-09-11  Daniel Jacobowitz  <drow@mvista.com>

	* dwarf2loc.c (dwarf2_loc_desc_needs_frame): Variables in a
	register do need a frame.

2003-09-11  Andrew Cagney  <cagney@redhat.com>

	Since the IRIX 4 configuration was forcing K&R mode it hasn't been
	buildable since GDB 5.0.
	* NEWS: Mention that IRIX 3 and IRIX 4 support were removed.
	* configure.host: Delete "mips-sgi-irix3*" and "mips-sgi-irix4*".
	* configure.tgt: Delete "mips*-sgi-*" a.k.a. irix3.
	* irix4-nat.c: Delete file.
	* config/mips/irix4.mh: Delete file.
	* config/mips/irix3.mh: Delete file.
	* config/mips/irix3.mt: Delete file.
	* config/mips/tm-irix3.h: Delete file.
	* config/mips/nm-irix3.h: Delete file.
	* config/mips/xm-irix3.h: Delete file.
	* config/mips/nm-irix4.h: Delete file.
	* config/mips/xm-irix4.h: Delete file.
	* config/mips/tm-irix5.h: Inline contents of "tm-irix3.h".

2003-09-10  J. Brobecker  <brobecker@gnat.com>

	* hppa-tdep.c: Include "dis-asm.h". Fixes a build failure.
	* Makefile.in (hppa-tdep.o): Update dependencies.

2003-09-10  James E Wilson  <wilson@specifixinc.com>

	* MAINTAINERS: Change my e-mail address.  Move to paper trail
	section.

2003-09-10  Kevin Buettner  <kevinb@redhat.com>

	* MAINTAINERS (frv): New ISA entry.

2003-09-10  Kevin Buettner  <kevinb@redhat.com>

	* frv-tdep.c (dis-asm.h): Include.
	* Makefile.in (frv-tdep.o): Update dependencies.

2003-09-09  Jeff Johnston  <jjohnstn@redhat.com>

	* ia64-tdep.c (ia64_sigtramp_frame_init_saved_regs):
	Fix typo for high range of floating registers.

2003-09-09  David Carlton  <carlton@kealia.com>

	* dwarf2read.c (dwarf2_build_psymtabs_hard): Move lowpc and
	highpc initialization here out of scan_partial_symbols.
	(scan_partial_symbols): Restructure into a recursive version,
	calling add_partial_namespace and add_partial_enumeration when
	appropriate.
	(add_partial_namespace): New.
	(add_partial_enumeration, locate_pdi_sibling): Ditto.

2003-09-09  Andrew Cagney  <cagney@redhat.com>

	* rs6000-tdep.c (ppc_push_return_address): Delete function.
	(rs6000_push_dummy_call): Set LR to BP_ADDR.
	(rs6000_gdbarch_init): Do not set deprecated_push_return_address.
	* ppc-sysv-tdep.c (ppc_sysv_abi_push_dummy_call): Ditto.

	* rs6000-tdep.c (rs6000_fix_call_dummy): Delete function.
	(rs6000_push_dummy_call): Set the "TOC" register.

	* rs6000-tdep.c (rs6000_gdbarch_init): Do not set the deprecated
	methods "max_register_raw_size", "max_register_virtual_size" or
	"register_virtual_size".

2003-09-09  Ian Lance Taylor  <ian@wasabisystems.com>

	* MAINTAINERS: Update my e-mail address.

2003-09-09  Andrew Cagney  <cagney@redhat.com>

	* rs6000-tdep.c (rs6000_store_struct_return): Delete function.
	(rs6000_push_dummy_call): Store the struct return address.
	* ppc-sysv-tdep.c (ppc_sysv_abi_push_dummy_call): Ditto.

2003-09-09  Andrew Cagney  <cagney@redhat.com>

	* ppc-tdep.h (ppc_sysv_abi_push_dummy_call): Replace
	"ppc_sysv_abi_push_arguments".
	* ppc-sysv-tdep.c (ppc_sysv_abi_push_dummy_call): Replace
	"ppc_sysv_abi_push_arguments".
	* rs6000-tdep.c (rs6000_gdbarch_init): Set "push_dummy_call"
	instead of "push_arguments".
	(rs6000_push_dummy_call): Replace "rs6000_push_arguments".

2003-09-09  Andrew Cagney  <cagney@redhat.com>

	* sh64-tdep.c (sh64_push_return_address): Use ENTRY_POINT_ADDRESS
	instead of CALL_DUMMY_ADDRESS.

2003-09-09  Paul N. Hilfinger  <hilfingr@gnat.com>

	* p-lang.c: Eliminate "register".
	* c-lang.c: Ditto.
	* expprint.c: Ditto.
	* f-lang.c: Ditto.
	* jv-lang.c: Ditto.
	* language.c: Ditto.
	* m2-lang.c: Ditto.
	* parse.c: Ditto.
	* scm-lang.c: Ditto.
	* objc-lang.c: Ditto.

2003-09-09  Nick Clifton  <nickc@redhat.com>

	* v850-tdep.c (v850_processor_type_table): Add bfd_mach_v850e1.

2003-09-04  Andrew Cagney  <cagney@redhat.com>

	* avr-tdep.c: Include "dis-asm.h".
	* cris-tdep.c: Include "dis-asm.h".
	(cris_delayed_get_disassembler): Use "struct disassemble_info"
	instead of corresponding typedef.
	* h8300-tdep.c: Include "dis-asm.h".
	* ia64-tdep.c: Include "dis-asm.h".
	* i386-tdep.c: Include "dis-asm.h".
	(i386_print_insn): Use "struct disassemble_info" instead of
	corresponding typedef.
	* m68k-tdep.c: Include "dis-asm.h".
	* mcore-tdep.c: Include "dis-asm.h".
	* mips-tdep.c: Include "dis-asm.h".
	(gdb_print_insn_mips): Make static, use "struct disassemble_info"
	instead of corresponding typedef.
	* ns32k-tdep.c: Include "dis-asm.h".
	* s390-tdep.c: Include "dis-asm.h".
	* sparc-tdep.c: Include "dis-asm.h".
	* vax-tdep.c: Include "dis-asm.h".
	* v850-tdep.c: Include "dis-asm.h".
	* mn10300-tdep.c: Include "dis-asm.h".
	* rs6000-tdep.c: Include "dis-asm.h".
	* xstormy16-tdep.c: Include "dis-asm.h".
	(_initialize_xstormy16_tdep): Delete "extern" declaration of
	print_insn_xstormy16.
	* Makefile.in (v850-tdep.o): Update dependencies.
	(vax-tdep.o, sparc-tdep.o, s390-tdep.o): Ditto.
	(ns32k-tdep.o, mips-tdep.o, mcore-tdep.o): Ditto.
	(m68k-tdep.o, ia64-tdep.o, i386-tdep.o): Ditto.
	(h8300-tdep.o, cris-tdep.o, avr-tdep.o): Ditto.
	(mn10300-tdep.o, xstormy16-tdep.o, disasm.o): Ditto.
	(gdbarch_h): Remove $(dis_asm_h).
	* disasm.c: Include "dis-asm.h".
	(dis_asm_read_memory): Use "struct disassemble_info" instead of
	corresponding typedef.
	(dis_asm_memory_error, dump_insns, do_assembly_only): Ditto.
	(gdb_disassemble_info, gdb_disassembly, gdb_print_insn): Ditto.
	* gdbarch.sh: Do not include "dis-asm.h".
	(struct disassemble_info): Declare opaque.
	(TARGET_PRINT_INSN): Update declaration.
	* gdbarch.h, gdbarch.c: Re-generate.

2003-09-08  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh (DEPRECATED_CALL_DUMMY_ADDRESS): Rename
	CALL_DUMMY_ADDRESS, change to a predicate.
	* gdbarch.h, gdbarch.c: Re-generate.
	* blockframe.c (deprecated_pc_in_call_dummy_at_entry_point):
	Use either DEPRECATED_CALL_DUMMY_ADDRESS or entry_point_address.
	* infcall.c (call_function_by_hand): Ditto.
	* sparc-tdep.c (sparc_push_return_address): Ditto.
	(sparc_gdbarch_init): Set deprecated_call_dummy_address.
	* xstormy16-tdep.c (xstormy16_push_return_address): Replace
	CALL_DUMMY_ADDRESS with entry_point_address.
	* v850-tdep.c (v850_push_return_address): Ditto.
	* s390-tdep.c (s390_push_return_address): Ditto.
	* rs6000-tdep.c (ppc_push_return_address): Ditto.
	* mn10300-tdep.c (mn10300_push_return_address): Ditto.
	* mcore-tdep.c (mcore_push_return_address): Ditto.
	* cris-tdep.c (cris_push_return_address): Ditto.
	* arm-tdep.c (arm_push_return_address): Ditto.

2003-09-08  Andrew Cagney  <cagney@redhat.com>

	* dwarf2-frame.c (enum dwarf2_reg_rule): New, replace anonymous
	enum.  Add REG_UNSPECIFIED, rename REG_UNSAVED to REG_UNDEFINED
	and REG_UNMODIFIED to REG_SAME_VALUE.
	(execute_cfa_program): Update.
	(dwarf2_frame_cache): Update.  Initialize table to
	REG_UNSPECIFIED, complain if CFI fails to specify a register's
	location.
	(dwarf2_frame_prev_register): Update.  Handle REG_UNSPECIFIED.

2003-09-08  Andrew Cagney  <cagney@redhat.com>

	* gnu-nat.c: Remove "inline" function attribute.
	* alpha-tdep.c, ppc-linux-tdep.c, macroexp.c: Ditto.

2003-09-08  Kevin Buettner  <kevinb@redhat.com>

	* config/frv/frv.mt (SIM_OBS, SIM): Enable simulator for FR-V
	target.

2003-09-08  Kevin Buettner  <kevinb@redhat.com>

	* frv-tdep.c (frame-unwind.h, frame-base.h): Include.
	(frame_extra_info): Rename this struct to frv_unwind_cache.
	Delete fields ``fp_to_callers_sp_offset'' and ``lr_saved_on_stack''.
	Add fields ``prev_sp'' and ``base''.
	(frv_frame_chain, frv_frame_saved_pc, frv_frame_init_saved_regs)
	(frv_saved_pc_after_call, frv_init_extra_frame_info)
	(frv_push_return_address, frv_pop_frame, frv_pop_frame_regular):
	Delete.
	(frv_analyze_prologue): Add ``struct frv_unwind_cache *'' argument.
	Revise all callers.  Fill in the unwind cache argument and make
	other adjustments to account for new frame mechanisms.
	(frv_frame_unwind_cache, frv_frame_align, frv_unwind_pc)
	(frv_frame_this_id, frv_frame_prev_register, frv_frame_sniffer)
	(frv_frame_base_address, frv_unwind_dummy_id): New functions.
	(frv_frame_unwind, frv_frame_base): New structs.
	(frv_push_arguments): Change name to frv_push_dummy_call().  Add
	additional arguments expected by this method and adjust function
	body accordingly.
	(frv_gdbarch_init): Remove calls to the following functions:
	set_gdbarch_deprecated_init_frame_pc(),
	set_gdbarch_deprecated_saved_pc_after_call(),
	set_gdbarch_deprecated_frame_chain(),
	set_gdbarch_deprecated_frame_saved_pc(),
	set_gdbarch_deprecated_frame_init_saved_regs(),
	set_gdbarch_deprecated_push_arguments(),
	set_gdbarch_deprecated_push_return_address(),
	set_gdbarch_deprecated_pop_frame(),
	set_gdbarch_deprecated_call_dummy_words(),
	set_gdbarch_deprecated_sizeof_call_dummy_words(),
	set_gdbarch_deprecated_init_extra_frame_info(),
	set_gdbarch_deprecated_dummy_write_sp(), and
	set_gdbarch_deprecated_pc_in_call_dummy().
	Add calls to the following functions:
	set_gdbarch_unwind_pc(), set_gdbarch_unwind_sp(),
	set_gdbarch_frame_align(), frame_unwind_append_sniffer(), and
	frame_base_set_default().
	* Makefile.in (frv-tdep.o): Update dependencies.

2003-09-09  Mark Kettenis  <kettenis@gnu.org>

	* dwarf2-frame.c (read_encoded_value): Add support for
	DW_EH_PE_aligned encoding.

2003-09-08  Daniel Jacobowitz  <drow@mvista.com>

	* infrun.c (normal_stop): Don't print a message if the inferior
	has exited.

2003-09-08  Jim Blandy  <jimb@redhat.com>

	* Makefile.in (dbxread.o): Note new dependency on $(gdb_assert_h).
	* dbxread.c: #include "gdb_assert.h".
	(read_dbx_symtab): If the objfile has no .data section, use the
	section index for the .bss section instead.

2003-09-08  Daniel Jacobowitz  <drow@mvista.com>

	* frame.c (deprecated_safe_get_selected_frame): New function.
	* frame.h (deprecated_safe_get_selected_frame): Add prototype.
	* findvar.c (read_var_value): Call it.

2003-09-08  Corinna Vinschen  <vinschen@redhat.com>

	* Makefile.in (ALLDEPFILES): Add sh64-tdep.c.
	(sh64-tdep.o): Add dependencies.
	* configure.tgt: Add FIXME to sh-*-linux*.
	* sh-tdep.c: Move sh64 support to sh64-tdep.c.
	(sh_gdbarch_init): Always set correct sh_show_regs function
	pointer.  Call sh64_gdbarch_init() if machine type is sh5.
	* sh-tdep.h: Move sh64 support to sh64-tdep.c.
	* sh64-tdep.c: New file, containing all sh64 related code from
	sh-tdep.c.
	* config/sh/embed.mt (TDEPFILES): Add sh64-tdep.o.
	* config/sh/linux.mt (TDEPFILES): Ditto.
	* config/sh/nbsd.mt (TDEPFILES): Ditto.
	* config/sh/tm-sh.h: Drop REGISTER_TYPE definition.
	* config/sh/wince.mt (TDEPFILES): Ditto.

2003-09-07  Daniel Jacobowitz  <drow@mvista.com>

	* lin-lwp.c (detach_callback): Don't call stop_wait_callback.
	(stop_wait_callback): Handle !lp->signalled also.
	(lin_lwp_has_pending, flush_callback): New functions.
	(lin_lwp_wait): Call flush_callback.
	* linux-proc.c (linux_proc_add_line_to_sigset): New function.
	(linux_proc_pending_signals): New function.
	* linux-nat.h (linux_proc_pending_signals): Add prototype.

2003-09-07  Daniel Jacobowitz  <drow@mvista.com>

	From Nick Kelsey <nickk@ubicom.com>:
	* infrun.c (handle_inferior_event): Check IN_SOLIB_RETURN_TRAMPOLINE
	when the stop PC is at the beginning of a function also.

2003-09-06  Daniel Jacobowitz  <drow@mvista.com>

	* arm-linux-tdep.c (arm_linux_arm_be_breakpoint): New.
	(arm_linux_init_abi): Use arm_linux_arm_be_breakpoint.

2003-09-06  Mark Kettenis  <kettenis@gnu.org>

	* sol-thread.c: Include "gdb_string.h".

2003-09-03  Mark Kettenis  <m.kettenis@osp.nl>

	* gcore.c: Reorder include files in alphabetical order.  Include
	"gdb_assert.h".  Various coding style fixes.
	(derive_stack_segment, derive_heap_segment): Replace check for
	non-null BOTTOM and TOP with gdb_assert.
	(derive_heap_segment): Replace check for successful creation of
	ZERO with gdb_assert.
	(make_mem_sec): Use bfd_section_lma to set OSEC->lma.

2003-09-04  Andrew Cagney  <cagney@redhat.com>

	* thread-db.c (verbose_dlsym): New function.
	(thread_db_load): Use verbose_dlsym
	(thread_db_new_objfile): Print that libthread_db was loaded, and
	that thread debugging was enabled.

2003-09-04  Andrew Cagney  <cagney@redhat.com>

	* configure.tgt: Add "mips64*-*-*" target.  Delete
	mips64*el-*-ecoff*, mips64*el-*-elf*, mips*el-*-ecoff*,
	mips*el-*-elf*, mips*-*-lnews*, mips*-*-sysv*, mips*-*-riscos*,
	mips*-*-ecoff*, mips*-*-elf*, mips*-little-*, mips*-big-*,
	mips*-dec-*, mips64*-big-*, mips64*vr*-*-elf*, mips64*-*-ecoff*,
	mips*-sony-*, and mips64*-*-elf* targets.
	* config/mips/embedl.mt: Delete file.
	* config/mips/embedl64.mt: Delete file.
	* config/mips/mips.mt: Delete file.
	* config/mips/mips64.mt: Delete file.
	* config/mips/tm-embed.h: Delete file.
	* config/mips/embed.mt (TM_FILE): Set to "tm-mips.h".
	* config/mips/embed64.mt: Delete out-of-date comment.

2003-09-04  Andrew Cagney  <cagney@redhat.com>

	* hppa-tdep.c (hppa_gdbarch_init): Set
	"have_nonsteppable_watchpoint".
	* config/pa/nm-hppah.h (HAVE_NONSTEPPABLE_WATCHPOINT): Delete.
	* mips-tdep.c (mips_dump_tdep): Do not print
	HAVE_NONSTEPPABLE_WATCHPOINT.
	(mips_gdbarch_init): Set "have_nonsteppable_watchpoint".
	* config/mips/tm-embed.h (HAVE_NONSTEPPABLE_WATCHPOINT): Delete.
	* config/mips/nm-irix5.h (HAVE_NONSTEPPABLE_WATCHPOINT): Delete.
	* config/mips/nm-irix4.h (HAVE_NONSTEPPABLE_WATCHPOINT): Delete.

2003-09-04  Corinna Vinschen  <vinschen@redhat.com>

	* breakpoint.c (watchpoint_check): Remove accidentally checked in
	unused code.  Add comment.

2003-09-04  Corinna Vinschen  <vinschen@redhat.com>

	* breakpoint.c (watchpoint_check): Check for pc being in an
	epilogue if watchpoint frame couldn't be found.

2003-09-04  Andrew Cagney  <cagney@redhat.com>

	* Makefile.in: Re-generate all dependencies.

2003-09-03  Andrew Cagney  <cagney@redhat.com>

	* arch-utils.h (legacy_print_insn): Delete declaration.
	* arch-utils.c (legacy_print_insn): Delete function.
	* disasm.c (deprecated_tm_print_insn_info): Delete.
	(_initialize_disasm): Delete function, contained code initializing
	deprecated_tm_print_insn_info.
	* gdbarch.sh (deprecated_tm_print_insn): Delete.
	(deprecated_tm_print_insn_info): Delete.
	(TARGET_PRINT_INSN): Do not provide a default.
	* gdbarch.h, gdbarch.c: Re-generate.

2003-09-03  Andrew Cagney  <cagney@redhat.com>

	* disasm.c (fprintf_disasm): New function.
	(gdb_disassemble_info): Call "init_disassemble_info", instead of
	INIT_DISASSEMBLE_INFO_NO_ARCH.  Do not initialize "insn_sets",
	reverts 2003-08-14 change.
	(_initialize_disasm): Call "init_disassemble_info", instead of
	INIT_DISASSEMBLE_INFO_NO_ARCH.

2003-09-03  Michael Snyder  <msnyder@redhat.com>

	* config/djgpp/fnchange.lst: Fix up sim/frv/profile-fr*.[ch].

2003-09-03  Andrew Cagney  <cagney@redhat.com>

	* config/rs6000/tm-rs6000.h (IBM6000_TARGET): Delete definition.
	* config/rs6000/nm-rs6000.h (DEPRECATED_IBM6000_TARGET): Define.
	* symfile.c (syms_from_objfile): Update.
	(reread_symbols): `Update
	* exec.c (exec_file_attach): Update.
	(exec_file_attach): Update.
	* config/powerpc/tm-nbsd.h: Delete #undef IBM6000_TARGET, revert
	2003-08-29 change.
	* config/powerpc/tm-linux.h: Delete #undef IBM6000_TARGET.

2003-09-03  Daniel Jacobowitz  <drow@mvista.com>

	* arm-tdep.c: Include frame-unwind.h, frame-base.h, and
	trad-frame.h.
	(arm_get_cache): Delete macro.
	(struct arm_prologue_cache): Update comments.  Make saved_regs into
	a trad_frame_saved_reg pointer.  Remove unwound_pc; rename unwound_sp
	to prev_sp.
	(thumb_scan_prologue): Update for cache changes.  Don't call
	DEPRECATED_PC_IN_CALL_DUMMY.
	(arm_scan_prologue): Update for cache changes.  Take NEXT_FRAME
	argument and use it in desperation search for our prologue.  Do not
	search past the specified PC.
	(arm_make_prologue_cache): Simplify.

	(arm_prologue_this_id, arm_prologue_prev_register)
	(arm_prologue_unwind, arm_prologue_unwind_sniffer)
	(arm_normal_frame_base, arm_normal_base, arm_make_sigtramp_cache)
	(arm_sigtramp_this_id, arm_sigtramp_prev_register)
	(arm_sigtramp_unwind, arm_sigtramp_unwind_sniffer)
	(arm_unwind_dummy_id, arm_unwind_pc, arm_unwind_sp): New.

	(arm_frame_chain_valid, arm_find_callers_reg)
	(arm_frame_saved_pc, arm_read_fp, arm_frame_init_saved_regs)
	(arm_pop_frame): Delete obsolete methods.
	(arm_minimal_frame_chain, arm_minimal_frame_info): Delete.

	(arm_gdbarch_init): Update for new frame methods.  Register prologue
	and sigtramp unwinders.  Set the default frame base method.

	* Makefile.in (arm-tdep.o): Update dependencies.
	* varobj.c (find_frame_addr_in_frame_chain): Call
	get_frame_base_address.
	* std-regs.c (value_of_builtin_frame_fp_reg): Likewise.

2003-09-03  Daniel Jacobowitz  <drow@mvista.com>

	* arm-tdep.c (arm_minimal_frame_chain): Renamed from
	arm_frame_chain.  Take NEXT_FRAME and CACHE arguments.
	Use the cache instead of DEPRECATED_FRAME_SAVED_PC.
	(arm_minimal_frame_info): Renamed from arm_init_extra_frame_info.
	Take NEXT_FRAME and CACHE arguments.  Call
	FRAMELESS_FUNCTION_INVOCATION instead of checking FROMLEAF argument.
	Set unwound_pc in CACHE instead of modifying the frame argument.
	Don't bother checking the frame type when looking for sigtramp
	frames.
	(arm_make_prologue_cache, arm_frame_chain)
	(arm_init_extra_frame_info): New functions.

2003-09-03  Daniel Jacobowitz  <drow@mvista.com>

	* arm-tdep.c (arm_get_cache): Define.
	(struct arm_prologue_cache): Renamed from frame_extra_info.  Add
	unwound_sp, unwound_pc, and saved_regs.
	(thumb_scan_prologue): Take a cache instead of the frame.
	(arm_scan_prologue): Likewise.
	(arm_frame_chain): Create a temporary cache for arm_scan_prologue
	instead of a temporary frame.
	(arm_init_extra_frame_info): Allocate and use a cache.
	(arm_frame_saved_pc, arm_pop_frame): Use the cache.

2003-09-03  Andrew Cagney  <cagney@redhat.com>

	* config/arm/wince.mt (TM_CLIBS): Replace WIN32LIBS.
	* config/mips/wince.mt (TM_CLIBS): Ditto.
	* config/sh/wince.mt (TM_CLIBS): Ditto.
	* config/pa/hppa64.mt (TM_CLIBS): Delete.
	* config/sparc/sp64.mt (CC): Delete.

2003-09-03  Andrew Cagney  <cagney@redhat.com>

	* defs.h: Do not include "arch-utils.h".
	(GDB_MULTI_ARCH): If not defined, set to GDB_MULTI_ARCH_PARTIAL or
	GDB_MULTI_ARCH_PURE.
	* configure.in (GDB_MULTI_ARCH): Do not define.
	* configure, config.in: Regenerate.
	* configure.tgt: Do not set variable "gdb_multi_arch".
	* config/s390/s390x.mt (GDB_MULTI_ARCH): Delete.
	* config/s390/s390.mt (GDB_MULTI_ARCH): Delete.
	* config/i386/x86-64linux.mt (GDB_MULTI_ARCH): Delete.
	* config/v850/v850.mt (TM_FILE): Delete disabled definition.
	* config/m68hc11/m68hc11.mt (TM_FILE): Delete definition.
	* config/vax/tm-vax.h (GDB_MULTI_ARCH): Delete definition.
	* config/sparc/tm-sparc.h (GDB_MULTI_ARCH): Delete definition.
	* config/sparc/tm-sun4sol2.h (GDB_MULTI_ARCH): Delete definition.
	* config/sparc/tm-nbsd.h (GDB_MULTI_ARCH): Delete definition.
	* config/sparc/tm-linux.h (GDB_MULTI_ARCH): Delete definition.
	* config/sparc/tm-sp64.h (GDB_MULTI_ARCH): Delete definition.
	* config/pa/tm-hppa64.h (GDB_MULTI_ARCH): Delete definition.
	* config/ns32k/tm-ns32k.h (GDB_MULTI_ARCH): Delete definition.
	* config/m68k/tm-m68k.h (GDB_MULTI_ARCH): Delete definition.
	* config/i386/tm-i386.h (GDB_MULTI_ARCH): Delete definition.
	* config/h8300/tm-h8300.h (GDB_MULTI_ARCH): Delete definition.
	* config/frv/tm-frv.h (GDB_MULTI_ARCH): Delete definition.
	* config/alpha/tm-alpha.h (GDB_MULTI_ARCH): Delete definition.

2003-08-30  Michael Chastain  <mec@shout.net>

	* Makefile.in: Remove tm-hp300bsd.h, tm-hp300hpux.h.
	* config/m68k/nm-hp300hpux.h: Delete.
	* config/m68k/tm-hp300hpux.h: Delete.
	* config/m68k/xm-hp300hpux.h: Delete.
	* config/m68k/xm-hp300bsd.h: Delete.
	* config/djgpp/fnchange.lst: Remove nm-hp300hpux.h,
	tm-hp300hpux.h, xm-hp300hpux.h.
	* somsolib.c: Remove comment about hp300 shared libraries.

2003-08-31  Mark Kettenis  <kettenis@gnu.org>

	* i386-linux-nat.c (ps_get_thread_area): Don't define as extern.
	Only define PTRACE_GET_THREAD_AREA is not already defined.
	Various style fixes in code and comments and some additional
	spelling fixes in comments.  Move after functions dealing with
	debug registers.
	* x86-64-linux-nat.c (ps_get_thread_area): Don't define as extern.
	Fix coding-style.

	* alphafbsd-tdep.c (alphafbsd_sigcontext_addr): Use
	frame_unwind_register_unsigned instead of
	frame_unwind_unsigned_register.

2003-08-30  Mark Kettenis  <kettenis@gnu.org>

	* configure.in: Search for gethostbyname in libnsl.
	* configure: Regenerated.

2003-08-29  Mark Kettenis  <kettenis@gnu.org>

	* configure.in: Remove redundant AC_MSG_RESULT in check for
	uintptr_t in stdint.h.
	* configure: Regenerated.

	* amd64-nat.h (struct regcache): Add opaque declaration.

	* i386-linux-tdep.h (I386_LINUX_NUM_REGS): New define.
	* x86-64-linux-nat.c: Include "i386-linux-tdep.h" and "amd64.h".
	Change "register array" to "register cache" in comments.
	(x86_64_linux_gregset64_reg_offset): New variable.
	(GETREGS_SUPPLIES): Remove macro.
	(supply_gregset): Call amd64_supply_native_gregset instead of
	x86_64_linux_supply_gregset.
	(fill_gregset): Rename `regno' to `regnum'.  Call
	amd64_collect_native_gregset instead of x86_64_linux_fill_gregset.
	(store_regs): Rename `regno' to `regnum'.
	(store_fpregs): Rename `regno' to `regnum'.
	(fetch_inferior_registers): Rename `regno' to `regnum'.  Use
	amd64_native_gregset_supplies_p instead of GREGSET_SUPPLIES.
	Reorganize function a bit.
	(store_inferior_registers): Rename `regno' to `regnum'.  Use
	amd64_native_gregset_supplies_p instead of GREGSET_SUPPLIES.
	Reorganize function a bit.
	(_initialize_x86_64_linux_nat): New function.
	* config/i386/x86-64linux.mh.

2003-08-29  Andrew Cagney  <cagney@redhat.com>

	* config/mips/tm-embed.h (STOPPED_BY_WATCHPOINT): Delete macro.
	(TARGET_CAN_USE_HARDWARE_WATCHPOINT): Delete macro.
	(target_remove_watchpoint): Delete macro.
	(target_insert_watchpoint): Delete macro.
	(remote_mips_can_use_hardware_watchpoint): Delete declaration.
	(remote_mips_stopped_by_watchpoint): Delete declaration.
	(remote_mips_remove_watchpoint): Delete declaration.
	(remote_mips_set_watchpoint): Delete declaration.
	(TARGET_HAS_HARDWARE_WATCHPOINTS): Delete macro.
	* remote-mips.c (_initialize_remote_mips): Set
	"to_insert_watchpoint", "to_stopped_by_watchpoint",
	"to_can_use_hardware_watchpoint", and "to_remove_watchpoint".
	(mips_insert_watchpoint): Rename remote_mips_set_watchpoint.
	(mips_remove_watchpoint): Rename remote_mips_remove_watchpoint.
	(mips_stopped_by_watchpoint): Rename
	remote_mips_stopped_by_watchpoint.
	(mips_can_hardware_watchpoint): Rename
	remote_mips_can_use_hardware_watchpoint, update function
	signature.

2003-08-29  Mark Kettenis  <kettenis@gnu.org>

	* x86-64-linux-tdep.c (user_to_gdb_regmap): Remove USER_CS and
	USER_DS.  We haven't given them a register number yet.

	* amd64-nat.h: New file.
	* amd64-nat.c: New file.
	* amd64fbsd-nat.c: Include "amd64-nat.h".
	(REG_ADDR, GETREGS_SUPPLIES): Remove macros.
	(amd64fbsd32_r_reg_offset): New variable.
	(supply_gregset): Simply call amd64_supply_native_gregset.
	(fill_gregset): Rename `regno' to `regnum'.  Simply call
	amd64_collect_native_gregset.
	(fill_fpregset): Rename `regno' to `regnum'.
	(fetch_inferior_registers): Rename `regno' to `regnum'.  Replace
	usage of GETREGS_SUPPLIES with amd64_native_gregset_supplies_p.
	Use `struct reg' and `struct fpreg' instead of `gregset_t' and
	`fpregset_t'.  Call amd64_supply_native_gregset instead of
	supply_gregset.  Call x86_64_supply_fxsave instead of
	supply_fpregset.
	(store_inferior_registers): Rename `regno' to `regnum'.  Replace
	usage of GETREGS_SUPPLIES with amd64_native_gregset_supplies_p.
	Use `struct reg' and `struct fpreg' instead of `gregset_t' and
	`fpregset_t'.  Call amd64_collect_native_gregset instead of
	fill_gregset.  Call x86_64_collect_fxsave instead of
	fill_fpregset.
	(_initialize_am64fbsd_nat): Initialize
	amd64_native_gregset32_reg_offset and
	amd64_native_gregset64_reg_offset.
	* config/i386/fbsd64.mh (NATDEPFILES): Add amd64-nat.o.

	* regcache.c (regcache_raw_supply): Don't assert that BUF isn't a
	null pointer.  Fix typo in comment.

	* regcache.c (supply_register): Reimplement to call
	regcache_raw_supply.
	(regcache_collect): Reimplement by calling regcache_raw_collect.

2003-08-28  Mark Kettenis  <kettenis@gnu.org>

	* regcache.c (register_buffer): Consitify first argument.
	(regcache_raw_supply, regcache_raw_collect): New
	functions.

2003-08-28  Daniel Jacobowitz  <drow@mvista.com>

	* config/powerpc/tm-nbsd.h: Undefine IBM6000_TARGET.  Suggested
	by Nathan J. Williams.

2003-08-28  Daniel Jacobowitz  <drow@mvista.com>

	* lin-lwp.c (wait_lwp): New function, copied from
	stop_wait_callback.  Clean up.
	(stop_wait_callback): Use wait_lwp.

2003-08-28  Andrew Cagney  <cagney@redhat.com>

	* mips-tdep.c (gdb_print_insn_mips): Set the disassembler's
	flavour and disassembler options.
	(_initialize_mips_tdep): Do not set deprecated_tm_print_insn.
	(mips_gdbarch_init): Set "print_insn".  Delete initialization of
	deprecated_tm_print_insn_info.

2003-08-27  Andrew Cagney  <cagney@redhat.com>

	* s390-tdep.c (s390_readinstruction): Delete "info" parameter.
	Use target_read_memory.
	(s390_get_frame_info): Update.  Do not reference
	deprecated_tm_print_insn_info.
	(s390_check_function_end, s390_is_sigreturn): Ditto.

2003-08-27  Andrew Cagney  <cagney@redhat.com>

	* Makefile.in (cris-tdep.o): Update dependencies.
	* cris-tdep.c: Include "gdb_assert.h".
	(cris_gdbarch_init): Set print_insn.
	(_initialize_cris_tdep): Do not set deprecated_tm_print_insn.
	(cris_delayed_get_disassembler): Simplify, directly call the
	disassembler returned by cris_get_disassembler.
	* hppa-tdep.c (hppa_gdbarch_init): Set print_insn.
	(_initialize_hppa_tdep): Do not set deprecated_tm_print_insn.
	* ns32k-tdep.c (ns32k_gdbarch_init): Set print_insn.
	(_initialize_ns32k_tdep): Do not set deprecated_tm_print_insn.
	* mn10300-tdep.c (mn10300_gdbarch_init): Set print_insn.
	(_initialize_mn10300_tdep): Do not set deprecated_tm_print_insn.
	* mcore-tdep.c (mcore_gdbarch_init): Set print_insn.
	(_initialize_mcore_tdep): Do not set deprecated_tm_print_insn.
	* frv-tdep.c (frv_gdbarch_init): Set print_insn.
	(_initialize_frv_tdep): Do not set deprecated_tm_print_insn.
	* sparc-tdep.c (sparc_gdbarch_init): Set print_insn.
	(gdb_print_insn_sparc): Delete function.
	(_initialize_sparc_tdep): Do not set deprecated_tm_print_insn or
	deprecated_tm_print_insn_info.
	* v850-tdep.c (v850_gdbarch_init): Set print_insn.
	(_initialize_v850_tdep): Do not set deprecated_tm_print_insn.
	(v850_gdbarch_init): Do not set deprecated_tm_print_insn_info.
	* xstormy16-tdep.c (xstormy16_gdbarch_init): Set print_insn.
	(_initialize_xstormy16_tdep): Do not set deprecated_tm_print_insn.
	* s390-tdep.c (gdb_print_insn_s390): Delete function.
	(_initialize_s390_tdep): Do not set deprecated_tm_print_insn.
	(s390_gdbarch_init): Set print_insn.

2003-08-27  Andrew Cagney  <cagney@redhat.com>

	* ppc-linux-tdep.c (ppc64_call_dummy_address): Delete function.
	(ppc_linux_init_abi): For PPC64, do not set call_dummy_address.
	* infcall.c (call_function_by_hand): Convert the entry point
	address into a code address.

2003-08-27  Andrew Cagney  <cagney@redhat.com>

	* dsrec.c: Include "gdb_string.h".
	* Makefile.in (dsrec.o): Update dependencies.

2003-08-27  Michael Chastain  <mec@shout.net>

	* config/djgpp/fnchange.lst: Add gdb/testsuite/gdb.mi/mi2-var-*.

2003-08-27  Andrew Cagney  <cagney@redhat.com>

	* alpha-osf1-tdep.c (alpha_call_dummy_address): Delete function.
	(alpha_osf1_init_abi): Do not set call_dummy_address.

2003-08-27  David Carlton  <carlton@kealia.com>

	From Randolph Chung  <tausq@debian.org>:
	* linux-proc.c (linux_info_proc_cmd): rework the code so that it
	compiles with -Wformat-nonliteral -Werror.

2003-08-26  Jim Blandy  <jimb@redhat.com>

	* solib-svr4.c (bfd_lookup_symbol): New SECT_FLAGS argument.
	(enable_break): Pass SEC_CODE as the SECT_FLAGS argument to
	bfd_lookup_symbol, since we only want symbols in code sections.
	(look_for_base): Pass zero as the SECT_FLAGS argument to
	bfd_lookup_symbol, since we're not concerned about which section
	the symbol is in.

2003-08-26  Jeff Johnston  <jjohnstn@redhat.com>

	* ia64-tdep.c (examine_prologue): Only stop at predicated insns if
	we are frameless or the return address register is already known.

2003-08-26  Andrew Cagney  <cagney@redhat.com>

	* i386-linux-nat.c (ps_get_thread_area): Make "desc" four "int"s
	in size.  Add comments.

2003-08-26  Jeff Johnston  <jjohnstn@redhat.com>

	* ia64-tdep.c (ia64_convert_from_func_addr): New function.
	(ia64_gdbarch_init): Call set_gdbarch_convert_from_func_addr().

2003-08-26  Jason Merrill  <jason@redhat.com>

	* dwarf2read.c (dwarf_attr_name): Move DW_AT_MIPS_linkage_name
	case out of #ifdef MIPS block.

2003-08-25  Daniel Jacobowitz  <drow@mvista.com>

	PR java/1322
	* dwarf2-frame.c (dwarf2_frame_find_fde): Check whether any FDEs are
	available before calling SECT_OFF_TEXT.
	* PROBLEMS: Remove description of java/1322.

2003-08-25  Jeff Johnston  <jjohnstn@redhat.com>

	* ia64-tdep.c (pseudo_regs): New enum that lists gr32-gr127, p0-p63,
	bof, and nat0-nat127 as pseudo-registers.
	(ia64_frame_cache): New struct used to cache frame info.
	(ia64_register_reggroup_p): New routine used to override default
	register grouping so registers without names are still saved and
	restored.
	(ia64_dwarf_reg_to_regnum): New routine to map gr32-gr127 to their
	pseudo values.
	(ia64_pseudo_register_read): New routine to read pseudo-registers.
	(ia64_pseudo_register_write): New routine to write pseudo-registers.
	(ia64_alloc_frame_cache): New routine to create a new
	ia64_frame_cache.
	(examine_prologue): Change prototype to add next_frame pointer.
	Assume frameless until otherwise proven.  Verify that the cfm for
	current frame matches the cfm that should occur for the prologues
	alloc insn and if equal, mark as not frameless.  At end of routine,
	if not frameless, calculate registers for the previous frame and store
	in the cache, if a cache is provided.
	(ia64_skip_prologue):  Use new prototype when calling examine_prologue
	and pass 0 for next_frame.
	(ia64_store_return_value): Change to use convert_typed_floating()
	instead of calling ia64_convert_to_raw().
	(ia64_extract_return_value): Change to use convert_typed_floating()
	instead of calling ia64_convert_to_virtual().
	(ia64_frame_cache): New routine to support new frame model.
	(ia64_frame_this_id, ia64_frame_prev_register): Ditto.
	(ia64_frame_sniffer): Ditto.
	(ia64_sigtramp_frame_init_saved_regs): Ditto.
	(ia64_sigtramp_frame_cache, ia64_sigtramp_frame_this_id): Ditto.
	(ia64_sigtramp_frame_prev_register): Ditto.
	(ia64_sigtramp_frame_sniffer): Ditto.
	(ia64_frame_base_address): Ditto.
	(ia64_extract_struct_value_address): Change to issue error message.
	(ia64_frame_align): New routine to align sp.
	(ia64_push_dummy_call): New routine based on ia64_push_arguments().
	(ia64_push_arguments): Removed.  Logic moved to
	ia64_push_dummy_call().
	(ia64_push_return_address): Ditto.
	(ia64_unwind_dummy_id): New function.
	(ia64_unwind_pc): Ditto.
	(ia64_convert_register_p): Ditto.
	(ia64_register_to_value): Ditto.
	(ia64_value_to_register): Ditto.
	(ia64_pop_frame, ia64_pop_frame_regular): Removed.
	(ia64_register_byte, ia64_register_raw_size): Ditto.
	(ia64_register_virtual_size, ia64_register_virtual_byte): Ditto.
	(ia64_saved_pc_after_call): Ditto.
	(ia64_frame_chain, ia64_frame_saved_pc): Ditto.
	(ia64_frame_init_saved_regs, ia64_get_saved_register): Ditto.
	(ia64_register_convertible, ia64_register_convert_to_virtual): Ditto.
	(ia64_register_convert_to_raw): Ditto.
	(ia64_store_struct_return, ia64_call_dummy_words): Ditto.
	(ia64_init_extra_frame_info): Ditto.
	(ia64_frame_args_address, ia64_frame_locals_address): Ditto.
	(ia64_gdbarch_init): Remove registering of deprecated functions that
	are no longer used.  Add registration of new gdbarch functions.
	Remove registering deprecated_write_sp.  Replace
	set_gdbarch_register_virtual_type() with set_gdbarch_register_type().
	Delete set_gdbarch_deprecated_register_convertible(),
	set_gdbarch_deprecated_register_convert_to_virtual(), and
	set_gdbarch_deprecated_register_convert_to_raw() calls.  Remove
	set_gdbarch_deprecated_register_size(),
	set_gdbarch_deprecated_register_bytes(),
	set_gdbarch_pcregnum(),
	set_gdbarch_deprecated_register_byte(),
	set_gdbarch_deprecated_register_raw_size(),
	set_gdbarch_deprecated_max_register_raw_size(),
	set_gdbarch_deprecated_register_virtual_size(),
	and set_gdbarch_deprecated_max_register_virtual_size() calls.
	Replace set_gdbarch_deprecated_extract_return_value() with
	set_gdbarch_extract_return_value().  Remove calls to:
	set_gdbarch_deprecated_saved_pc_after_call();
	set_gdbarch_deprecated_frame_chain(),
	set_gdbarch_deprecated_frame_saved_pc(),
	set_gdbarch_deprecated_frame_init_saved_regs(),
	set_gdbarch_deprecated_get_saved_register(),
	set_gdbarch_deprecated_call_dummy_words(),
	set_gdbarch_deprecated_sizeof_call_dummy_words(),
	set_gdbarch_deprecated_init_extra_frame_info(),
	set_gdbarch_deprecated_frame_args_address(),
	set_gdbarch_deprecated_frame_locals_address(),
	and set_gdbarch_deprecated_dummy_write_sp().
	Add set_gdbarch_convert_register_p(),
	set_gdbarch_register_to_value(),
	set_gdbarch_value_to_register(),
	set_gdbarch_push_dummy_call(),
	set_gdbarch_frame_align(),
	set_gdbarch_unwind_dummy_id(),
	set_gdbarch_unwind_pc(),
	frame_unwind_append_sniffer(),
	frame_unwind_append_sniffer(),
	and frame_base_set_default().

2003-08-25  Chris Demetriou  <cgd@broadcom.com>

	* configure.tgt: Document need for special "mipsisa64" handling.
	(mipsisa64*-*-linux64): Handle as target linux64.
	(mipsisa64*-*-*): Handle as target embed64.

2003-08-18  Michael Chastain  <mec@shout.net>

	* PROBLEMS: Document pr gdb/1322, the Java anonymous
	objfile bug.

2003-08-24  Mark Kettenis  <kettenis@gnu.org>

	* i387-tdep.h: Update copyright date.
	(I387_SIZEOF_FSAVE, I387_SIZEOF_FXSAVE): New defines.

	* linux-proc.c (linux_proc_xfer_memory): Remove comment about
	CFLAGS games to reflect reality.

2003-08-24  Andrew Cagney  <cagney@redhat.com>

	* arm-tdep.c (_initialize_arm_tdep): Simplify by assuming
	GDB_MULTI_ARCH is always non-zero.
	* osabi.c (_initialize_gdb_osabi): Ditto.
	(gdbarch_init_osabi): Ditto.
	* sparc-tdep.c: Ditto for #if code.

2003-08-23  Mark Kettenis  <kettenis@gnu.org>

	* x86-64-tdep.c (x86_64_supply_fxsave): Add `regnum' argument.
	Update comments.
	* x86-64-tdep.h (x86_64_supply_fxsave): Adjust prototype.  Update
	comments.
	* x86-64-linux-tdep.c (fetch_core_registers): Adjust call to
	x86_64_supply_fxsave.
	* x86-64-linux-nat.c (supply_fpregset): Adjust call to
	x86_64_supply_fxsave.
	* amd64fbsd-nat.c (supply_fpregset): Adjust call to
	x86_64_supply_fxsave.

2003-08-23  Andreas Jaeger  <aj@suse.de>

        * x86-64-tdep.c (x86_64_supply_fxsave): Adjust call to
        i387_supply_fxsave.

2003-08-23  Mark Kettenis  <kettenis@gnu.org>

	* go32-nat.c (fetch_register): Call i387_supply_fsave instead of
	i387_supply_register.
	(go32_fetch_registers): Adjust call to i387_supply_fsave.
	* i386nbsd-tdep.c (fetch_core_registers): Adjust call to
	i387_supply_fsave.
	(fetch_elfcore_registers): Adjust call to i387_supply_fsave and
	i387_supply_fxsave.
	* i386obsd-tdep.c (fetch_core_registers): Adjust call to
	i387_supply_fsave.
	* i386bsd-nat.c (supply_fpregset): Adjust call to
	i387_supply_fsave.
	(fetch_inferior_registers): Remove extraneous whitespace.  Adjust
	call to i387_supply_fxsave.  Call i387_supply_fsave instead of
	supply_fpregset.
	(store_inferior_registers): Remove extraneous whitespace.  Call
	i387_fill_fsave instead of fill_fpregset.
	* i386gnu-nat.c (fetch_fpregs): Adjust call to i387_supply_fsave.
	(supply_fpregset): Likewise.
	* i386v4-nat.c (supply_fpregset): Adjust call to
	i387_supply_fsave.
	* i386-interix-nat.c (supply_fpregset): Adjust call to
	i387_supply_fsave.
	* i386-linux-nat.c (supply_fpregset): Adjust call to
	i387_supply_fsave.
	(supply_fpxregset): Adjust call to i387_adjust_fxsave.
	* i386-nto-tdep.c (i386nto_supply_fpregset): Adjust calls to
	i387supply_fsave and i387_supply_fxsave.
	* i387-tdep.c (i387_supply_fsave): Add `regnum' argument.
	Incorporate code from `i387_supply_register.
	(i387_supply_register): Remove.
	(i387_supply_fxsave): Add `regnum' argument.
	Update comments.
	* i387-tdep.h (i387_supply_fsave, i387_supply_fsxave): Adjust
	prototype.
	(i387_supply_register): remove prototype.
	Update comments.

2003-08-22  Michael Chastain  <mec@shout.net>

	* config/djgpp/fnchange.lst: Remove gdb/testsuite/gdb.c++/*.
	Add lines for files in gdb/testsuite/gdb.cp/* that are
	still not 8.3 unique.

2003-08-22  Daniel Jacobowitz  <drow@mvista.com>

	* gnu-v3-abi.c (gnuv3_baseclass_offset): Check whether
	TYPE_VPTR_FIELDNO is valid.

2003-08-19  Mark Kettenis  <kettenis@gnu.org>

	* utils.c (set_width_command): Remove prototypes.
	(set_screen_size): New prototype.
	(init_page_info): Simplify by fetching the screen size from
	Readline.  Call set_screen_size.
	(set_screen_size): New function.
	(set_width): Add missing whitespace in comment.
	(set_width_command): Call set_screen_size.
	(set_height_command): New function.
	(initialize_utils): Fix formatting.  Make "set height" command
	call set_height_command.  Remove redundant code that turns off
	pagination if output isn't a terminal.  Remove redundant call to
	set_width_command.

2003-08-22  Mark Kettenis  <kettenis@gnu.org>

	* sparc64-tdep.h (sparc64_regnum): Fix comment.
	(sparc64_supply_rwindow, sparc64_fill_rwindow): Remove prototypes.
	(sparc_supply_rwindow, sparc_fill_rwindow): New prototypes.
	* sparc64-tdep.c (sparc64_pseudo_register_read): Add missing
	`case' keyword.
	(sparc64_register_info): Give the reister with number
	SPARC64_STATE_REGNUM a name.
	(sparc64_pseudo_register_write): Add support for %cwp, %pstate,
	%asi and %ccr.
	(sparc64_push_dummy_call): Take BIAS into account when checking
	stcak alignment.
	(sparc_software_single_step): Remove assertions that check whether
	NPC and NNPC were zero.
	(sparc_supply_rwindow): Make public.  Merge functionality with
	sparc64_supply_rwindow.
	(sparc_fill_rwindow): Make public.  Merge functionality with
	sparc64_fill_rwindow.
	(sparc64_supply_rwindow, sparc64_fill_rwindow): Remove.
	* sparc64fbsd-nat.c (_initialize_sparc64fbsd_nat): Set
	SPARCBSD_FPREG_SUPPLIES_P to sparc64fbsd_fpreg_supplies_p.
	* sparc64fbsd-tdep.c (sparc64fbsd_supply_reg): Call
	sparc_supply_rwindow instead of sparc64_supply_rwindow.

	* reggroups.c: Add whitespace after declarations of local
	variables in functions.

2003-08-21  Michael Chastain  <mec@shout.net>

	* gdbtypes.h: Change array bound type from an int to enum.

2003-08-21  Andrew Cagney  <cagney@redhat.com>

	* config/sparc/tm-sp64.h: Delete #if !GDB_MULTI_ARCH and #if 0 code.
	* config/sparc/tm-sparc.h: Ditto.
	* config/arm/tm-arm.h (GDB_MULTI_ARCH): Define GDB_MULTI_ARCH
	unconditionally.
	* config/pa/tm-hppa.h (GDB_MULTI_ARCH): Ditto.

2003-07-13  Mark Kettenis  <kettenis@gnu.org>

	* objfiles.h (struct objfile): Add memebers `data' and `num_data'.
	(register_objfile_data, set_objfile_data, objfile_data): New
	prototypes.
	* objfiles.c (objfile_alloc_data, objfile_free_data): New
	prototypes.
	(allocate_objfile): Call objfile_alloc_data.
	(free_objfile): Call objfile_free_data.
	(struct objfile_data): New.
	(struct objfile_data_registration): New.
	(struct objfile_data_registry): New.
	(objfile_data_registry): New variable.
	(register_objfile_data): New function.
	(objfile_alloc_data, objfile_free_data): New functions.
	(set_objfile_data, objfile_data): New functions.
	* dwarf2-frame.c (dwarf2_frame_data): New variable.
	(dwarf2_frame_find_fde, add_fde): Use new per-objfile data mechanism.
	(_initialize_dwarf2_frame): New function and prototype.

2003-08-21  Andrew Cagney  <cagney@redhat.com>

	* sh3-rom.c (sh3_open, sh3e_open): Use gdbarch_update_p to select
	a specific architecture.
	* arch-utils.h (set_architecture_from_arch_mach): Delete
	declaration.
	(target_architecture_hook): Delete declaration.
	* arch-utils.c: Delete non GDB_MULTI_ARCH includes.
	(default_float_format): Assume GDB_MULTI_ARCH.
	(default_double_format): Assume GDB_MULTI_ARCH.
	(set_endian_from_file): Delete function.
	(arch_ok): Delete function.
	(set_arch): Delete function.
	(set_architecture_from_arch_mach): Delete function.
	(set_architecture_from_file): Delete function.
	(set_architecture): Assume GDB_MULTI_ARCH.
	(set_gdbarch_from_file): Assume GDB_MULTI_ARCH.

2003-08-21  Mark Kettenis  <kettenis@gnu.org>

	Rewrite FreeBSD/sparc64 native configuration.
	* sparcbsd-nat.c, sparcbsd-nat.h: New files.
	* sparc64fbsd-nat.c: New file.
	* sparc64fbsd-tdep.c: New file.
	* sparc64-tdep.c sparc64-tdep.h: New files.
	* Makefile.in (sparcbsd-nat.o, sparc64fbsd-nat.o, sparc64-tdep.o,
	sparc64fbsd-tdep.o): New dependencies.
	(SFILES): Add sparcbsd-nat.c, sparc64fbsd-nat.c, sparc64-tdep.c
	and sparc64fbsd-tdep.c.
	(sparc64_tdep_h, sparcbsd_nat_h): New variables.
	* config/sparc/fbsd.mh: Remove copyright notice.
	(NATDEPFILES): Remove sparc-nat.o, add sparc64fbsd-nat.o and
	sparcbsd-nat.o.
	* config/sparc/fbsd.mt: Remove copyright notice.
	(TDEPFILES): Remove sparc-tdep.o, solib.o solib-svr4.o,
	solib-legacy.o.  Add sparc64-tdep.o and sparc64fbsd-tdep.o.
	* config/sparc/nm-fbsd.h: Don't include "elf/common.h".
	(SVR4_SHARED_LIBS, PTRACE_GETREGS, PTRACE_SETREGS,
	PTRACE_GETFPREGS, PTRACE_SETFPREGS, GDB_GREGSET_T, GDB_FPREGSET_T,
	regs, r_g1, r_ps, r_pc, r_npc, r_y, FPU_FSR_TYPE, fp_status, fpu,
	fpu_regs, fp_fr, fpu_fsr, Fpu_fsr): Remove defines.
	* config/sparc/tm-fbsd.h: Don't include "solib.h" and
	"sparc/tm-sp64.h".
	(SVR4_SHARED_LIBS, START_INFERIOR_TRAPS_EXPECTED): Remove defines.
	(GDB_MULTI_ARCH): Define to GDB_MULTI_ARCH_TM.

2003-08-21  Michael Chastain  <mec@shout.net>

	* symtab.h: Add doco on the space critical structures and
	some measurements of space usage.

2003-08-21  Michael Snyder  <msnyder@redhat.com>

	* tracepoint.c (trace_dump_command): Trace break address
	is subject to DECR_PC_AFTER_BREAK.
	(set_traceframe_context): Make "trace_line" an int.
	Fixes suggested by Mark Newman  <mark.newman@lmco.com>

2003-08-20  Michael Snyder  <msnyder@redhat.com>

	* sh-tdep.h (struct gdbarch_tdep): New member FLOAT_ARGLAST_REG.
	* sh-tdep.c (sh_gdbarch_init): For sh2e, sh3e, and sh4, set
	FLOAT_ARG0_REGNUM and FLOAT_ARGLAST_REGNUM, to be used for
	argument passing.
	(sh_push_dummy_call_fpu, sh_push_dummy_call_nofpu): New
	functions, replace sh_push_dummy_call.
	(sh_gdbarch_init): Set push_dummy_call to one of new methods.

2003-08-20  Michael Chastain  <mec@shout.net>

	* gdbtypes.h (struct main_type): Rearrange to save space.

2003-08-20  Michael Snyder  <msnyder@redhat.com>

	* trad-frame.c: Comment typo fix.

2003-08-20  Michael Snyder  <msnyder@redhat.com>
            Kevin Buettner  <kevinb@redhat.com>

	* frv-tdep.c (gdb_string.h, frame.h, trad-frame.h): Include.
	(frv_frame_init_saved_regs): Add declaration.
	(frame_extra_info): Add new field ``saved_regs''.
	(frv_frame_chain, frv_frame_saved_pc, frv_analyze_prologue)
	(frv_skip_prologue, frv_init_extra_frame_info, frv_pop_frame_regular):
	Update frame related code.
	(frv_extract_struct_value_address): Adjust formatting.
	* Makefile.in (frv-tdep.o): Update dependencies.
	* config/frv/tm-frv.h (target_insert_watchpoint)
	(target_remove_watchpoint, target_insert_hw_breakpoint)
	(target_remove_hw_breakpoint): Delete these macros.
	(remote_insert_watchpoint, remote_remove_watchpoint)
	(remote_insert_hw_watchpoint, remote_remove_hw_watchpoint): Remove
	these declarations.

2003-08-20  Michael Chastain  <mec@shout.net>

	* defs.h (ENUM_BITFIELD): New macro.
	* symtab.h (ENUM_BITFIELD): Use it.
	(BYTE_BITFIELD): Remove old macro, which was already disabled.

2003-08-19  Shrinivas Atre <shrinivasa@kpitcummins.com>

	* MAINTAINERS (write after approval): Add myself.

2003-08-18  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh (FRAME_RED_ZONE_SIZE): New architecture method.
	* gdbarch.h, gdbarch.c: Re-generate.
	* infcall.c (call_function_by_hand): Adjust the SP by
	frame_red_zone_size before allocating any stack space.
	* rs6000-tdep.c (rs6000_gdbarch_init): Set "frame_red_zone_size".
	* x86-64-tdep.c (x86_64_frame_align): New function.
	(x86_64_init_abi): Set "frame_red_zone_size" and "frame_align".

	* x86-64-tdep.c (x86_64_push_arguments): Revert 2003-08-07 change.
	Remove code adjusting SP so that it skips over the Red Zone.

2003-08-18  Mark Kettenis  <kettenis@gnu.org>

	* NEWS (New native configurations): Mention FreeBSD/amd64.

2003-08-18  Andrew Cagney  <cagney@redhat.com>

	* m68hc11-tdep.c (m68hc11_gdbarch_init): Do not set
	"dwarf2_build_frame_info".  Append "m68k_frame_sniffer" instead of
	"m68k_frame_p".
	(m68hc11_frame_sniffer): Replace "m68hc11_frame_p".

2003-08-18  Mark Kettenis  <kettenis@gnu.org>

	* x86-64-tdep.c (x86_64_dwarf_regmap): Remove trailing whitespace.

2003-08-18  Michal Ludvig  <mludvig@suse.cz>

	* config/i386/nm-x86-64linux.h (LINUX_CHILD_POST_STARTUP_INFERIOR):
	Define.
	* i386-linux-nat.c: Include "linux-nat.h".
	(child_post_startup_inferior): New function.

2003-08-18  Mark Kettenis  <kettenis@gnu.org>

	* i386-tdep.c (i386_analyze_register_saves): Handle register saves
	at the start of a frameless function.  This probably fixes PR
	backtrace/1338.

2003-08-17  Michael Chastain  <mec@shout.net>

	* symfile.c (find_sym_fns): Remove special case for apollo target.

2003-08-17  Daniel Jacobowitz  <drow@mvista.com>

	* linux-nat.c (PTRACE_O_TRACEVFORKDONE, PTRACE_O_TRACEEXIT): Define.
	(PTRACE_EVENT_VFORKDONE, PTRACE_EVENT_EXIT): Define.
	(linux_parent_pid, linux_supports_tracevforkdone_flag): New variable.
	(linux_test_for_tracefork): Set linux_supports_tracevforkdone_flag.
	(linux_supports_tracevforkdone): New function.
	(linux_enable_event_reporting): Enable TRACEVFORK, TRACEEXEC, and
	TRACEVFORKDONE.
	(child_follow_fork): Handle vfork.
	(linux_handle_extended_wait): Likewise.  Also handle exec.
	(child_insert_vfork_catchpoint, child_insert_exec_catchpoint): Enable.
	* NEWS: Mention fork tracing.

2003-08-17  Daniel Jacobowitz  <drow@mvista.com>

	* lin-lwp.c (child_wait): Call linux_record_stopped_pid.

2003-08-17  Daniel Jacobowitz  <drow@mvista.com>

	* Makefile.in (i386-linux-nat.o): Update dependencies.
	* config/i386/nm-linux.h (LINUX_CHILD_POST_STARTUP_INFERIOR): Define.
	* config/nm-linux.h (CHILD_POST_STARTUP_INFERIOR, CHILD_POST_ATTACH)
	(CHILD_FOLLOW_FORK, KILL_INFERIOR): Define.
	* i386-linux-nat.c: Include "linux-nat.h".
	(child_post_startup_inferior): New function.
	* i386-nat.c (child_post_startup_inferior): Wrap in #ifdef.
	* infptrace.c (kill_inferior): Wrap in #ifdef.
	* lin-lwp.c (lin_lwp_attach_lwp): Call child_post_attach after
	attaching to each LWP.
	(child_wait, lin_lwp_wait): Call linux_handle_extended_wait.
	(init_lin_lwp_ops): Fill in some more operations.
	* linux-nat.h (linux_enable_event_reporting)
	(linux_handle_extended_wait, linux_child_post_startup_inferior): New
	prototypes.
	* linux-nat.c (linux_enable_event_reporting): New function.
	(child_post_attach, linux_child_post_startup_inferior)
	(child_post_startup_inferior, child_follow_fork)
	(linux_handle_extended_wait, kill_inferior): New functions.

2003-08-16  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh: Delete all #if not GDB_MULTI_ARCH code.
	* gdbarch.h, gdbarch.c: Re-generate.

2003-08-16  Mark Kettenis  <kettenis@gnu.org>

	* config/alpha/nm-fbsd.h (SVR4_SHARED_LIBS): Remove define.

2003-08-16  Andrew Cagney  <cagney@redhat.com>

	* NEWS: Mention that "set prompt-escape-char" was deleted.
	* top.c (get_prompt_1): Delete function.
	(gdb_prompt_escape):
	(init_main): Do not clear "gdb_prompt_escape".  Delete "set
	prompt-escape-char" command.
	(MAX_PROMPT_SIZE): Delete macro.
	(get_prompt): Simplify, do not call get_prompt_1.

2003-08-16  Andrew Cagney  <cagney@redhat.com>

	* Makefile.in (printcmd.o, valprint.o): Do not try to build with
	-Werror.  -Wformat-nonliteral problems.

2003-08-15  J. Brobecker  <brobecker@gnat.com>

	Further multiarching work mostly for hppa64-*-hpux11:
	* hppa-tdep.h: New file.
	* hppa-tdep.c: #include hppa-tdep.c.
	(hppa32_num_regs): Renamed from hppa_num_regs.
	(hppa64_num_regs): New constant.
	(hppa64_call_dummy_breakpoint_offset): New constant.
	(hppa32_call_dummy_length): New constant.
	(hppa64_call_dummy_length): New constant.
	(hppa32_stack_align): Make name 32bit explicit.
	(hppa32_register_virtual_type): Likewise.
	(hppa32_extract_return_value): Likewise.
	(hppa32_use_struct_convention): Likewise.
	(hppa32_store_return_value): Likewise.
	(hppa64_register_virtual_type): New function.
	(hppa64_extract_return_value): New function.
	(hppa64_use_struct_convention): New function.
	(hppa64_store_return_value): New function.
	(hppa_frame_locals_address): Remove declaration, function does
	not exist anymore.
	(hppa_register_byte): Add support for PA64 ABI.
	(hppa_gdbarch_init): Add support for PA64 ABI.
	* hppa-hpux-tdep.c (hppa32_hpux_frame_saved_pc_in_sigtramp):
	Make name 32bit explicit.
	(hppa32_hpux_frame_base_before_sigtramp): Likewise.
	(hppa32_hpux_frame_find_saved_regs_in_sigtramp): Likewise.
	(hppa64_hpux_frame_saved_pc_in_sigtramp): New function.
	(hppa64_hpux_frame_base_before_sigtramp): New function.
	(hppa64_hpux_frame_find_saved_regs_in_sigtramp): New function.
	* config/pa/tm-hppa64.h: Remove macros that are no longer
	necessary now that the gdbarch vector is properly setup.
	Transform some macros into function calls. Some minor cleanup.
	* config/pa/tm-hppah.h: Update function calls in macros
	following the function renaming in hppa-hpux-tdep.c.
	* Makefile.in (hppa_tdep_h): New variable.
	(hppa-tdep.o): Add dependency over hppa_tdep_h.

2003-08-14  Michael Snyder  <msnyder@redhat.com>

	* disasm.c (gdb_disassemble_info): Set info->insn_sets to zero.

2003-08-13  J. Brobecker  <brobecker@gnat.com>

	* hppa-hpux-tdep.c (_initialize_hppa_hpux_tdep): Use the correct
	bfd arch_info when registering the GDB_OSABI_HPUX_ELF initialization
	routine.

2003-08-13  Michael Snyder  <msnyder@redhat.com>

	* frv-tdep.c (frv_push_arguments): Use deprecated ftype.
	(frv_saved_pc_after_call): Use deprecated ftype.
	(stupid_useless_init_extra_frame_info): Remove orphan prototype.
	(frv_remote_translate_xfer_address): Remove.
	(frv_gdbarch_init): Use generic_remote_translate_xfer_address.

2003-08-13  J. Brobecker  <brobecker@gnat.com>

	* hppa-tdep.c (hppa_gdbarch_init): Perform the ABI-specific gdbarch
	initialization after the common gdbarch initialization, not before.

2003-08-13  J. Brobecker  <brobecker@gnat.com>

	* config/pa/tm-hppa64.h (HPUX_1100): Remove, not used.
	(ADDR_BITS_REMOVE): Remove, redundant.

2003-08-13  J. Brobecker  <brobecker@gnat.com>

	* hppa-tdep.c (hppa_gdbarch_init): Set the addr_bits_remove
	gdbarch method to clear the 2 low bits of text addresses.

2003-08-12  Andrew Cagney  <cagney@redhat.com>

	* Makefile.in (dsrec.o): Update dependencies.
	* dsrec.c: Include "gdb_assert.h".
	(make_srec): Use snprintf instead of sprintf, use a literal format
	string.

2003-08-12  Andrew Cagney  <cagney@redhat.com>

	* frame.c (deprecated_frame_xmalloc): Use XMALLOC, instead of
	FRAME_OBSTACK_ZALLOC.

2003-08-12  Kevin Buettner  <kevinb@redhat.com>

	* i386-tdep.c (i386_gdbarch_init): Enable default support for
	SSE registers.

2003-08-10  Mark Kettenis  <kettenis@gnu.org>

	* x86-64-tdep.h (amd64fbsd_sigtramp_start, amd64fbsd_sigtramp_end,
	amd64fbsd_sc_reg_offset): Add extern declarations.
	* amd64fbsd-nat.c (_initialize_am64fbsd_nat): Remove extern
	declarations.

2003-08-11  Ben Elliston  <bje@wasabisystems.com>

	* MAINTAINERS (write after approval): Update my mail address.

2003-08-10  Andrew Cagney  <cagney@redhat.com>

	* Makefile.in (monitor.o): Do not build monitor.c with -Werror.

2003-08-10  Mark Kettenis  <kettenis@gnu.org>

	* i386-tdep.h (i386fbsd_sigtramp_start, i386fbsd_sigtramp_end,
	i386obsd_sigtramp_start, i386obsd_sigtramp_end,
	i386fbsd4_sc_reg_offset, i386fbsd_sc_reg_offset,
	i386nbsd_sc_reg_offset, i386obsd_sc_reg_offset,
	i386bsd_sc_reg_offset): Add extern declarations.
	* i386obsd-nat.c: Include "i386-tdep.h"
	(_initialize_i386obsd_nat): Remove extern declarations.
	* i386fbsd-nat.c (_initialize_i386fbsd_nat): Remove extern
	declarations.
	* i386bsd-nat.c (_initialize_i386bsd_nat): Remove extern
	declarations.

	* i386-tdep.c (i386_register_to_value): Use get_frame_register
	instead of frame_read_register.
	(i386_fetch_pointer_argument): Use get_frame_register_unsigned
	instead of frame_read_register.  Use I386_ESP_REGNUM instead of
	SP_REGNUM.
	(i386_frame_prev_register): Use frame_unwind_register_unsigned
	instead of frame_unwind_unsigned_register.  Use
	I386_EFLAGS_REGISTER instead of PS_REGNUM.
	(i386_get_longjmp_target): Use regcache_read_unsigned_register
	instead of read_register.  Use builtin_type_void_data_ptr instead
	of builtin_type_void_func_ptr when extracting the address of the
	jmp_buf.
	(i386_extract_return_value, i386_store_return_value,
	i386_pseudo_register_read, i386_pseudo_register_write): Use
	register_size instead REGISTER_RAW_SIZE.

2003-08-10  Andrew Cagney  <cagney@redhat.com>

	* infcall.c (call_function_by_hand): Use xstrprintf instead of
	sprintf.  Make "name" constant.

2003-08-10  Mark Kettenis  <kettenis@gnu.org>

	* i387-tdep.c (i387_register_to_value): Use get_frame_register
	instead of frame_read_register.
	(i387_print_float_info): Use get_frame_register and
	get_frame_register_unsigned instead of frame_register_read.

	* i386fbsd-nat.c: Include "i386-tdep.h".
	(child_resume): Make `eflags' an ULONGEST.  Use
	regcache_cooked_read_unsigned and regcache_cooked_write_unsigned
	instead of register_read and register_write.

	* i386bsd-nat.c (fetch_inferior_registers,
	store_inferior_registers): Don't use && at the end of a line.
	(_initialize_i386bsd_nat): Fix typo.

	* frame.c (_initialize_frame): Add missing backslash.

	From Peter Schauer (Peter.Schauer@regent.e-technik.tu-muenchen.de):
	* sol-thread.c (sol_thread_store_registers): Use regcache_collect
	and supply_register instead of manipulating the register buffer
	directly.

	From Peter Schauer (Peter.Schauer@regent.e-technik.tu-muenchen.de):
	* config/i386/nm-i386sol2.h
	(TARGET_REGION_SIZE_OK_FOR_HW_WATCHPOINT): Define to one.

	Based on a patch from Michael Elizabeth Chastain (mec@shout.net):
	* i386-tdep.c (i386_analyze_frame_setup): Recognize more
	instructions that GCC likes to mingle into the prologue.  Fixes
	gdb/1253 and gdb/1255.

2003-08-09  Andrew Cagney  <cagney@redhat.com>

	Fix GDB PR cli/926.
	* cli/cli-decode.c (add_setshow_uinteger_cmd): New function.
	* command.h (add_setshow_uinteger_cmd): Declare.
	* frame.c (set_backtrace_cmd): New function.
	(show_backtrace_cmd): New function.
	* frame.c (_initialize_frame): Replace "set/show
	backtrace-below-main" with "set/show backtrace past-main".  Add
	command "set/show backtrace limit".
	(backtrace_past_main): Rename "backtrace_below_main".
	(backtrace_limit): New variable.
	(get_prev_frame): Update.  Check the backtrace_limit.

2003-08-09  Andrew Cagney  <cagney@redhat.com>

	* defs.h (xstrprintf): Declare.
	* utils.c (xstrprintf): New function.
	* breakpoint.c (insert_breakpoints): Replace sprintf and
	non-literal format strings, with xstrprintf and cleanups.
	(delete_breakpoint,breakpoint_re_set): Ditto.
	(commands_command, insert_breakpoints): Ditto.
	(bpstat_stop_status, break_at_finish_at_depth_command_1): Ditto.
	(break_at_finish_command_1): Ditto.

2003-08-09  Andrew Cagney  <cagney@redhat.com>

	* MAINTAINERS (language support): List Adam Fedor as Objective C
	maintainer.

2003-08-08  J. Brobecker  <brobecker@gnat.com>

	* NEWS (Multi-arched targets): Document that all hppa-hpux targets
	are now multiarched.

2003-08-08  J. Brobecker  <brobecker@gnat.com>

	* config/pa/tm-hppa64.h: Remove lots of macros that are no
	longer necessary now that hppa64 is partially multiarch'ed.

2003-08-08  Andrew Cagney  <cagney@redhat.com>

	* interps.c (interp_set): Check for a NULL "old_interp".

2003-08-08  H.J. Lu  <hongjiu.lu@intel.com>

	* Makefile.in (FLAGS_TO_PASS): Add DESTDIR.
	(install-only): Support DESTDIR.
	(uninstall): Likewise.
	(install-gdbtk): Likewise.

2003-08-08  Elena Zannoni  <ezannoni@redhat.com>

	* symtab.c (lookup_symbol_aux): Make sure that is_a_field_of_this
	contains something meaningful at all times.

Fri Aug  8 00:28:46 UTC 2003  Brendan Conoboy  <blc@redhat.com>

	* configure.host: Set gdb_host_cpu=arm when host_cpu=xscale.

Fri Aug  8 00:28:38 UTC 2003  Brendan Conoboy  <blc@redhat.com>

	* MAINTAINERS (write after approval): Added self.

2003-08-07  Andrew Cagney  <cagney@redhat.com>

	* inferior.h (AT_SYMBOL): Define.
	* blockframe.c (inside_entry_file): Check for AT_SYMBOL.
	* infcall.c (call_function_by_hand): Add code to handle AT_SYMBOL.
	* mips-tdep.c (mips_call_dummy_address): Delete function.
	(mips_gdbarch_init): Set call_dummy_location to AT_SYMBOL, do not
	set call_dummy_address.

2003-08-07  Andrew Cagney  <cagney@redhat.com>

	* language.c (op_error): Delete function.
	(binop_type_check): Delete function.
	* language.h (type_op_error, range_op_error): Delete macros.
	(op_error): Delete declaration.

2003-08-07  Andrew Cagney  <cagney@redhat.com>

	* interps.h (INTERP_MI2, INTERP_MI3): Define.

2003-08-07  Michal Ludvig  <mludvig@suse.cz>

	* x86-64-tdep.c (x86_64_dwarf_regmap): Correct register numbers.
	(x86_64_push_arguments): Skip the red zone.

2003-08-05  Andrew Cagney  <cagney@redhat.com>

	* reggroups.c (reggroup_next): Check for the final entry.

2003-08-04  Andrew Cagney  <cagney@redhat.com>

	* monitor.h (monitor_dump_reg_block): Remove ATTR_FORMAT.
	* cli/cli-script.c (define_command): Call query directly, instead
	of passing it a buffer.
	* ocd.c (ocd_error): Pass error a constant format string.
	* remote-mips.c (mips_error): Use fputs_filtered.

	* solib-svr4.c (_initialize_svr4_solib): Update
	register_gdbarch_data call.
	* mips-linux-tdep.c (_initialize_mips_linux_tdep): Ditto.

	* gdbarch.sh (gdbarch_data_free_ftype): Delete declaration.
	(register_gdbarch_data): Delete "free" parameter.  Update
	comments.
	* gdbarch.h, gdbarch.c: Re-generate.
	* reggroups.c (_initialize_reggroup): Update.
	* gnu-v3-abi.c (init_gnuv3_ops): Update.
	* frame-base.c (_initialize_frame_base): Update.
	* frame-unwind.c (_initialize_frame_unwind): Update.
	* user-regs.c (_initialize_user_regs): Update.
	* remote.c (_initialize_remote): Update.
	* regcache.c (_initialize_regcache): Update.

	* regcache.c (xfree_regcache_descr): Delete function.
	(_initialize_regcache): Update call to register_gdbarch_data.
	(init_regcache_descr, init_legacy_regcache_descr): Use
	GDBARCH_OBSTACK_XALLOC and GDBARCH_OBSTACK_CALLOC.

	* remote.c (free_remote_state): Delete function.
	(_initialize_remote): Update register_gdbarch_data.
	(init_remote_state): Use GDBARCH_OBSTACK_XALLOC and
	GDBARCH_OBSTACK_CALLOC instead of xmalloc / xcalloc.

2003-08-04  Andrew Cagney  <cagney@redhat.com>

	* reggroups.c (struct reggroup_el): Define.
	(struct reggroups): Delete field "nr_group".  Replace array
	"group" with a "first" to "last" linked list.
	(reggroups_init): Update.  Allocate using gdbarch's obstack.
	(reggroups_free): Delete function.
	(add_group): Update.  Add "el" parameter.
	(reggroup_add): Pass gdbarch obstack allocated space to add_group.
	(default_groups): Update.
	(reggroup_next): Replace reggroups.
	(reggroups_dump): Update.
	(_initialize_reggroup): Pass XMALLOC allocated space to add_group.
	* regcache.c (regcache_dump): Use reggroup_next instead of reggroups.
	* infcmd.c (registers_info): Use reggroup_next instead of reggroups.

2003-08-04  Daniel Jacobowitz  <drow@mvista.com>

	* Makefile.in (tui-interp.o): Update dependencies.

2003-08-04  David Carlton  <carlton@kealia.com>

	* charset.c (cached_iconv_convert): Add __FILE__ and __LINE__ args
	to internal_error call.
	* source.c (forward_search_command): Add "%s" format argument.
	(reverse_search_command): Ditto.
	* top.c (quit_confirm): Ditto.
	* cli/cli-setshow.c (do_setshow_command): Ditto.
	* cp-valprint.c (cp_print_class_method): Replace
	{f,}printf_{un,}filtered by {f,}puts_{un,}filtered.
	(cp_print_class_member): Ditto.
	* event-top.c (command_line_handler): Ditto.
	* linux-proc.c (linux_info_proc_cmd): Ditto.
	* p-typeprint.c (pascal_type_print_base): Ditto.
	* p-valprint.c (pascal_object_print_class_method): Ditto.
	(pascal_object_print_class_member): Ditto.
	* printcmd.c (print_scalar_formatted,printf_command): Ditto.
	* remote.c (remote_cisco_section_offsets): Ditto.
	* top.c (command_line_input): Ditto.
	* utils.c (vwarning,error_stream,quit): Ditto.
	* valprint.c (print_floating,print_binary_chars)
	(print_octal_chars,print_decimal_chars,print_hex_chars): Ditto.

2003-08-04  Andrew Cagney  <cagney@redhat.com>

	* frame.c (frame_func_unwind): Use frame_unwind_address_in_block.

2003-08-02  Andrew Cagney  <cagney@redhat.com>

	* config/djgpp/fnchange.lst: Fix up testsuite/gdb.c++/annota3.cc,
	gdb/testsuite/gdb.c++/annota3.exp, amd64fbsd-tdep.c and
	amd64fbsd-nat.c.

2003-08-02  Andrew Cagney  <cagney@redhat.com>

	* Makefile.in: Update all dependencies and definitions.

2003-08-02  Adam Fedor  <fedor@gnu.org>

	* linespec.c (is_objc_method_format): New function
	(decode_line_1, locate_first_half): Use it.
	Fixes PR objc/1298

2003-08-01  Andrew Cagney  <cagney@redhat.com>

	* NEWS: Mention that m32r is multi-arch.
	From 2003-07-28 Kei Sakamoto <sakamoto.kei@renesas.com>:
	* configure.tgt: Recognize m32r-*-*.
	* config/m32r/tm-m32r.h: Delete file.
	* config/m32r/m32r.mt: New file.
	* m32r-rom.c (m32r_upload_command): Use hostent only when
        gethostname succeeds, in order to avoid a compilation
        warning.
	* m32r-tdep.c (m32r_store_return_value): Add a cast to remove a
	compiler warning.

2003-08-01  Michael Snyder  <msnyder@redhat.com>

	* sh-tdep.c (sh_frame_align): New gdbarch method.
	(sh_gdbarch_init): Set up frame_align method.

2003-07-31  Michael Snyder  <msnyder@redhat.com>

	* value.h, values.c, infcall.c, infcmd.c: Revert 07-30 change,
	which is already covered by the new frames infrastructure.

2003-07-31  Andrew Cagney  <cagney@redhat.com>

	* user-regs.c (struct user_reg): Add "next" link.
	(struct user_regs): Replace "user" with "first" and "last" links.
	(append_user_reg): Add pre-allocated "reg" parameter.
	(builtin_user_regs): Provide initial value for "last".
	(user_reg_add_builtin): XMALLOC memory for append_user_reg.
	(user_regs_init): Allocate memory from the gdbarch obstack.
	(user_reg_add): GDBARCH_OBSTACK_ZALLOC memory for append_user_reg.
	(user_reg_map_name_to_regnum): Rewrite to search the user_reg
	linked list.
	(usernum_to_user_reg): New function.
	(user_reg_map_regnum_to_name): Use usernum_to_user_reg.
	(value_of_user_reg): Use usernum_to_user_reg.
	(user_regs_free): Delete function.
	(_initialize_user_regs): Update register_gdbarch_data call.

2003-07-31  Daniel Jacobowitz  <drow@mvista.com>

	* dwarf2read.c (new_symbol): Use var_decode_location for parameters.

2003-07-30  Michael Snyder  <msnyder@redhat.com>

	* value.h (value_being_returned): Add a struct_addr argument.
	* infcall.c (call_function_by_hand): Pass struct_addr to
	value_being_returned.
	* infcmd.c (print_return_value): Pass zero as struct_addr.
	* values.c (value_being_returned): If struct_addr is passed,
	use it instead of trying to recover it from the inferior.

2003-07-30  Kevin Buettner  <kevinb@redhat.com>

	* mn10300-tdep.c (analyze_dummy_frame): Pass ``pc'' so that
	the prologue analyzer won't need to attempt to extract the pc
	value from the woefully incomplete dummy frame.
	(mn10300_analyze_prologue): Avoid calls to get_frame_pc() when
	possible.  Disable code which modifies the frame.

2003-07-28  Andrew Cagney  <cagney@redhat.com>

	* annotate.c (annotate_breakpoints_headers): Restrict annotation
	to level 2.
	(annotate_breakpoints_table, annotate_record): Ditto.
	(annotate_breakpoints_table_end, annotate_field_begin): Ditto.
	(annotate_field_name_end, annotate_field_value): Ditto.
	(annotate_field_end, annotate_frame_source_begin): Ditto.
	(annotate_frame_source_file, annotate_frame_source_file_end): Ditto.
	(annotate_frame_source_line, annotate_frame_source_end): Ditto.
	(annotate_frame_begin, annotate_frame_function_name): Ditto.
	(annotate_frame_address_end, annotate_frame_address): Ditto.
	(annotate_frame_args, annotate_frame_end): Ditto.
	(annotate_frame_where, annotate_arg_begin): Ditto.
	(annotate_arg_name_end, annotate_arg_value): Ditto.
	(annotate_arg_end, annotate_signal_handler_caller): Ditto.
	(annotate_function_call, annotate_signal_name): Ditto.
	(annotate_signal_string, annotate_signal_name_end): Ditto.
	(annotate_signal_string_end, annotate_value_history_begin): Ditto.
	(annotate_value_begin, annotate_value_history_value): Ditto.
	(annotate_value_history_end, annotate_value_end): Ditto.
	(annotate_display_begin, annotate_display_number_end): Ditto.
	(annotate_display_format, annotate_display_expression): Ditto.
	(annotate_display_expression_end, annotate_display_value): Ditto.
	(annotate_display_end, annotate_array_section_begin): Ditto.
	(annotate_elt_rep, annotate_elt_rep_end): Ditto.
	(annotate_elt, annotate_array_section_end): Ditto.

2003-07-28  Andrew Cagney  <cagney@redhat.com>

	* regcache.c (struct regcache_descr): Update comments on
	nr_raw_registers.
	(init_legacy_regcache_descr): Don't set nr_raw_registers or
	sizeof_raw_register_valid_p.
	(init_regcache_descr): Set nr_raw_registers and
	sizeof_raw_register_valid_p before calling
	init_legacy_regcache_descr.

2003-07-28  Andrew Cagney  <cagney@redhat.com>

	* mips-tdep.c (print_gp_register_row): Print the GPR's register
	MOD NUM_REGS.

2003-07-28  Daniel Jacobowitz  <drow@mvista.com>

	* thread.c (info_threads_command): Use get_selected_frame ().
	Check that there is at least one non-sentinel frame.

2003-07-27  Stephane Carrez  <stcarrez@nerim.fr>

	* m68hc11-tdep.c (struct frame_extra_info): Remove.
	(m68hc11_pop_frame): Remove.
	(m68hc11_frame_saved_pc): Remove.
	(m68hc11_frame_chain): Remove.
	(m68hc11_frame_init_saved_regs): Remove.
	(m68hc11_init_extra_frame_info): Remove.
	(m68hc11_store_struct_return): Remove.
	(m68hc11_saved_pc_after_call): Remove.

2003-07-27  Stephane Carrez  <stcarrez@nerim.fr>

	* m68hc11-tdep.c (struct m68hc11_unwind_cache): New struct to hold
	frame unwind information.
	(m68hc11_scan_prologue): New function from m68hc11_guess_from_prologue
	and adapted for frame unwinding.
	(m68hc11_skip_prologue): Update to scan prologue in temporary object.
	(m68hc11_unwind_pc): New function.
	(m68hc11_frame_unwind_cache): New function to analyze frames.
	(m68hc11_frame_this_id): New function to create new frame struct.
	(m68hc11_frame_prev_register): New function to unwind a register from
	the frame.
	(m68hc11_frame_unwind): Default 68hc11/68hc12 unwinder.
	(m68hc11_frame_p): New function for the above.
	(m68hc11_frame_base_address): New function to return fp of frame.
	(m68hc11_frame_args_address): Update for frame.
	(m68hc11_frame_base): Default 68hc11/68hc12 frame.
	(m68hc11_unwind_sp): New function.
	(m68hc11_unwind_dummy_id): New function.
	(m68hc11_gdbarch_init): Install the above frames; remove deprecated
	calls.

2003-07-27  Stephane Carrez  <stcarrez@nerim.fr>

	* m68hc11-tdep.c (m68hc11_analyze_instruction): Don't advance the pc.
	(m68hc11_guess_from_prologue): Advance the pc and frame size only
	when we are beyond the current pc.

2003-07-27  Stephane Carrez  <stcarrez@nerim.fr>

	* m68hc11-tdep.c (m68hc11_push_dummy_call): New function adapted
	from m68hc11_push_arguments.
	(m68hc11_push_arguments): Remove.
	(m68hc11_push_return_address): Remove.
	(m68hc11_gdbarch_init): Install the above; remove above deprecated
	handlers; remove deprecated_extra_stack_alignment_needed.

2003-07-27  Andrew Cagney  <cagney@redhat.com>

	* config/pa/tm-hppa.h (init_frame_pc_default): Declare.
	* infcall.c (legacy_push_dummy_code) [GDB_TARGET_IS_HPPA]: Update
	REAL_PC and not the pointer.
	* hppa-hpux-tdep.c: Include frame.h

2003-07-27  Andrew Cagney  <cagney@redhat.com>

	* config/pa/tm-hppa64.h (GDB_MULTI_ARCH): Set to
	GDB_MULTI_ACH_PARTIAL.

2003-07-27  Andrew Cagney  <cagney@redhat.com>

	Patch from 2003-07-22 Kei Sakamoto <sakamoto.kei@renesas.com>:
	* m32r-tdep.c (m32r_memory_insert_breakpoint): Fix code style -
	operator at start and not end of line.
	(decode_prologue): Ditto.
	(m32r_frame_unwind_cache, m32r_unwind_sp, m32r_unwind_pc): Use
	frame_unwind_register_unsigned instead of
	frame_unwind_unsigned_register.
	(m32r_read_pc): Use regcache_cooked_read_unsigned instead of
	read_register.
	(m32r_push_dummy_call): Use register_size instead of
	REGISTER_RAW_SIZE.
	(m32r_frame_sniffer): Replace m32r_frame_p.
	(m32r_gdbarch_init): Call frame_unwind_append_sniffer.
	* m32r-rom.c (report_transfer_performance): Delete extern
	declaration.
	(m32r_load, m32r_upload_command): Use print_transfer_performance
	instead of report_transfer_performance.
	(_initialize_m32r_rom): Use add_setshow_cmd instead of add_set_cmd
	/ add_show_from_set.

2003-07-26  Andrew Cagney  <cagney@redhat.com>

	* m68hc11-tdep.c (m68hc11_gdbarch_init): Set non-deprecated
	store_return_value and extract_struct_value_address.

2003-07-26  Daniel Jacobowitz  <drow@mvista.com>

	PR c++/1267
	* minsyms.c (lookup_minimal_symbol_by_pc_section): If SECTION is
	NULL, default to the section containing PC.

2003-07-24  Stephane Carrez  <stcarrez@nerim.fr>

	* NEWS: Mention "regs" deprecated for m68hc11 too.

	* m68hc11-tdep.c (_initialize_m68hc11_tdep): Deprecate "regs" command.
	(m68hc11_print_register): New function to print out one register.
	(m68hc11_print_registers_info): New function to print registers.
	(show_regs): Deprecate and use the above.
	(m68hc11_gdbarch_init): Install the print_registers_info.

2003-07-24  Jeff Johnston  <jjohnstn@redhat.com>

	* ia64-linux-nat.c (ia64_linux_stopped_by_watchpoint): Verify
	that we have a SIGTRAP before returning non-zero.

2003-07-23  Michal Ludvig  <mludvig@suse.cz>
	    Elena Zannoni  <ezannoni@redhat.com>

 	* linespec.c (decode_line_2): Avoid crash if
 	find_function_start_sal() returns empty record.

2003-07-23  Andreas Schwab  <schwab@suse.de>

	* ia64-tdep.c (ia64_print_insn): New function.
	(ia64_gdbarch_init): Set print_insn to it.
	(_initialize_ia64_tdep): Don't set deprecated_tm_print_insn and
	deprecated_tm_print_insn_info.

2003-07-22  Michael Snyder  <msnyder@redhat.com>

	* h8300-tdep.c (h8300_extract_return_value): Teach it how to
	handle 8-bit returns (long long).
	(h8300h_extract_return_value): Ditto.
	(h8300_gdbarch_init): Long long is 8 bytes, char is unsigned.

2003-07-22  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.c Include "gdb_obstack.h".
	(struct gdbarch): Add an "obstack".
	(alloc_gdbarch_data): Allocate the gdbarch data using
	GDBARCH_OBSTACK_CALLOC.
	(free_gdbarch_data): Delete function.
	(gdbarch_obstack_zalloc): New function.
	(gdbarch_free): Free the obstack, do not call free_gdbarch_data.
	Assert that the architecture is not initialized.
	(gdbarch_alloc): Allocate an obstack, allocate the architecture
	vector from the obstack.
	(alloc_gdbarch_data, init_gdbarch_swap): Allocate memory using the
	architecture obstack.
	(GDBARCH_OBSTACK_CALLOC, GDBARCH_OBSTACK_ZALLOC): Define.
	(set_gdbarch_data): Assert that the data is not initialized.
	(struct gdbarch_data): Delete member "free".
	(register_gdbarch_data): Do not initialize "free".
	* gdbarch.h, gdbarch.c: Re-generate.

2003-07-22  Andrew Cagney  <cagney@redhat.com>

	* configure.in (build_warnings): Add -Wformat-nonliteral.
	* configure: Re-generate.

2003-07-22  Elena Zannoni  <ezannoni@redhat.com>

	* dwarf2loc.c (locexpr_describe_location): Fix typos.

2003-07-22  Elena Zannoni  <ezannoni@redhat.com>

	* findvar.c (read_var_value): Remove case for thread local storage
	variables.  It is now entirely handled by the dwarf2 location
	expression code.
	* printcmd.c (address_info): Ditto.
	* symtab.h (address_class): Remove LOC_THREAD_LOCAL_STATIC
	enumeration value.
	(struct symbol): Remove objfile field, which was used by
	LOC_THREAD_LOCAL_STATIC only.
	* dwarf2read.c (decode_locdesc): Remove is_thread_local variable.
	* dwarf2loc.h (struct dwarf2_loclist_baton): Add comment about
	usage of objfile pointer.
	* dwarf2loc.c (locexpr_describe_location): Add case to handle
	thread local variables.
	Add include of objfiles.h.
	* dwarf2expr.c (execute_stack_op): Add comments about thread local
	storage variables.
	* Makefile.in (dwarf2loc.o): Update dependencies.

2003-07-22  Andrew Cagney  <cagney@redhat.com>

	* config/pa/tm-hppa64.h (FRAME_SAVED_PC_IN_SIGTRAMP): Use
	get_frame_base.
	(FRAME_BASE_BEFORE_SIGTRAMP): Ditto.
	(FRAME_FIND_SAVED_REGS_IN_SIGTRAMP): Ditto.
	(struct value): Add opaque declaration.
	(DEPRECATED_FRAME_ARGS_ADDRESS): Delete.

2003-07-21  Andrew Cagney  <cagney@redhat.com>

	From 2003-07-04 Kei Sakamoto <sakamoto.kei@renesas.com>:
	* m32r-tdep.c, m32r-stub.c, m32r-tdep.c: Rewrite.

2003-07-20  Stephane Carrez  <stcarrez@nerim.fr>

	* m68hc11-tdep.c (m68hc11_pseudo_register_read): Use
	regcache_cooked_read_unsigned instead of read_register.
	(m68hc11_saved_pc_after_call): Likewise.
	(m68hc11_pseudo_register_write): Use regcache_cooked_write_unsigned
	instead of write_register.
	(m68hc11_register_type): New function.
	(m68hc11_register_virtual_type): Remove.
	(m68hc11_store_return_value): Convert to use the regcache.
	(m68hc11_extract_struct_value_address): Likewise.
	(m68hc11_gdbarch_init): Remove deprecated ops for register to use
	m68hc11_register_type; undeprecate store_return_value and
	extract_struct_value_address.

2003-07-20  Stephane Carrez  <stcarrez@nerim.fr>

	* m68hc11-tdep.c (m68hc11_extract_return_value): Use regcache_raw_read
	and translate to use regcache.
	(m68hc11_gdbarch_init): Undeprecate extract_return_value.

2003-07-18  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh (DWARF2_BUILD_FRAME_INFO): Delete method.
	* gdbarch.h, gdbarch.c: Re-generate.
	* i386-tdep.c (i386_gdbarch_init): Do not set
	DWARF2_BUILD_FRAME_INFO.
	* elfread.c (elf_symfile_read): Call dwarf2_build_frame_info
	unconditionally.
	* alpha-tdep.c (alpha_dwarf2_init_abi): Do not set
	DWARF2_BUILD_FRAME_INFO.

2003-07-18  Andrew Cagney  <cagney@redhat.com>

	From 2003-07-04 Kei Sakamoto <sakamoto.kei@renesas.com>:
        * disasm.c (gdb_disassemble_info): Initilize di.arch.

2003-07-18  Andrew Cagney  <cagney@redhat.com>

	* dwarf2-frame.c (dwarf2_frame_sniffer): Use
	frame_unwind_address_in_block, instead of frame_pc_unwind.
	(dwarf2_frame_cache): Ditto.

2003-07-18  Andrew Cagney  <cagney@redhat.com>

	* user-regs.h (struct gdbarch): Declare opaque.
	* ui-out.h (struct ui_file): Declare opaque.
	* dwarf2-frame.h (struct frame_info): Declare opaque.

2003-07-18  Kris Warkentin  <kewarken@qnx.com>

	* nto-procfs.c: Clean ARI hits.  Change #include <..> to
	#include "...".
	(procfs_meminfo): Change strerror to safe_strerror.
	(procfs_can_run): Remove K&R badness.

2003-07-17  Michael Snyder  <msnyder@redhat.com>

	* remote-sim.c: Comment typo fix.

2003-07-17  Andrew Cagney  <cagney@redhat.com>

	* defs.h (GDB_MULTI_ARCH): Delete conditional define.  Handled by
	configure.
	* sparc-tdep.c (sparc_intreg_size): Make non-static.
	* config/sparc/tm-sparc.h (GDB_MULTI_ARCH): Define to
	GDB_MULTI_ARCH_PARTIAL.

2003-07-17  Elena Zannoni  <ezannoni@redhat.com>

	* Makefile.in (x86-64-linux-nat.o): Update dependencies.
	* x86-64-linux-nat.c (ps_get_thread_area): New function.  Add
	include of asm/prctl.h, asm/ptrace.h, and gdb_proc_service.h.

2003-07-16  Theodore A. Roth  <troth@openavr.org>

	* avr-tdep.c (avr_skip_prologue): Return PC unchanged if no prologue
	found.
	(avr_frame_unwind_cache): Don't unwind FP for main.
	Update a comment.
	Save the computed prev_sp.
	(avr_saved_regs_unwinder): Remove function.
	(avr_frame_prev_register): Use PC unwind logic from
	avr_saved_regs_unwinder(), otherwise use trad_frame_prev_register().

2003-07-16  Andrew Cagney  <cagney@redhat.com>

	* frame-base.h (frame_base_p_ftype): Delete definition.
	(frame_base_append_predicate): Delete declaration.
	* frame-unwind.h (frame_unwind_p_ftype): Delete definition.
	(frame_unwind_append_predicate): Delete declaration.
	* frame-unwind.c (struct frame_unwind_table): Delete field "p".
	(append_predicate): Delete parameter "p".
	(frame_unwind_append_predicate): Delete function.
	(frame_unwind_append_sniffer): Update call to append_predicate.
	(frame_unwind_free): Delete function.
	(_initialize_frame_unwind): Pass NULL as "free" to
	register_gdbarch_data.
	(frame_unwind_init): Append the dummy_frame_sniffer.
	(frame_unwind_find_by_frame): Simplify.
	* frame-base.c (struct frame_base_table): Delete field "p".
	(append_predicate): Delete parameter "p".
	(frame_base_append_predicate): Delete function.
	(frame_base_append_sniffer): Update call to append_predicate.
	(frame_base_free): Delete function.
	(frame_base_find_by_frame): Simplify.
	(_initialize_frame_base): Pass NULL as "free" to
	register_gdbarch_data.
	* x86-64-tdep.c (x86_64_frame_sniffer): Replace "x86_64_frame_p".
	(x86_64_sigtramp_frame_sniffer): Replace
	"x86_64_sigtramp_frame_p".
	(x86_64_init_abi): Set the frame unwind sniffers.
	* m68k-tdep.c (m68k_frame_sniffer): Replace "m68k_frame_p".
	(m68k_sigtramp_frame_sniffer): Replace "m68k_sigtramp_frame_p"
	(m68k_gdbarch_init): Set the frame unwind sniffers.
	* i386-tdep.c (i386_sigtramp_frame_sniffer): Replace
	"i386_sigtramp_frame_p".
	(i386_frame_sniffer): Replace "i386_frame_p".
	(i386_gdbarch_init): Set the frame unwind sniffers.
	* avr-tdep.c (avr_frame_sniffer): Replace "avr_frame_sniffer".
	(avr_gdbarch_init): Set the frame unwind sniffers.
	* alpha-tdep.c (alpha_sigtramp_frame_sniffer): Replace
	"alpha_sigtramp_frame_p"
	(alpha_heuristic_frame_sniffer): Replace
	"alpha_heuristic_frame_p".
	(alpha_gdbarch_init): Set the frame unwind sniffers.
	(alpha_dwarf2_init_abi): Ditto.
	* alpha-mdebug-tdep.c (alpha_mdebug_frame_sniffer): Replace
	"alpha_debug_frame_p".
	(alpha_mdebug_frame_base_sniffer): Replace
	"alpha_mdebug_frame_base_p".
	(alpha_mdebug_init_abi): Set the frame unwind sniffers.
	* d10v-tdep.c (d10v_frame_sniffer): Replace "d10v_frame_p".
	(d10v_gdbarch_init): Set the frame unwind sniffer.
	* dwarf2-frame.c (dwarf2_frame_sniffer): Replace "dwarf2_frame_p".
	(dwarf2_frame_base_sniffer): Replace "dwarf2_frame_base_p".
	* dwarf2-frame.h (dwarf2_frame_sniffer): Replace "dwarf2_frame_p".
	(dwarf2_frame_base_sniffer): Replace "dwarf2_frame_base_p".
	* dummy-frame.c (dummy_frame_sniffer): Replace "dummy_frame_p".
	* dummy-frame.h (dummy_frame_sniffer): Replace "dummy_frame_p".

2003-07-16  Michael Snyder  <msnyder@redhat.com>

	* sh-tdep.c (sh_gdbarch_init): Fetch_registers for the sh3-dsp
	should go thru sh_dsp_register_sim_regno, else the dsp regs
	will not get the right values.

2003-07-16  Corinna Vinschen  <vinschen@redhat.com>

	* sh-tdep.c (sh_sh4_register_convert_to_virtual): Substitute call to
	deprecated_store_floating by call to store_typed_floating.
	(sh_sh4_register_convert_to_raw): Substitute call to
	deprecated_extract_floating by call to extract_typed_floating.

2003-07-16  Corinna Vinschen  <vinschen@redhat.com>

	* sh-tdep.c (sh_gdbarch_init): Set double to 4 byte on sh2e and sh3e.

2003-07-16  Corinna Vinschen  <vinschen@redhat.com>

	* sh-tdep.c: Substitute calls to REGISTER_RAW_SIZE by calls to
	register_size and calls to REGISTER_VIRTUAL_TYPE by calls to
	gdbarch_register_type in 32 bit code throughout.  Avoid current_gdbarch
	as possible.
	(do_pseudo_register): Remove.
	(sh_push_dummy_code): New function.
	(sh64_store_struct_return): Rename from sh_store_struct_return.
	Only called for sh64 now.
	(sh_extract_struct_value_address): Regcache'ify.
	(sh_push_dummy_call): Rename from sh_push_arguments.  Regcache'ify
	and accomodate new tasks.
	(sh64_push_return_address): Rename from sh_push_return_address.
	Only called for sh64 now.
	(sh_default_extract_return_value): Rename from sh_extract_return_value.
	Regcache'ify.
	(sh3e_sh4_extract_return_value): Regcache'ify.
	(sh_default_store_return_value): Ditto.
	(sh3e_sh4_store_return_value): Ditto.
	(sh_default_register_byte): Remove.
	(sh_sh4_register_byte): Remove.
	(sh_default_register_raw_size): Remove.
	(sh_sh4_register_raw_size): Remove.
	(sh_register_virtual_size): Remove.
	(sh_sh3e_register_virtual_type): Remove.
	(sh_sh3e_register_type): New function.
	(sh_sh4_register_virtual_type): Remove.
	(sh_sh4_register_type): New function.
	(sh_default_register_virtual_type): Remove.
	(sh_default_register_type): New function.
	(do_fv_register_info): Add parameters to accomodate call from
	sh_print_registers_info.
	(do_dr_register_info): Ditto.
	(sh_print_pseudo_register): Rename from sh_do_pseudo_register.
	Add parameters to accomodate call from sh_print_registers_info.
	(sh_do_fp_register): Ditto.
	(sh64_do_pseudo_register): Call do_dr_register_info,
	do_fv_register_info and sh_do_fp_register with default parameters.
	(sh_do_register): Add parameters to accomodate call from
	sh_print_registers_info.
	(sh_print_register): Ditto.
	(sh_print_registers_info): Rename from sh_do_registers_info.
	Add parameters to be used as gdbarch_print_registers_info
	implementation.  Accomodate removed do_pseudo_register function
	pointer.
	(sh_compact_do_registers_info): Accomodate removed do_pseudo_register
	function pointer. Call sh_print_register with default parameters.
	(sh64_do_registers_info): Call sh_print_registers_info instead of
	sh_do_registers_info.
	(sh_gdbarch_init): Rearrange to cleanup and to allow easier
	detection of deprecated vs. non-deprecated functionality.
	Rename sh_call_dummy_words to sh64_call_dummy_words.  Remove
	function pointer assignments by direct function calls.

2003-07-15  Andrew Cagney  <cagney@redhat.com>

	* frame.c (get_frame_id): Use frame_unwind_find_by_frame.
	(frame_register_unwind, create_new_frame): Ditto.
	(legacy_get_prev_frame, get_frame_type): Ditto.
	(get_frame_base_address): Use frame_base_find_by_frame.
	(get_frame_locals_address): Use frame_base_find_by_frame.
	(get_frame_args_address): Use frame_base_find_by_frame.
	* frame-base.h (frame_base_sniffer_ftype): Declare.
	(frame_base_append_sniffer): Declare.
	(frame_base_find_by_frame): Replace frame_base_find_by_pc.
	* frame-base.c (append_predicate): Add a "sniffer" parameter.
	(frame_base_append_sniffer): New function.
	(frame_base_append_predicate): Add a NULL sniffer.
	(frame_base_find_by_frame): Replace "frame_base_find_by_pc".
	(struct frame_base_table): Add "sniffer".
	(frame_base_free): Free the "sniffer" table.
	* frame-unwind.h (frame_unwind_sniffer_ftype): Define.
	(frame_unwind_append_sniffer): Declare.
	(frame_unwind_find_by_frame): Replace frame_unwind_find_by_pc.
	* frame-unwind.c (frame_unwind_free): Free the "sniffer" table.
	(struct frame_unwind_table): Add "sniffer", delete "middle".
	(append_predicate): Add "sniffer" parameter, append the sniffer.
	(frame_unwind_init): Update append_predicate call.
	(frame_unwind_append_sniffer): New function.
	(frame_unwind_append_predicate): Update append_predicate call.
	(frame_unwind_find_by_frame): Replace frame_unwind_find_by_pc.

2003-07-15  Andrew Cagney  <cagney@redhat.com>

	* frame.c (get_prev_frame): Move disabled inside_entry_func to
	before code inhibiting repeated unwind attempts.  Add to
	commentary on that test's problems.
	* blockframe.c (inside_main_func): Look for "main" in the minimal
	symbol table.
	* d10v-tdep.c (d10v_frame_this_id): Delete check that frames are
	identical.

2003-07-15  Andrew Cagney  <cagney@redhat.com>

	* complaints.c (struct explanation): Define.
	(struct complaints): Change type of "explanation" to "struct
	explanation".
	(symfile_explanations): Convert to a "struct explanation" table.
	(vcomplaint): Update.

2003-07-15  Michal Ludvig  <mludvig@suse.cz>

	* x86-64-linux-nat.c (regmap): Removed.
	(supply_gregset, fill_gregset): Call
	x86_64_linux_(fill,supply)_gregset functions.
	* x86-64-linux-tdep.c (USER_*): New defines.
	(user_to_gdb_regmap, x86_64_core_fns): New structure.
	(x86_64_linux_supply_gregset, x86_64_linux_fill_gregset):
	New functions.
	(fetch_core_registers): Ditto.
	(_initialize_x86_64_linux_tdep): Call add_core_fns().
	* x86-64-linux-tdep.h: New file.
	* config/i386/x86-64linux.mh (NATDEPFILES): Remove corelow.o
	and core-regset.o.
	* config/i386/x86-64linux.mt (TDEPFILES): Add corelow.o.

2003-07-13  Mark Kettenis  <kettenis@gnu.org>

	* x86-64-tdep.c (x86_64_store_return_value): Use
	regcache_cooked_write_part instead of regcache_cooked_write.

	* configure.host: Add x86_64-*-freebsd*.
	* configure.tgt: Add x86_64-*-freebsd*.
	* Makefile.in (amd64fbsd-nat.o, amd64fbsd-tdep.o): New targets.
	* amd64fbsd-nat.c: New file.
	* amd64fbsd-tdep.c: New file.
	* config/i386/nm-fbsd64.h: New file.
	* config/i386/fbsd64.mh: New file.
	* config/i386/fbsd64.mt: New file.

2003-07-11  Mark Kettenis  <kettenis@gnu.org>

	* alpha-tdep.h (struct gdbarch_tdep): Add members `sc_pc_offset',
	`sc_regs_offset' and `sc_fpregs_offset'.
	* alpha-tdep.c (SIGFRAME_PC_OFF, SIGFRAME_REGSAVE_OFF,
	SIGFRAME_FPREGSAVE_OFF): Remove defines.
	(alpha_sigtramp_register_address): Rewrite to use new members of
	`struct gdbarch_tdep'.
	(alpha_gdbarch_init): Initialize new members of struct
	gdbarch_tdep'.
	* alphafbsd-tdep.c (alphafbsd_use_struct_convention): Use
	ALPHA_REGISTER_SIZE instead of DEPRECATED_REGISTER_SIZE.
	(alphafbsd_sigtramp_start, alphafbsd_sigtramp_end): Nre variables.
	(alphafbsd_pc_in_sigtramp): Implement.
	(alphafbsd_sigtramp_offset): New function.
	(alphafbsd_sigcontext_addr): New function.
	(alphafbsd_init_abi): Initialize signal trampoline related members
	of `struct gdbarch_tdep'.
	(_initialize_alphafbsd_tdep): Add prototype.

2003-07-11  Theodore A. Roth  <troth@openavr.org>

	* Makefile.in (install-only): Quote sed expression when generating
	transformed_name.

2003-07-11  Richard Henderson  <rth@redhat.com>

	* Makefile.in (dwarf2-frame.o): Add complaints_h.
	* dwarf2-frame.c: Include complaints.h.
	(decode_frame_entry_1): Rename from decode_frame_entry; tidy
	variable initialization; return NULL on error.
	(decode_frame_entry): New.

2003-07-11  Andrew Cagney  <cagney@redhat.com>

	* frame.h (frame_address_in_block): Delete declaration.
	* blockframe.c (frame_address_in_block): Delete function.
	(get_frame_block): Use get_frame_address_in_block.
	(block_innermost_frame): Ditto.
	* stack.c (print_frame, backtrace_command_1): Ditto.

	* frame.h (get_frame_address_in_block): Declare.
	(frame_unwind_address_in_block): Declare.
	* frame.c (frame_unwind_address_in_block): New function.
	(get_frame_address_in_block): New function.

2003-07-10  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh: Simplify predicate methods.  Remove need to provide
	pre-default.   Note: re-generate has no effect.

2003-07-10  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh: When a variable, but not a function, compare against
	0.  Fix problem in previous patch.
	* gdbarch.c: Re-generate.

2003-07-10  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh: Use gdb_assert instead of internal_error.  Compare
	functions against NULL, not 0.
	* gdbarch.c: Re-generate.

2003-07-10  Fred Fish  <fnf@ninemoons.com>

	* coff-solib.h (SOLIB_LOADED_LIBRARY_PATHNAME): Default to a
	null string instead of a null pointer.
	* solib.h (SOLIB_LOADED_LIBRARY_PATHNAME): Ditto.

2003-07-09  Michael Snyder  <msnyder@redhat.com>

	* sh-tdep.c (sh_dsp_register_sim_regno): Off-by-one error.

2003-07-09  Mark Kettenis  <kettenis@gnu.org>

	* x86-64-tdep.h (X86_64_RAX_REGNUM, X86_64_RDX_REGNUM,
	X86_64_RDI_REGNUM, X86_64_RBP_REGNUM, X86_64_RSP_REGNUM,
	X86_64_RIP_REGNUM, X86_64_EFLAGS_REGNUM, X86_64_ST0_REGNUM,
	X86_64_XMM0_REGNUM, X86_64_XMM1_REGNUM): Moved here ...
	* x86-64-tdep.c: ... from here.

2003-07-09  Andreas Schwab  <schwab@suse.de>

	* m68k-tdep.h (enum struct_return): Define.
	(struct gdbarch_tdep): Add struct_return.
	* m68k-tdep.c (m68k_push_dummy_call): Non-scalars bigger than 4
	bytes are padded to the right, not to the left.  Pass struct value
	address in register %a1, not on stack.
	(m68k_use_struct_convention): New function.
	(m68k_gdbarch_init): Set use_struct_convention.  Initialize
	struct_return in tdep to pcc_struct_return.
	* m68klinux-tdep.c (m68k_linux_init_abi): Set struct_return to
	reg_struct_return.

2003-07-09  Joel Brobecker  <brobecker@gnat.com>

	* somread.c (som_symfile_offsets): Fix compilation error.

2003-07-09  Andrew Cagney  <cagney@redhat.com>

	* regcache.c (register_size): Only check REGISTER_RAW_SIZE once.
	Add comments about the checks.

2003-07-08  Andrew Cagney  <cagney@redhat.com>

	* Makefile.in: Make dependency section headers consistent.
	(config_h): Move to $BUILD headers section.
	(exc_request_U_h, exc_request_S_h, msg_reply_S_h): Ditto.
	(msg_U_h, notify_S_h, process_reply_S_h): Ditto.
	(ada-exp.tab.c): Move to YACC/LEX section.
	(ada-lex.c, c-exp.tab.c, f-exp.tab.c): Ditto.
	(jv-exp.tab.c, m2-exp.tab.c, objc-exp.tab.c, p-exp.tab.c): Ditto.

2003-07-08  Kris Warkentin  <kewarken@qnx.com>

	* nto-procfs.c: Cleaned up a bunch of ARI hits.
	Include "gdb_dirent.h" instead of <dirent.h>, replace all instances
	of strerror with safe_strerror, use ISO C function definitions,
	and replace instances of sprintf with snprintf.

2003-07-07  Andrew Cagney  <cagney@redhat.com>

	* frame.c (get_prev_frame): Enable check for identical frames.
	Update comments.  Update error messages.

2003-07-07  Joel Brobecker  <brobecker@gnat.com>

        * hpread.c (hpread_psymtab_to_symtab_1): Fix compilation failure.

2003-07-07  Joel Brobecker  <brobecker@gnat.com>

        * xcoffread.c (xcoff_psymtab_to_symtab_1): Remove call to
        sort_symtab_syms, no longer necessary.

2003-07-07  Joel Brobecker  <brobecker@gnat.com>

	* config/mips/tm-irix6.h (MIPS_REGISTER_TYPE): Add comment.

2003-07-07  Joel Brobecker  <brobecker@gnat.com>

	* mips-tdep.c (mips_register_raw_size): Fix compilation failure.
	(mips_register_byte): Likewise.

2003-07-07  Daniel Jacobowitz  <drow@mvista.com>

	* Makefile.in (sparc_tdep_h): New.
	(sparc-linux-nat.o, sparc-nat.o, sparc-tdep.o, sparc64nbsd-nat.o)
	(sparcnbsd-nat.o, sparcnbsd-tdep.o): Depend on $(sparc_tdep_h).
	* sparc-linux-nat.c: Include "sparc-tdep.h".
	* sparc-nat.c: Likewise.
	* sparc-tdep.c: Likewise.
	* sparc64nbsd-nat.c: Likewise.
	* sparcnbsd-nat.c: Likewise.
	* sparcnbsd-tdep.c: Likewise.
	* sparc-tdep.h: New file.
	* config/sparc/tm-sparc.h: Remove prototypes for sparc_y_regnum
	and sparc_npc_regnum.

2003-07-07  Daniel Jacobowitz  <drow@mvista.com>

	* mips-linux-nat.c (mips_linux_cannot_fetch_register)
	(mips_linux_cannot_store_register): List supported instead of
	unsupported registers.

2003-07-07  Daniel Jacobowitz  <drow@mvista.com>

	* disasm.c (dump_insns): Separate instructions from addresses.

2003-07-07  Andreas Schwab  <schwab@suse.de>

	* Makefile.in (m68k-tdep.o, m68klinux-tdep.o): Update
	dependencies.
	* m68k-tdep.c (NUM_FREGS): Delete.
	(SIG_PC_FP_OFFSET): Delete.
	(TARGET_M68K): Delete.
	(P_MOVEAL_SP_FP, P_ADDAW_SP, P_ADDAL_SP, P_SUBQW_SP,
	P_SUBQL_SP, P_LEA_SP_SP, P_LEA_PC_A5, P_FMOVEMX_SP,
	P_MOVEL_SP, P_MOVEML_SP): Define.
	(P_MOVL_SP_FP, P_MOVL, P_JSR, P_BSR, P_LEAL, P_MOVML, P_FMOVM,
	P_TRAP): Delete.
        (m68k_register_raw_size): Delete.
	(m68k_register_virtual_size): Delete.
	(m68k_register_type): Renamed from m68k_register_virtual_type and
	add gdbarch argument.
	(m68k_store_struct_return): Delete.
	(m68k_deprecated_extract_return_value): Delete.
	(m68k_deprecated_extract_struct_value_address): Delete.
	(m68k_frame_chain): Delete.
	(m68k_frame_saved_pc): Delete.
	(m68k_fix_call_dummy): Delete.
	(m68k_push_dummy_frame): Delete.
	(m68k_pop_frame): Delete.
	(m68k_extract_return_value): New function.
	(m68k_store_return_value): Rewrite using regcache.
	(m68k_extract_struct_value_address): Rewrite using regcache.
	(m68k_push_dummy_call): New function.
	(struct m68k_frame_cache): Define.
	(m68k_alloc_frame_cache): New function.
	(m68k_analyze_frame_setup): New function.
	(m68k_analyze_register_saves): New function.
	(m68k_analyze_prologue): New function.
	(m68k_skip_prologue): Rewrite using above functions.
	(m68k_unwind_pc): New function.
	(m68k_frame_cache): New function.
	(m68k_frame_this_id): New function.
	(m68k_frame_prev_register): New function.
	(m68k_frame_unwind): New variable.
	(m68k_frame_p): New function.
	(m68k_sigtramp_frame_cache): New function.
	(m68k_sigtramp_frame_this_id): New function.
	(m68k_sigtramp_frame_prev_register): New function.
	(m68k_sigtramp_frame_unwind): New variable.
	(m68k_sigtramp_frame_p): New function.
	(m68k_frame_base_address): New function.
	(m68k_frame_base): New function.
	(m68k_unwind_dummy_id): New function.
	(fill_gregset): Use regcache_collect.
	(fill_fpregset): Likewise.
	(m68k_saved_pc_after_call): Only define if SYSCALL_TRAP is
	defined.
	(m68k_gdbarch_init): Don't define call_dummy_words.  Don't set
	deprecated_init_frame_pc, deprecated_store_struct_return,
	deprecated_extract_return_value, deprecated_store_return_value,
	deprecated_frame_chain, deprecated_frame_saved_pc,
	deprecated_frame_init_saved_regs, deprecated_register_raw_size,
	deprecated_register_virtual_size,
	deprecated_max_register_raw_size,
	deprecated_max_register_virtual_size,
	deprecated_register_virtual_type, deprecated_register_size,
	deprecated_register_byte, deprecated_register_bytes,
	deprecated_fp_regnum, deprecated_use_generic_dummy_frames,
	call_dummy_location, deprecated_call_dummy_breakpoint_offset,
	deprecated_pc_in_call_dummy, deprecated_call_dummy_length,
	deprecated_call_dummy_start_offset, deprecated_call_dummy_words,
	deprecated_sizeof_call_dummy_words, deprecated_fix_call_dummy,
	deprecated_push_dummy_frame, deprecated_pop_frame,
	deprecated_dummy_write_sp.  Set deprecated_saved_pc_after_call
	only if SYSCALL_TRAP is defined.  Set extract_return_value,
	store_return_value, extract_struct_value_address, register_type,
	push_dummy_call, unwind_dummy_id, unwind_pc.  Add two frame unwind
	predicates.
	* m68k-tdep.h (M68K_D1_REGNUM, M68K_NUM_REGS,
	M68K_MAX_REGISTER_SIZE): Define.
	(struct m68k_sigtramp_info): Define.
	(struct gdbarch_tdep): Add get_sigtramp_info.
	* m68klinux-nat.c (fetch_register): Use register_size instead of
	REGISTER_RAW_SIZE.  Don't put assignment in if.
	(store_register): Likewise.
	(fetch_inferior_registers): Likewise.
	(store_inferior_registers): Likewise.
	* m68klinux-tdep.c (m68k_linux_sigtramp_saved_pc): Delete.
	(m68k_linux_frame_saved_pc): Delete.
	(m68k_linux_sigcontext_reg_offset,
	m68k_linux_ucontext_reg_offset): Define.
	(m68k_linux_get_sigtramp_info): New function.
	(m68k_linux_extract_return_value): Rewrite using regcache.
	(m68k_linux_store_return_value): Likewise.
	(m68k_linux_extract_struct_value_address): Likewise.
	(m68k_linux_init_abi): Set get_sigtramp_info in tdep structure.
	Don't set deprecated_frame_saved_pc,
	deprecated_extract_return_value, deprecated_store_return_value,
	deprecated_extract_struct_value_address.  Set
	extract_return_value, store_return_value,
	extract_struct_value_address.

2003-07-07  Andrew Cagney  <cagney@redhat.com>

	* expprint.c: Include "user-regs.h" instead of "frame.h".
	(print_subexp): Use user_reg_map_regnum_to_name, instead of
	frame_map_regnum_to_name.
	* frame.c: Include "user-regs.h" instead of "builtin-regs.h".
	(frame_map_name_to_regnum): Simplify, call
	user_reg_map_name_to_regnum.
	(frame_map_regnum_to_name): Simplify, call
	user_reg_map_regnum_to_name.
	(frame_register_unwind): Update.
	* std-regs.c: Include "user-regs.h" instead of "builtin-regs.h".
	(_initialize_frame_reg): Call user_reg_add_builtin.
	* findvar.c: Include "user-regs.h" instead of "builtin-regs.h".
	(value_of_register): Use value_of_user_reg.
	* eval.c (evaluate_subexp_standard): Update.
	* parse.c (write_dollar_variable): Update.
	* d10v-tdep.c (d10v_print_registers_info): Update.
